<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.16 Update #7                                        |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2012 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.97.120908-140829                                              |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Files
 * @copyright (C) 2002-2012 Esselbach Internet Solutions
 */

/**
 * function AdminAddNewFile
 * A function to add a new file
 * @author Philipp Louis Esselbach
 */
function AdminAddNewFile( $notice )
{
	global $database, $html, $security, $system, $preferences, $permissions, $wysiwyg, $login_username, $input_file_name, $input_file_version, $input_file_size, $input_file_description, $input_file_keywords, $input_file_smalldescription, $input_file_longdescription, $input_file_changeinfo, $input_file_cost, $input_file_company, $input_file_homepage, $input_file_email, $input_file_language, $input_file_os_list, $input_file_agreement, $input_file_screenshot, $input_primary_url, $input_secondary_url, $uwrapper, $words_files, $ipaddr;
	$input_website = ( isset( $_POST[ 'input_website' ] ) ) ? $system -> stripthis( $_POST[ 'input_website' ] ) : 0 ;
	$input_template_set = ( isset( $_POST[ 'input_template_set' ] ) ) ? $system -> stripthis( $_POST[ 'input_template_set' ] ) : "" ;
	$input_blocks = ( isset( $_POST[ 'input_blocks' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_blocks' ] ) : "" ;
	$input_category = ( isset( $_POST[ 'input_category' ] ) ) ? $system -> stripthis( $_POST[ 'input_category' ] ) : "" ;
	$input_menu = ( isset( $_POST[ 'input_menu' ] ) ) ? $system -> stripthis( $_POST[ 'input_menu' ] ) : "" ;
	$input_teaserimage = ( isset( $_POST[ 'input_teaserimage' ] ) ) ? $system -> stripthis( $_POST[ 'input_teaserimage' ] ) : "" ;
	$input_top = ( isset( $_POST[ 'input_top' ] ) ) ? $system -> stripthis( $_POST[ 'input_top' ] ) : "" ;
	$input_year = ( isset( $_POST[ 'input_year' ] ) ) ? $system -> stripthis( $_POST[ 'input_year' ] ) : "" ;
	$input_month = ( isset( $_POST[ 'input_month' ] ) ) ? $system -> stripthis( $_POST[ 'input_month' ] ) : "" ;
	$input_day = ( isset( $_POST[ 'input_day' ] ) ) ? $system -> stripthis( $_POST[ 'input_day' ] ) : "" ;
	$input_hour = ( isset( $_POST[ 'input_hour' ] ) ) ? $system -> stripthis( $_POST[ 'input_hour' ] ) : "" ;
	$input_minute = ( isset( $_POST[ 'input_minute' ] ) ) ? $system -> stripthis( $_POST[ 'input_minute' ] ) : "" ;
	$input_second = ( isset( $_POST[ 'input_second' ] ) ) ? $system -> stripthis( $_POST[ 'input_second' ] ) : "" ;
	$input_now = ( isset( $_POST[ 'input_now' ] ) ) ? $system -> stripthis( $_POST[ 'input_now' ] ) : "" ;
	$input_expire_year = ( isset( $_POST[ 'input_expire_year' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_year' ] ) : "" ;
	$input_expire_month = ( isset( $_POST[ 'input_expire_month' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_month' ] ) : "" ;
	$input_expire_day = ( isset( $_POST[ 'input_expire_day' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_day' ] ) : "" ;
	$input_expire_hour = ( isset( $_POST[ 'input_expire_hour' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_hour' ] ) : "" ;
	$input_expire_minute = ( isset( $_POST[ 'input_expire_minute' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_minute' ] ) : "" ;
	$input_expire_second = ( isset( $_POST[ 'input_expire_second' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_second' ] ) : "" ;
	$input_expire_never = ( isset( $_POST[ 'input_expire_never' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_never' ] ) : "" ;
	$input_file_name = ( isset( $_POST[ 'input_file_name' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_name' ] ) : "" ;
	$input_file_seo = ( isset( $_POST[ 'input_file_seo' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_seo' ] ) : "" ;
	$input_file_source = ( isset( $_POST[ 'input_file_source' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_source' ] ) : "" ;
	$input_file_version = ( isset( $_POST[ 'input_file_version' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_version' ] ) : "" ;
	$input_file_description = ( isset( $_POST[ 'input_file_description' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_description' ] ) : "" ;
	$input_file_keywords = ( isset( $_POST[ 'input_file_keywords' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_keywords' ] ) : "" ;
	$input_file_smalldescription = ( isset( $_POST[ 'input_file_smalldescription' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_smalldescription' ] ) : "" ;
	$input_file_longdescription = ( isset( $_POST[ 'input_file_longdescription' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_longdescription' ] ) : "" ;
	$input_file_size = ( isset( $_POST[ 'input_file_size' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_size' ] ) : "" ;
	$input_file_cost = ( isset( $_POST[ 'input_file_cost' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_cost' ] ) : "" ;
	$input_file_company = ( isset( $_POST[ 'input_file_company' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_company' ] ) : "" ;
	$input_file_homepage = ( isset( $_POST[ 'input_file_homepage' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_homepage' ] ) : "" ;
	$input_file_email = ( isset( $_POST[ 'input_file_email' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_email' ] ) : "" ;
	$input_file_pad = ( isset( $_POST[ 'input_file_pad' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_pad' ] ) : "" ;
	$input_file_language = ( isset( $_POST[ 'input_file_language' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_language' ] ) : "" ;
	$input_file_os = ( isset( $_POST[ 'input_file_os' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_os' ] ) : array() ;
	$input_file_limitations = ( isset( $_POST[ 'input_file_limitations' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_limitations' ] ) : "" ;
	$input_file_editorsnote = ( isset( $_POST[ 'input_file_editorsnote' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_editorsnote' ] ) : "" ;
	$input_file_changeinfo = ( isset( $_POST[ 'input_file_changeinfo' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_changeinfo' ] ) : "" ;
	$input_file_agreement = ( isset( $_POST[ 'input_file_agreement' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_agreement' ] ) : "" ;
	$input_file_tags = ( isset( $_POST[ 'input_file_tags' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_tags' ] ) : "" ;
	$input_forum = ( isset( $_POST[ 'input_forum' ] ) ) ? $system -> stripthis( $_POST[ 'input_forum' ] ) : "" ;
	$input_thread = ( isset( $_POST[ 'input_thread' ] ) ) ? $system -> stripthis( $_POST[ 'input_thread' ] ) : "" ;
	$input_primary_url = ( isset( $_POST[ 'input_primary_url' ] ) ) ? $system -> stripthis( $_POST[ 'input_primary_url' ] ) : "" ;
	$input_secondary_url = ( isset( $_POST[ 'input_secondary_url' ] ) ) ? $system -> stripthis( $_POST[ 'input_secondary_url' ] ) : "" ;
	$input_download_other_name_1 = ( isset( $_POST[ 'input_download_other_name_1' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_1' ] ) : "" ;
	$input_download_other_name_2 = ( isset( $_POST[ 'input_download_other_name_2' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_2' ] ) : "" ;
	$input_download_other_name_3 = ( isset( $_POST[ 'input_download_other_name_3' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_3' ] ) : "" ;
	$input_download_other_name_4 = ( isset( $_POST[ 'input_download_other_name_4' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_4' ] ) : "" ;
	$input_download_other_name_5 = ( isset( $_POST[ 'input_download_other_name_5' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_5' ] ) : "" ;
	$input_download_other_name_6 = ( isset( $_POST[ 'input_download_other_name_6' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_6' ] ) : "" ;
	$input_download_other_name_7 = ( isset( $_POST[ 'input_download_other_name_7' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_7' ] ) : "" ;
	$input_download_other_name_8 = ( isset( $_POST[ 'input_download_other_name_8' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_8' ] ) : "" ;
	$input_download_other_name_9 = ( isset( $_POST[ 'input_download_other_name_9' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_9' ] ) : "" ;
	$input_download_other_name_10 = ( isset( $_POST[ 'input_download_other_name_10' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_10' ] ) : "" ;
	$input_download_other_name_11 = ( isset( $_POST[ 'input_download_other_name_11' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_11' ] ) : "" ;
	$input_download_other_name_12 = ( isset( $_POST[ 'input_download_other_name_12' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_12' ] ) : "" ;
	$input_download_other_name_13 = ( isset( $_POST[ 'input_download_other_name_13' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_13' ] ) : "" ;
	$input_download_other_name_14 = ( isset( $_POST[ 'input_download_other_name_14' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_14' ] ) : "" ;
	$input_download_other_name_15 = ( isset( $_POST[ 'input_download_other_name_15' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_15' ] ) : "" ;
	$input_download_other_name_16 = ( isset( $_POST[ 'input_download_other_name_16' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_16' ] ) : "" ;
	$input_download_other_name_17 = ( isset( $_POST[ 'input_download_other_name_17' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_17' ] ) : "" ;
	$input_download_other_name_18 = ( isset( $_POST[ 'input_download_other_name_18' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_18' ] ) : "" ;
	$input_download_other_name_19 = ( isset( $_POST[ 'input_download_other_name_19' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_19' ] ) : "" ;
	$input_download_other_name_20 = ( isset( $_POST[ 'input_download_other_name_20' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_name_20' ] ) : "" ;
	$input_download_other_url_1 = ( isset( $_POST[ 'input_download_other_url_1' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_1' ] ) : "" ;
	$input_download_other_url_2 = ( isset( $_POST[ 'input_download_other_url_2' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_2' ] ) : "" ;
	$input_download_other_url_3 = ( isset( $_POST[ 'input_download_other_url_3' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_3' ] ) : "" ;
	$input_download_other_url_4 = ( isset( $_POST[ 'input_download_other_url_4' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_4' ] ) : "" ;
	$input_download_other_url_5 = ( isset( $_POST[ 'input_download_other_url_5' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_5' ] ) : "" ;
	$input_download_other_url_6 = ( isset( $_POST[ 'input_download_other_url_6' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_6' ] ) : "" ;
	$input_download_other_url_7 = ( isset( $_POST[ 'input_download_other_url_7' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_7' ] ) : "" ;
	$input_download_other_url_8 = ( isset( $_POST[ 'input_download_other_url_8' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_8' ] ) : "" ;
	$input_download_other_url_9 = ( isset( $_POST[ 'input_download_other_url_9' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_9' ] ) : "" ;
	$input_download_other_url_10 = ( isset( $_POST[ 'input_download_other_url_10' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_10' ] ) : "" ;
	$input_download_other_url_11 = ( isset( $_POST[ 'input_download_other_url_11' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_11' ] ) : "" ;
	$input_download_other_url_12 = ( isset( $_POST[ 'input_download_other_url_12' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_12' ] ) : "" ;
	$input_download_other_url_13 = ( isset( $_POST[ 'input_download_other_url_13' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_13' ] ) : "" ;
	$input_download_other_url_14 = ( isset( $_POST[ 'input_download_other_url_14' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_14' ] ) : "" ;
	$input_download_other_url_15 = ( isset( $_POST[ 'input_download_other_url_15' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_15' ] ) : "" ;
	$input_download_other_url_16 = ( isset( $_POST[ 'input_download_other_url_16' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_16' ] ) : "" ;
	$input_download_other_url_17 = ( isset( $_POST[ 'input_download_other_url_17' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_17' ] ) : "" ;
	$input_download_other_url_18 = ( isset( $_POST[ 'input_download_other_url_18' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_18' ] ) : "" ;
	$input_download_other_url_19 = ( isset( $_POST[ 'input_download_other_url_19' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_19' ] ) : "" ;
	$input_download_other_url_20 = ( isset( $_POST[ 'input_download_other_url_20' ] ) ) ? $system -> stripthis( $_POST[ 'input_download_other_url_20' ] ) : "" ;
	$input_html = ( isset( $_POST[ 'input_html' ] ) ) ? $system -> stripthis( $_POST[ 'input_html' ] ) : "" ;
	$input_smilies = ( isset( $_POST[ 'input_smilies' ] ) ) ? $system -> stripthis( $_POST[ 'input_smilies' ] ) : "" ;
	$input_blockcode = ( isset( $_POST[ 'input_blockcode' ] ) ) ? $system -> stripthis( $_POST[ 'input_blockcode' ] ) : "" ;
	$input_allow_comments = ( isset( $_POST[ 'input_allow_comments' ] ) ) ? $system -> stripthis( $_POST[ 'input_allow_comments' ] ) : "" ;
	$input_frontpage = ( isset( $_POST[ 'input_frontpage' ] ) ) ? $system -> stripthis( $_POST[ 'input_frontpage' ] ) : "" ;
	$input_url_tag = ( isset( $_POST[ 'input_url_tag' ] ) ) ? $system -> stripthis( $_POST[ 'input_url_tag' ] ) : "" ;
	$input_url_get = ( isset( $_POST[ 'input_url_get' ] ) ) ? $system -> stripthis( $_POST[ 'input_url_get' ] ) : "" ;
	$input_url_video = ( isset( $_POST[ 'input_url_video' ] ) ) ? $system -> stripthis( $_POST[ 'input_url_video' ] ) : "" ;
	$input_twitter = ( isset( $_POST[ 'input_twitter' ] ) ) ? $system -> stripthis( $_POST[ 'input_twitter' ] ) : "" ;
	$input_plurk = ( isset( $_POST[ 'input_plurk' ] ) ) ? $system -> stripthis( $_POST[ 'input_plurk' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $system -> stripthis( $_POST[ 'input_status' ] ) : "" ;
	$input_password = ( isset( $_POST[ 'input_password' ] ) ) ? $system -> stripthis( $_POST[ 'input_password' ] ) : "" ;
	$input_file_url = ( isset( $_POST[ 'input_file_url' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_url' ] ) : array() ;
	$input_file_title = ( isset( $_POST[ 'input_file_title' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_title' ] ) : array() ;
	$input_file_desc = ( isset( $_POST[ 'input_file_desc' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_desc' ] ) : array() ;
	$input_fields = ( isset( $_POST[ 'input_fields' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_fields' ] ) : "" ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $system -> stripthis( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $system -> stripthis( $_POST[ 'input_dopreview' ] ) : "" ;
	$input_this_form = ( isset( $_POST[ 'input_this_form' ] ) ) ? $system -> stripthis( $_POST[ 'input_this_form' ] ) : "" ;
	$input_full = ( isset( $_GET[ 'full' ] ) ) ? $_GET[ 'full' ] : "" ;

	$security_hash = $system -> adminhashput();

	$padedit = 0;
	if( $input_file_pad and !$input_this_form )
	{
		$query = $database -> dbquery( "SELECT file_id FROM " . DB_PREFIX . "esselbach_ct_files WHERE file_pad = '" . $input_file_pad . "'" );
		if( $database -> dbrows( $query ) )
		{
			list($padedit) = $database -> dbrow( $query );
		}
	}

	if( !$padedit )
	{
		$html -> makeheader( $words_files[ 'ADD_NEW_FILE' ] );

		if( $preferences[ 'files_wysiwyg' ] )
		{
			$wysiwyg -> wysiwyginit( "input_file_smalldescription,input_file_longdescription" );
		}
		else
		{
			$html -> quickhtmlinit( "newform", "input_file_smalldescription", "input_file_longdescription" );
		}

		$html -> tabinit( "files_main", "files_advanced", "files_attachments", "", "", "" );
		$html -> forminit( "extra_form_close", "extra_form_open" );
		$html -> forminit2( "attachment_form_close", "attachment_form_open" );
		$html -> filesinit( "filesattachmentsearch" );
		$html -> tagcloudinit( "newform", "input_file_tags" );
		$html -> teaserpreviewinit( "filesteaserimagepreview" );
		$html -> makesubheader();
		$html -> makegroupmenu( "files" );

		if( $input_dofileedit )
		{
			$input_file = explode( "#", $input_dofileedit );
			$input_file = $security -> checknum( $input_file[ 1 ] );
		}
		else
		{
			$input_file = "";
		}

		if ( $input_full or !$preferences[ 'files_guided' ] )
		{
			$input_this_form = 1;
		}
	}
	else
	{
		include( "admineditfile.php" );
		$action = "doeditfile";
	}

	if ( !$input_file_pad and !$input_this_form )
	{
		$html -> makeformheadera( $words_files[ 'ADD_NEW_FILE' ], "newfile", "newform" );
		$html -> uppertext( $words_files[ 'UNIQUE_PAD_URL' ], "input_file_pad", "http://" );
		echo "<br />" . $words_files[ 'UNIQUE_DESCRIPTION'] . " <a href=\"index.php?action=addnewfile&amp;full=1\">" . $words_files[ 'CLICK_HERE'] . "</a> " . $words_files[ 'UNIQUE_MANUALLY'] . "<br />";
		echo "<br /><input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"doaddnewfile\" />";
		echo "<input type=\"submit\" class=\"button\" value=\"" . $words_files[ 'ADD_ENTRY' ] . "\" /></div>";
		echo "</form></div>";
	}
	else
	{
		if( $input_file_pad and !$input_this_form )
		{
			$input_pad_source = str_replace( "..", "", $input_file_pad );

			if( function_exists( "curl_exec" ) )
			{
				$pad = curl_init( $input_pad_source );

				if( preg_match( "/https/i", $input_pad_source ) )
				{
					curl_setopt( $pad, CURLOPT_PORT, 443 );
					curl_setopt( $pad, CURLOPT_SSL_VERIFYPEER, false );
				}

				curl_setopt( $pad, CURLOPT_RETURNTRANSFER, 1 );
				curl_setopt( $pad, CURLOPT_USERAGENT, "Esselbach Contentteller CMS" );
				$data = curl_exec( $pad );
				curl_close( $pad );
			}
			else
			{
				$pad = @fopen( $input_pad_source, "r" );
				$data = "";
				while ( !feof( $pad ) )
				{
					$data .= fread( $pad, 4096 );
				}
				fclose( $pad );
			}

			if( $data )
			{
				$input_file_name = "";
				$input_file_version = "";
				$input_file_size = "";
				$input_file_description = "";
				$input_file_keywords = "";
				$input_file_smalldescription = "";
				$input_file_longdescription = "";
				$input_file_cost = "";
				$input_file_company = "";
				$input_file_homepage = "";
				$input_file_email = "";
				$input_file_language = "";
				$input_file_os_list = "";
				$input_file_changeinfo = "";
				$input_file_agreement = "";
				$input_file_screenshot = "";
				$input_primary_url = "";
				$input_secondary_url = "";

				if( $preferences[ 'website_charset' ] == "ISO-8859-1" or $preferences[ 'website_charset' ] == "UTF-8" or $preferences[ 'website_charset' ] == "US-ASCII" )
				{
					$xml = xml_parser_create( $preferences[ 'website_charset' ] );
				}
				else
				{
					$xml = xml_parser_create();
				}

				xml_set_element_handler( $xml, "padstart", "padend" );
				xml_set_character_data_handler( $xml, "padparse" );
				xml_parse( $xml, $data );
				xml_parser_free( $xml );
				$input_file_seo = $system -> doseo( $input_file_name );

				if( $padedit )
				{
					$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_files SET file_version = '" . $database -> dbescape( $input_file_version ) . "', file_size = '" . $database -> dbescape( $input_file_size ) . "', file_changeinfo = '" . $database -> dbescape( $input_file_changeinfo ) . "' WHERE file_id = '" . $padedit . "'" );

					if( $input_primary_url )
					{
						$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_filesdownloads SET filedownload_url = '" . $database -> dbescape( $input_primary_url ) . "' WHERE filedownload_name = '" . $words_files[ 'DOWNLOAD_PRIMARY_URL' ] . "' AND filedownload_file = '" . $padedit . "'" );
					}
					if( $input_secondary_url )
					{
						$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_filesdownloads SET filedownload_url = '" . $database -> dbescape( $input_secondary_url ) . "' WHERE filedownload_name = '" . $words_files[ 'DOWNLOAD_SECONDARY_URL' ] . "' AND filedownload_file = '" . $padedit . "'" );
					}

					AdminEditFile( $padedit, "" );
				}

				if( preg_match( "/http/i", $input_file_screenshot ) and !$padedit )
				{
					$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_filesfiles WHERE filefile_inuse = '0'" );
					if( function_exists( "curl_exec" ) )
					{
						$screenshot = curl_init( $input_file_screenshot );
						curl_setopt( $screenshot, CURLOPT_RETURNTRANSFER, 1 );
						curl_setopt( $screenshot, CURLOPT_CONNECTTIMEOUT, 5 );
						curl_setopt( $screenshot, CURLOPT_USERAGENT, "Esselbach Contentteller CMS" );
						$binary = curl_exec( $screenshot );
						curl_close( $screenshot );
					}
					else
					{
						$screenshot = @fopen( $input_file_screenshot, "r" );
						$binary = "";
						while ( !feof( $screenshot ) )
						{
							$binary .= fread( $screenshot, 4096 );
						}
						fclose( $screenshot );
					}

					if ( $binary )
					{
						if ( preg_match( "/png/i", $input_file_screenshot ) )
						{
							$mime = "image/png";
							$extension = ".png";
						}
						elseif ( preg_match( "/jpg|jpeg/i", $input_file_screenshot ) )
						{
							$mime = "image/jpeg";
							$extension = ".jpg";
						}
						elseif ( preg_match( "/gif/i", $input_file_screenshot ) )
						{
							$mime = "image/gif";
							$extension = ".gif";
						}
						else
						{
							$mime = "unknown/unknown";
							$extension = "";
						}

						$file_size = strlen( $binary );

						$query = $database -> dbquery( "SELECT filetype_adminsize FROM " . DB_PREFIX . "esselbach_ct_filetypes WHERE filetype_mime = '" . $mime . "'" );

						if( $database -> dbrows( $query ) )
						{
							list( $file_allowedsize ) = $database -> dbrow( $query );

							if( $file_size < $file_allowedsize )
							{
								if( function_exists( "imagecreatefromstring" ) )
								{
									if( $preferences[ 'files_image_width' ] )
									{
										$binary = $system -> resizeimage( $binary, $mime, $preferences[ 'files_image_width' ], $preferences[ 'files_image_brandtext' ], $preferences[ 'files_image_brandcolor' ], $preferences[ 'files_watermark' ] );
										$file_size = strlen( $binary );
									}

									$thumb_image = $system -> resizeimage( $binary, $mime, $preferences[ 'files_image_thumbwidth' ], "", "", "" );
									$thumb_size = strlen( $thumb_image );
									$thumb_image = $database -> dbescape( $thumb_image );
								}
								else
								{
									$thumb_image = "";
									$thumb_size = 0;
								}

								$binary = $database -> dbescape( $binary );

								$database -> dbquery( "INSERT INTO " . DB_PREFIX . "esselbach_ct_filesfiles (filefile_id, filefile_author, filefile_filename, filefile_title, filefile_description, filefile_mime, filefile_size, filefile_binary, filefile_thumbsize, filefile_thumbimage, filefile_inuse, filefile_file, filefile_date, filefile_views, filefile_activity, filefile_postip, filefile_editip) VALUES (NULL, '" . $login_username . "', '" . $system -> doseo( $input_file_name ) . $extension . "', '" . $input_file_name . "', '" . $input_file_name . "', '" . $mime . "', '" . $file_size . "', '" . $binary . "', '" . $thumb_size . "', '" . $thumb_image . "', '0', '0', now(), '0', now(), '" . $ipaddr . "', '" . $ipaddr . "')" );

								if ( $thumb_size )
								{
									$thumb_id = $database -> dblastinsert();
								}
							}
						}
					}
				}
			}
			else
			{
				$notice = $words_files[ 'INVALID_PAD_SOURCE' ];
			}
		}

		if( !$padedit )
		{
			if( $notice )
			{
				$html -> makeformheadera( $words_files[ 'NOTICE' ], "newfile", "newform" );
				echo $notice;
				echo "</div><br /><h2>" . $words_files[ 'ADD_NEW_FILE' ] . "</h2><div class=\"content\">";
			}
			elseif( $input_dopreview )
			{
				$input_file_parsed = $input_file_smalldescription . "\n\n" . $input_file_longdescription;
				if ( $input_blockcode )
				{
					if ( $input_url_video )
					{
						$input_file_parsed = $system -> getvideocodes( $input_file_parsed );
					}

					if ( $input_url_tag )
					{
						$input_file_parsed = preg_replace( "#(^|[\n ])([\w]+?://[^ \"\n\r\t<]*)#is", "\\1[url]\\2[/url]", $input_file_parsed );
					}

					if ( $input_url_get )
					{
						$input_file_parsed = stripslashes( $system -> geturltitles( $input_file_parsed ) );
					}
				}
				$input_file_parsed = preg_replace( "/\[attachment=(.*?)\](.*?)\[\/attachment\]/", $words_files[ 'ATTACHMENT_HERE' ], $input_file_parsed );
				$input_file_parsed = preg_replace( "/\[fullimage=(.*?)\]/", $words_files[ 'ATTACHMENT_IMG_HERE' ], $input_file_parsed );
				$input_file_parsed = preg_replace( "/\[thumb=(.*?)\]/", $words_files[ 'ATTACHMENT_THUMB_HERE' ], $input_file_parsed );
				$input_file_parsed = preg_replace( "/\[fullimageleft=(.*?)\]/", $words_files[ 'ATTACHMENT_IMG_HERE' ], $input_file_parsed );
				$input_file_parsed = preg_replace( "/\[thumbleft=(.*?)\]/", $words_files[ 'ATTACHMENT_THUMB_HERE' ], $input_file_parsed );
				$input_file_parsed = preg_replace( "/\[fullimageright=(.*?)\]/", $words_files[ 'ATTACHMENT_IMG_HERE' ], $input_file_parsed );
				$input_file_parsed = preg_replace( "/\[thumbright=(.*?)\]/", $words_files[ 'ATTACHMENT_THUMB_HERE' ], $input_file_parsed );

				if( !$input_html )
				{
					$input_file_parsed = $system -> dechomp( $input_file_parsed );
				}

				if( $input_smilies )
				{
					$input_file_parsed = $system -> smilies( $input_file_parsed );
				}

				if( $input_blockcode )
				{
					$input_file_parsed = $system -> code( $input_file_parsed );
				}

				$html -> makeformheadera( $words_files[ 'PREVIEW' ], "newfile", "newform" );
				echo $system -> fixsmilies( $input_file_parsed );
				echo "</div><br /><h2>" . $words_files[ 'ADD_NEW_FILE' ] . "</h2><div class=\"content\">";
			}
			else
			{
				$html -> makeformheadera( $words_files[ 'ADD_NEW_FILE' ], "newfile", "newform" );
				$input_allow_comments = $preferences[ 'files_allow_comments' ];
				$input_frontpage = 1;
				$input_url_tag = 1;
				$input_url_get = 0;
				$input_url_video = 1;
				$input_expire_never = 1;
				$input_twitter = 0;
				$input_plurk = 0;
			}

			$html -> maketabmenu( $words_files[ 'MAIN' ], $words_files[ 'ADVANCED' ], $words_files[ 'ATTACHMENTS' ], "", "", "" );

			if( $notice == $words_files[ 'TEASER_IMAGE_ADDED' ] or $notice == $words_files[ 'UPLOAD_SUCCESSFULLY' ] or $notice == $words_files[ 'DESCRIPTION_CHANGED' ] or $input_file )
			{
				echo "<div id=\"files_main\" style=\"display:none\">";
			}
			else
			{
				echo "<div id=\"files_main\">";
			}

			$websites = array();
			$query = $database -> dbquery( "SELECT preference_website, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_key = 'WEBSITE_NAME'" );

			if( $database -> dbrows( $query ) > 1 )
			{
				echo "<strong>" . $words_files[ 'WEBSITE' ] . ":</strong> <select size=\"1\" name=\"input_website\">";
				echo "<option value=\"0\">" . $words_files[ 'ALL' ] . "</option>";

				while( list( $website_id, $website_name ) = $database -> dbrow( $query ) )
				{
					if( $website_id == $input_website )
					{
						echo "<option selected=\"selected\" value=\"" . $website_id . "\">" . htmlspecialchars( $website_name ) . "</option>";
					}
					else
					{
						echo "<option value=\"" . $website_id . "\">" . htmlspecialchars( $website_name ) . "</option>";
					}

					$websites[ $website_id ] = htmlspecialchars( $website_name );
				}

				echo "</select> ";
			}

			if ( $preferences[ 'files_template_sets' ] )
			{
				$query = $database -> dbquery( "SELECT templateset_id, templateset_name FROM " . DB_PREFIX . "esselbach_ct_templatesets WHERE NOT(templateset_id = '-1') ORDER BY templateset_id" );

				echo "<strong>" . $words_files[ 'CUSTOM_TEMPLATE_SET' ] . ":</strong> <select size=\"1\" name=\"input_template_set\">";
				echo "<option value=\"0\">" . $words_files[ 'NONE' ] . "</option>";

				while( list( $templateset_id, $templateset_name ) = $database -> dbrow( $query ) )
				{
					if( $templateset_id == $input_template_set )
					{
						echo "<option selected=\"selected\" value=\"" . $templateset_id . "\">" . htmlspecialchars( $templateset_name ) . "</option>";
					}
					else
					{
						echo "<option value=\"" . $templateset_id . "\">" . htmlspecialchars( $templateset_name ) . "</option>";
					}
				}

				echo "</select> ";
			}

			if( $preferences[ 'files_featured' ] )
			{
				( $input_top ) ? $checked = " checked=\"checked\"" : $checked = "" ;
				echo "<input name=\"input_top\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_files[ 'TOP_FILE' ] . "</strong>";
			}
			echo "<br />";

			$html -> uppertext( $words_files[ 'FILE_NAME' ], "input_file_name", $input_file_name );
			$html -> uppertext( $words_files[ 'FILE_VERSION' ], "input_file_version", $input_file_version );

			$query = $database -> dbquery( "SELECT filecat_id, filecat_website, filecat_name, filecat_parentid FROM " . DB_PREFIX . "esselbach_ct_filescats ORDER BY filecat_position, filecat_id" );

			if( $database -> dbrows( $query ) )
			{
				echo "<strong>" . $words_files[ 'CATEGORY' ] . ":</strong> <select size=\"1\" name=\"input_category\">";
				echo "<option value=\"0\">" . $words_files[ 'NONE' ] . "</option>";

				while( list( $filecat_id, $filecat_website, $filecat_name, $filecat_parentid ) = $database -> dbrow( $query ) )
				{
					if( $filecat_parentid > 1 )
					{
						$filecat_name = str_repeat( "-", $filecat_parentid ) . " " . $filecat_name;
					}


					if( isset( $websites[ $filecat_website ] ) )
					{
						$filecat_website = " (" . $websites[ $filecat_website ] . ")";
					}
					else
					{
						$filecat_website = "";
					}

					if( $filecat_id == $input_category )
					{
						echo "<option selected=\"selected\" value=\"" . $filecat_id . "\">" . htmlspecialchars( $filecat_name ) . $filecat_website . "</option>";
					}
					else
					{
						echo "<option value=\"" . $filecat_id . "\">" . htmlspecialchars( $filecat_name ) . $filecat_website . "</option>";
					}
				}

				echo "</select><br />";
			}

			$html -> uppertext( $words_files[ 'SIZE' ], "input_file_size", $input_file_size );
			$html -> uppertext( $words_files[ 'COST' ], "input_file_cost", $input_file_cost );
			$html -> uppertext( $words_files[ 'COMPANY' ], "input_file_company", $input_file_company );
			$html -> uppertext( $words_files[ 'HOMEPAGE' ], "input_file_homepage", $input_file_homepage );
			$html -> uppertext( $words_files[ 'EMAIL' ], "input_file_email", $input_file_email );

			if( !$preferences[ 'files_wysiwyg' ] )
			{
				$html -> quickhtml( "" );
			}

			$html -> upperform( $words_files[ 'SMALL_DESCRIPTION' ], "input_file_smalldescription", $input_file_smalldescription, 5 );

			if( !$preferences[ 'files_wysiwyg' ] )
			{
				$html -> quickhtml( 2 );
			}

			$html -> upperform( $words_files[ 'LONG_DESCRIPTION' ], "input_file_longdescription", $input_file_longdescription, 25 );

			if( $preferences[ 'files_wysiwyg' ] )
			{
				$wysiwyg -> controls();
			}
			else
			{
				if( ( $input_dopreview ) or( $notice ) )
				{
					$input_html_value = $input_html;
					$input_smilies_value = $input_smilies;
					$input_blockcode_value = $input_blockcode;
				}
				else
				{
					$input_html_value = 0;
					$input_smilies_value = 1;
					$input_blockcode_value = 1;
				}

				$html -> makeselect( $words_files[ 'USE_HTML' ], "input_html", $input_html_value, $words_files[ 'YES' ] . " " . $words_files[ 'NO' ] );
				$html -> makeselect( $words_files[ 'USE_SMILIES' ], "input_smilies", $input_smilies_value, $words_files[ 'YES' ] . " " . $words_files[ 'NO' ] );
				$html -> makeselect( $words_files[ 'USE_BLOCKCODE' ], "input_blockcode", $input_blockcode_value, $words_files[ 'YES' ] . " " . $words_files[ 'NO' ] );
				echo "<br />";
			}

			$html -> upperform( $words_files[ 'LIMITATIONS' ], "input_file_limitations", $input_file_limitations, 5 );
			$html -> upperform( $words_files[ 'EDITORS_NOTE' ], "input_file_editorsnote", $input_file_editorsnote, 5 );
			$html -> upperform( $words_files[ 'CHANGE_INFO' ], "input_file_changeinfo", $input_file_changeinfo, 5 );

			( $input_allow_comments ) ? $checked = " checked=\"checked\" " : $checked = "" ;
			echo "<br /><input name=\"input_allow_comments\" type=\"checkbox\" value=\"1\"" . $checked . "/> <strong>" . $words_files[ 'ALLOW_COMMENTS' ] . "</strong><br />";
			( $input_frontpage ) ? $checked = " checked=\"checked\"" : $checked = "" ;
			echo "<input name=\"input_frontpage\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_files[ 'SHOW_FRONTPAGE' ] . "</strong><br />";
			if( !$preferences[ 'files_wysiwyg' ] )
			{
				( $input_url_tag ) ? $checked = " checked=\"checked\"" : $checked = "" ;
				echo "<input name=\"input_url_tag\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_files[ 'ADD_URL_TAG' ] . "</strong><br />";
				( $input_url_get ) ? $checked = " checked=\"checked\"" : $checked = "" ;
				echo "<input name=\"input_url_get\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_files[ 'GET_WEBSITE_TITLES' ] . "</strong><br />";
				( $input_url_video ) ? $checked = " checked=\"checked\"" : $checked = "" ;
				echo "<input name=\"input_url_video\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_files[ 'ADD_VIDEO_TAG' ] . "</strong><br />";
			}

			if( ( $preferences[ 'user_twitter_login' ] ) and ( $preferences[ 'user_twitter_key' ] ) and ( $preferences[ 'user_twitter_secret' ] ) and ( phpversion() >= "5.2.0" ) )
			{
				session_start();
				if ( !empty( $_SESSION[ 'access_token' ] ) and !empty( $_SESSION[ 'access_token' ][ 'oauth_token' ] ) and !empty( $_SESSION[ 'access_token' ][ 'oauth_token_secret' ] ) )
				{
					( $input_twitter ) ? $checked = " checked=\"checked\"" : $checked = "" ;
					echo "<input name=\"input_twitter\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_files[ 'POST_ON_TWITTER' ] . "</strong><br />";
				}
			}

			if ( $preferences[ 'files_plurk_username' ] and $preferences[ 'files_plurk_password' ] and function_exists( "curl_exec" ) )
			{
				( $input_plurk ) ? $checked = " checked=\"checked\"" : $checked = "" ;
				echo "<input name=\"input_plurk\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_files[ 'POST_ON_PLURK' ] . "</strong><br />";
			}

			$html -> uppertext( $words_files[ 'DOWNLOAD_PRIMARY_URL' ], "input_primary_url", $input_primary_url );
			$html -> uppertext( $words_files[ 'DOWNLOAD_SECONDARY_URL' ], "input_secondary_url", $input_secondary_url );
			$html -> uppertext( $words_files[ 'PAD_URL' ], "input_file_pad", $input_file_pad );

			if( $input_download_other_url_1 )
			{
				echo "<div id=\"extra_form_open\">";
			}
			else
			{
				echo "<div id=\"extra_form_close\"><br /><a href=\"#\" onclick=\"show_form(); return false;\">" . $words_files[ 'ADD_ADDITIONAL_MIRRORS' ] . "</a></div>";
				echo "<div id=\"extra_form_open\" style=\"display:none\">";
			}

			if ( !$input_download_other_name_1 and $preferences[ 'files_default_mirror_name_1' ] )
			{
				$input_download_other_name_1 = $preferences[ 'files_default_mirror_name_1'];
			}
			if ( !$input_download_other_url_1 and $preferences[ 'files_default_mirror_url_1' ] )
			{
				$input_download_other_url_1 = $preferences[ 'files_default_mirror_url_1'];
			}
			if ( !$input_download_other_name_2 and $preferences[ 'files_default_mirror_name_2' ] )
			{
				$input_download_other_name_2 = $preferences[ 'files_default_mirror_name_2'];
			}
			if ( !$input_download_other_url_2 and $preferences[ 'files_default_mirror_url_2' ] )
			{
				$input_download_other_url_2 = $preferences[ 'files_default_mirror_url_2'];
			}
			if ( !$input_download_other_name_3 and $preferences[ 'files_default_mirror_name_3' ] )
			{
				$input_download_other_name_3 = $preferences[ 'files_default_mirror_name_3'];
			}
			if ( !$input_download_other_url_3 and $preferences[ 'files_default_mirror_url_3' ] )
			{
				$input_download_other_url_3 = $preferences[ 'files_default_mirror_url_3'];
			}
			if ( !$input_download_other_name_4 and $preferences[ 'files_default_mirror_name_4' ] )
			{
				$input_download_other_name_4 = $preferences[ 'files_default_mirror_name_4'];
			}
			if ( !$input_download_other_url_4 and $preferences[ 'files_default_mirror_url_4' ] )
			{
				$input_download_other_url_4 = $preferences[ 'files_default_mirror_url_4'];
			}
			if ( !$input_download_other_name_5 and $preferences[ 'files_default_mirror_name_5' ] )
			{
				$input_download_other_name_5 = $preferences[ 'files_default_mirror_name_5'];
			}
			if ( !$input_download_other_url_5 and $preferences[ 'files_default_mirror_url_5' ] )
			{
				$input_download_other_url_5 = $preferences[ 'files_default_mirror_url_5'];
			}
			if ( !$input_download_other_name_6 and $preferences[ 'files_default_mirror_name_6' ] )
			{
				$input_download_other_name_6 = $preferences[ 'files_default_mirror_name_6'];
			}
			if ( !$input_download_other_url_6 and $preferences[ 'files_default_mirror_url_6' ] )
			{
				$input_download_other_url_6 = $preferences[ 'files_default_mirror_url_6'];
			}
			if ( !$input_download_other_name_7 and $preferences[ 'files_default_mirror_name_7' ] )
			{
				$input_download_other_name_7 = $preferences[ 'files_default_mirror_name_7'];
			}
			if ( !$input_download_other_url_7 and $preferences[ 'files_default_mirror_url_7' ] )
			{
				$input_download_other_url_7 = $preferences[ 'files_default_mirror_url_7'];
			}
			if ( !$input_download_other_name_8 and $preferences[ 'files_default_mirror_name_8' ] )
			{
				$input_download_other_name_8 = $preferences[ 'files_default_mirror_name_8'];
			}
			if ( !$input_download_other_url_8 and $preferences[ 'files_default_mirror_url_8' ] )
			{
				$input_download_other_url_8 = $preferences[ 'files_default_mirror_url_8'];
			}
			if ( !$input_download_other_name_9 and $preferences[ 'files_default_mirror_name_9' ] )
			{
				$input_download_other_name_9 = $preferences[ 'files_default_mirror_name_9'];
			}
			if ( !$input_download_other_url_9 and $preferences[ 'files_default_mirror_url_9' ] )
			{
				$input_download_other_url_9 = $preferences[ 'files_default_mirror_url_9'];
			}
			if ( !$input_download_other_name_10 and $preferences[ 'files_default_mirror_name_10' ] )
			{
				$input_download_other_name_10 = $preferences[ 'files_default_mirror_name_10'];
			}
			if ( !$input_download_other_url_10 and $preferences[ 'files_default_mirror_url_10' ] )
			{
				$input_download_other_url_10 = $preferences[ 'files_default_mirror_url_10'];
			}
			if ( !$input_download_other_name_11 and $preferences[ 'files_default_mirror_name_11' ] )
			{
				$input_download_other_name_11 = $preferences[ 'files_default_mirror_name_11'];
			}
			if ( !$input_download_other_url_11 and $preferences[ 'files_default_mirror_url_11' ] )
			{
				$input_download_other_url_11 = $preferences[ 'files_default_mirror_url_11'];
			}
			if ( !$input_download_other_name_12 and $preferences[ 'files_default_mirror_name_12' ] )
			{
				$input_download_other_name_12 = $preferences[ 'files_default_mirror_name_12'];
			}
			if ( !$input_download_other_url_12 and $preferences[ 'files_default_mirror_url_12' ] )
			{
				$input_download_other_url_12 = $preferences[ 'files_default_mirror_url_12'];
			}
			if ( !$input_download_other_name_13 and $preferences[ 'files_default_mirror_name_13' ] )
			{
				$input_download_other_name_13 = $preferences[ 'files_default_mirror_name_13'];
			}
			if ( !$input_download_other_url_13 and $preferences[ 'files_default_mirror_url_13' ] )
			{
				$input_download_other_url_13 = $preferences[ 'files_default_mirror_url_13'];
			}
			if ( !$input_download_other_name_14 and $preferences[ 'files_default_mirror_name_14' ] )
			{
				$input_download_other_name_14 = $preferences[ 'files_default_mirror_name_14'];
			}
			if ( !$input_download_other_url_14 and $preferences[ 'files_default_mirror_url_14' ] )
			{
				$input_download_other_url_14 = $preferences[ 'files_default_mirror_url_14'];
			}
			if ( !$input_download_other_name_15 and $preferences[ 'files_default_mirror_name_15' ] )
			{
				$input_download_other_name_15 = $preferences[ 'files_default_mirror_name_15'];
			}
			if ( !$input_download_other_url_15 and $preferences[ 'files_default_mirror_url_15' ] )
			{
				$input_download_other_url_15 = $preferences[ 'files_default_mirror_url_15'];
			}
			if ( !$input_download_other_name_16 and $preferences[ 'files_default_mirror_name_16' ] )
			{
				$input_download_other_name_16 = $preferences[ 'files_default_mirror_name_16'];
			}
			if ( !$input_download_other_url_16 and $preferences[ 'files_default_mirror_url_16' ] )
			{
				$input_download_other_url_16 = $preferences[ 'files_default_mirror_url_16'];
			}
			if ( !$input_download_other_name_17 and $preferences[ 'files_default_mirror_name_17' ] )
			{
				$input_download_other_name_17 = $preferences[ 'files_default_mirror_name_17'];
			}
			if ( !$input_download_other_url_17 and $preferences[ 'files_default_mirror_url_17' ] )
			{
				$input_download_other_url_17 = $preferences[ 'files_default_mirror_url_17'];
			}
			if ( !$input_download_other_name_18 and $preferences[ 'files_default_mirror_name_18' ] )
			{
				$input_download_other_name_18 = $preferences[ 'files_default_mirror_name_18'];
			}
			if ( !$input_download_other_url_18 and $preferences[ 'files_default_mirror_url_18' ] )
			{
				$input_download_other_url_18 = $preferences[ 'files_default_mirror_url_18'];
			}
			if ( !$input_download_other_name_19 and $preferences[ 'files_default_mirror_name_19' ] )
			{
				$input_download_other_name_19 = $preferences[ 'files_default_mirror_name_19'];
			}
			if ( !$input_download_other_url_19 and $preferences[ 'files_default_mirror_url_19' ] )
			{
				$input_download_other_url_19 = $preferences[ 'files_default_mirror_url_19'];
			}
			if ( !$input_download_other_name_20 and $preferences[ 'files_default_mirror_name_20' ] )
			{
				$input_download_other_name_20 = $preferences[ 'files_default_mirror_name_20'];
			}
			if ( !$input_download_other_url_20 and $preferences[ 'files_default_mirror_url_20' ] )
			{
				$input_download_other_url_20 = $preferences[ 'files_default_mirror_url_20'];
			}

			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_1' ], "input_download_other_name_1", $input_download_other_name_1 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_1' ], "input_download_other_url_1", $input_download_other_url_1 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_2' ], "input_download_other_name_2", $input_download_other_name_2 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_2' ], "input_download_other_url_2", $input_download_other_url_2 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_3' ], "input_download_other_name_3", $input_download_other_name_3 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_3' ], "input_download_other_url_3", $input_download_other_url_3 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_4' ], "input_download_other_name_4", $input_download_other_name_4 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_4' ], "input_download_other_url_4", $input_download_other_url_4 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_5' ], "input_download_other_name_5", $input_download_other_name_5 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_5' ], "input_download_other_url_5", $input_download_other_url_5 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_6' ], "input_download_other_name_6", $input_download_other_name_6 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_6' ], "input_download_other_url_6", $input_download_other_url_6 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_7' ], "input_download_other_name_7", $input_download_other_name_7 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_7' ], "input_download_other_url_7", $input_download_other_url_7 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_8' ], "input_download_other_name_8", $input_download_other_name_8 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_8' ], "input_download_other_url_8", $input_download_other_url_8 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_9' ], "input_download_other_name_9", $input_download_other_name_9 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_9' ], "input_download_other_url_9", $input_download_other_url_9 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_10' ], "input_download_other_name_10", $input_download_other_name_10 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_10' ], "input_download_other_url_10", $input_download_other_url_10 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_11' ], "input_download_other_name_11", $input_download_other_name_11 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_11' ], "input_download_other_url_11", $input_download_other_url_11 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_12' ], "input_download_other_name_12", $input_download_other_name_12 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_12' ], "input_download_other_url_12", $input_download_other_url_12 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_13' ], "input_download_other_name_13", $input_download_other_name_13 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_13' ], "input_download_other_url_13", $input_download_other_url_13 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_14' ], "input_download_other_name_14", $input_download_other_name_14 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_14' ], "input_download_other_url_14", $input_download_other_url_14 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_15' ], "input_download_other_name_15", $input_download_other_name_15 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_15' ], "input_download_other_url_15", $input_download_other_url_15 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_16' ], "input_download_other_name_16", $input_download_other_name_16 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_16' ], "input_download_other_url_16", $input_download_other_url_16 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_17' ], "input_download_other_name_17", $input_download_other_name_17 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_17' ], "input_download_other_url_17", $input_download_other_url_17 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_18' ], "input_download_other_name_18", $input_download_other_name_18 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_18' ], "input_download_other_url_18", $input_download_other_url_18 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_19' ], "input_download_other_name_19", $input_download_other_name_19 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_19' ], "input_download_other_url_19", $input_download_other_url_19 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_NAME_20' ], "input_download_other_name_20", $input_download_other_name_20 );
			$html -> uppertext( $words_files[ 'DOWNLOAD_OTHER_URL_20' ], "input_download_other_url_20", $input_download_other_url_20 );
			echo "</div>";

			$input_extrafields = explode( "|^X|", $preferences[ 'files_extrafields' ] );

			for( $i = 0; $i < 24; $i++ )
			{
				( isset( $input_extrafields[ $i ] ) ) ? $row = $input_extrafields[ $i ] : $row = "" ;
				$input_form_data = explode( "|^Z|", $row );

				if( isset( $input_form_data[ 1 ] ) )
				{
					$input_form_num = $input_form_data[ 0 ];
					$input_form_text = htmlspecialchars( base64_decode( $input_form_data[ 1 ] ) );
				}
				else
				{
					$input_form_num = "";
					$input_form_text = "";
				}

				if( $input_form_text )
				{
					if( is_array( $input_fields ) )
					{
						$input_field = ( isset( $input_fields[ $i ] ) ) ? $input_fields[ $i ] : "" ;
					}
					else
					{
						$input_field = "";
					}

					if( !$input_form_num )
					{
						$html -> uppertext( $input_form_text, "input_fields[$i]", $input_field );
					}

					if( $input_form_num == 1 )
					{
						$html -> upperform( $input_form_text, "input_fields[$i]", $input_field, 25 );
					}

					if( $input_form_num == 2 )
					{
						$dropdown_array = explode( ",", $input_form_text );
						$dropdown_name = $dropdown_array[ 0 ];
						echo "<strong>" . $dropdown_name . ":</strong> <select size=\"1\" name=\"input_fields[$i]\">";

						for( $y = 1; $y < count( $dropdown_array ); $y++ )
						{
							( $dropdown_array[ $y ] == $input_field ) ? $selected = "selected=\"selected\" " : $selected = "";
							echo "<option " . $selected . "value=\"" . htmlspecialchars( $dropdown_array[ $y ] ) . "\">" . htmlspecialchars( $dropdown_array[ $y ] ) . "</option>";
						}

						echo "</select><br />";
					}
				}
			}

			echo "</div>";
			if( $notice == $words_files[ 'TEASER_IMAGE_ADDED' ] )
			{
				echo "<style type=\"text/css\">\n<!--\n#tabmenuone\n{\nbackground-color: rgb(227, 237, 251);\n}\n#tabmenuone a\n{\ncolor: rgb(0, 0, 0);\n}\n#tabmenutwo\n{\nbackground-color: rgb(120, 147, 177);\n}\n#tabmenutwo a\n{\ncolor: rgb(255, 255, 255);\n}\n-->\n</style>\n<div id=\"files_advanced\">";
			}
			else
			{
				echo "<div id=\"files_advanced\" style=\"display:none\">";
			}

			if( $permissions[ 'core' ] == 1 )
			{
				echo "<strong>" . $words_files[ 'ADD_TO_MENU' ] . ":</strong> <select size=\"1\" name=\"input_menu\">";
				echo "<option value=\"0\">" . $words_files[ 'NONE' ] . "</option>";
				$query = $database -> dbquery( "SELECT menu_id, menu_website, menu_name, menu_parentid FROM " . DB_PREFIX . "esselbach_ct_menus WHERE menu_active = '1' AND menu_parentid < '2' ORDER BY menu_position, menu_parentmenu, menu_id" );

				while( list( $menu_id, $menu_website, $menu_name, $menu_parentid ) = $database -> dbrow( $query ) )
				{
					if( $menu_parentid > 1 )
					{
						$menu_name = str_repeat( "-", $menu_parentid ) . " " . htmlspecialchars( $menu_name );
					}

					if( isset( $websites[ $menu_website ] ) )
					{
						$menu_website = " (" . $websites[ $menu_website ] . ")";
					}
					else
					{
						$menu_website = "";
					}

					if( $menu_id == $input_menu )
					{
						$selected = " selected=\"selected\"";
					}
					else
					{
						$selected = "";
					}

					echo "<option value=\"" . $menu_id . "\"" . $selected . ">" . htmlspecialchars( $menu_name ) . htmlspecialchars( $menu_website ) . "</option>";
				}

				echo "</select><br />";
			}

			$html -> uppertext( $words_files[ 'THIS_FILE_WAS_CONTRIBUTED_BY' ], "input_file_source", $input_file_source );

			if( $preferences[ 'files_start_expire_date' ] )
			{
				if( !$input_year )
				{
					$input_year = date( "Y" );
					$input_month = date( "n" );
					$input_day = date( "j" );
					$input_hour = date( "H" );
					$input_minute = date( "i" );
					$input_second = date( "s" );
				}

				echo "<strong>" . $words_files[ 'PUBLISH_DATE' ] . ":</strong><br />";
				( $input_month == "1" ) ? $month_selected_january = "selected=\"selected\" " : $month_selected_january = "" ;
				( $input_month == "2" ) ? $month_selected_feburary = "selected=\"selected\" " : $month_selected_feburary = "" ;
				( $input_month == "3" ) ? $month_selected_march = "selected=\"selected\" " : $month_selected_march = "" ;
				( $input_month == "4" ) ? $month_selected_april = "selected=\"selected\" " : $month_selected_april = "" ;
				( $input_month == "5" ) ? $month_selected_may = "selected=\"selected\" " : $month_selected_may = "" ;
				( $input_month == "6" ) ? $month_selected_june = "selected=\"selected\" " : $month_selected_june = "" ;
				( $input_month == "7" ) ? $month_selected_july = "selected=\"selected\" " : $month_selected_july = "" ;
				( $input_month == "8" ) ? $month_selected_august = "selected=\"selected\" " : $month_selected_august = "" ;
				( $input_month == "9" ) ? $month_selected_september = "selected=\"selected\" " : $month_selected_september = "" ;
				( $input_month == "10" ) ? $month_selected_october = "selected=\"selected\" " : $month_selected_october = "" ;
				( $input_month == "11" ) ? $month_selected_november = "selected=\"selected\" " : $month_selected_november = "" ;
				( $input_month == "12" ) ? $month_selected_december = "selected=\"selected\" " : $month_selected_december = "" ;
				echo "<select size=\"1\" name=\"input_month\">";
				echo "<option " . $month_selected_january . "value=\"1\">" . $words_files[ 'JANUARY' ] . "</option>";
				echo "<option " . $month_selected_feburary . "value=\"2\">" . $words_files[ 'FEBRUARY' ] . "</option>";
				echo "<option " . $month_selected_march . "value=\"3\">" . $words_files[ 'MARCH' ] . "</option>";
				echo "<option " . $month_selected_april . "value=\"4\">" . $words_files[ 'APRIL' ] . "</option>";
				echo "<option " . $month_selected_may . "value=\"5\">" . $words_files[ 'MAY' ] . "</option>";
				echo "<option " . $month_selected_june . "value=\"6\">" . $words_files[ 'JUNE' ] . "</option>";
				echo "<option " . $month_selected_july . "value=\"7\">" . $words_files[ 'JULY' ] . "</option>";
				echo "<option " . $month_selected_august . "value=\"8\">" . $words_files[ 'AUGUST' ] . "</option>";
				echo "<option " . $month_selected_september . "value=\"9\">" . $words_files[ 'SEPTEMBER' ] . "</option>";
				echo "<option " . $month_selected_october . "value=\"10\">" . $words_files[ 'OCTOBER' ] . "</option>";
				echo "<option " . $month_selected_november . "value=\"11\">" . $words_files[ 'NOVEMBER' ] . "</option>";
				echo "<option " . $month_selected_december . "value=\"12\">" . $words_files[ 'DECEMBER' ] . "</option>";
				echo "</select><select size=\"1\" name=\"input_day\">";

				for( $day = 1; $day < 32; $day++ )
				{
					( $day == $input_day ) ? $day_selected = "selected=\"selected\" " : $day_selected = "";
					echo "<option " . $day_selected . "value=\"" . $day . "\">" . $day . "</option>";
				}

				$yearstart = date( "Y" ) - 10;
				$yearend = date( "Y" ) + 10;
				echo "</select><select size=\"1\" name=\"input_year\">";

				for( $year = $yearstart; $year < $yearend; $year++ )
				{
					( $year == $input_year ) ? $year_selected = "selected=\"selected\" " : $year_selected = "";
					echo "<option " . $year_selected . "value=\"" . $year . "\">" . $year . "</option>";
				}

				echo "</select><select size=\"1\" name=\"input_hour\">";

				for( $hour = 1; $hour < 24; $hour++ )
				{
					$hour_value = $html -> twodigits( $hour );
					( $hour_value == $input_hour ) ? $hour_selected = "selected=\"selected\" " : $hour_selected = "";
					echo "<option " . $hour_selected . "value=\"" . $hour_value . "\">" . $hour_value . "</option>";
				}

				echo "</select>:<select size=\"1\" name=\"input_minute\">";

				for( $minutes = 1; $minutes < 60; $minutes++ )
				{
					$minutes_value = $html -> twodigits( $minutes );
					( $minutes_value == $input_minute ) ? $minute_selected = "selected=\"selected\" " : $minute_selected = "";
					echo "<option " . $minute_selected . "value=\"" . $minutes_value . "\">" . $minutes_value . "</option>";
				}

				echo "</select>:<select size=\"1\" name=\"input_second\">";

				for( $seconds = 1; $seconds < 60; $seconds++ )
				{
					$seconds_value = $html -> twodigits( $seconds );
					( $seconds_value == $input_second ) ? $second_selected = "selected=\"selected\" " : $second_selected = "";
					echo "<option " . $second_selected . "value=\"" . $seconds_value . "\">" . $seconds_value . "</option>";
				}

				( $input_now ) ? $checked = " checked=\"checked\"" : $checked = "" ;
				echo "</select> <strong>" . $words_files[ 'OR_NOW' ] . "<input name=\"input_now\" type=\"checkbox\" value=\"1\"" . $checked . " /></strong><br />";

				if( !$input_expire_year )
				{
					$input_expire_year = date( "Y" );
					$input_expire_month = date( "n" );
					$input_expire_day = date( "j" );
					$input_expire_hour = date( "H" );
					$input_expire_minute = date( "i" );
					$input_expire_second = date( "s" );
				}

				echo "<strong>" . $words_files[ 'EXPIRE_DATE' ] . ":</strong><br />";
				( $input_expire_month == "1" ) ? $month_selected_january = "selected=\"selected\" " : $month_selected_january = "" ;
				( $input_expire_month == "2" ) ? $month_selected_feburary = "selected=\"selected\" " : $month_selected_feburary = "" ;
				( $input_expire_month == "3" ) ? $month_selected_march = "selected=\"selected\" " : $month_selected_march = "" ;
				( $input_expire_month == "4" ) ? $month_selected_april = "selected=\"selected\" " : $month_selected_april = "" ;
				( $input_expire_month == "5" ) ? $month_selected_may = "selected=\"selected\" " : $month_selected_may = "" ;
				( $input_expire_month == "6" ) ? $month_selected_june = "selected=\"selected\" " : $month_selected_june = "" ;
				( $input_expire_month == "7" ) ? $month_selected_july = "selected=\"selected\" " : $month_selected_july = "" ;
				( $input_expire_month == "8" ) ? $month_selected_august = "selected=\"selected\" " : $month_selected_august = "" ;
				( $input_expire_month == "9" ) ? $month_selected_september = "selected=\"selected\" " : $month_selected_september = "" ;
				( $input_expire_month == "10" ) ? $month_selected_october = "selected=\"selected\" " : $month_selected_october = "" ;
				( $input_expire_month == "11" ) ? $month_selected_november = "selected=\"selected\" " : $month_selected_november = "" ;
				( $input_expire_month == "12" ) ? $month_selected_december = "selected=\"selected\" " : $month_selected_december = "" ;
				echo "<select size=\"1\" name=\"input_expire_month\">";
				echo "<option " . $month_selected_january . "value=\"1\">" . $words_files[ 'JANUARY' ] . "</option>";
				echo "<option " . $month_selected_feburary . "value=\"2\">" . $words_files[ 'FEBRUARY' ] . "</option>";
				echo "<option " . $month_selected_march . "value=\"3\">" . $words_files[ 'MARCH' ] . "</option>";
				echo "<option " . $month_selected_april . "value=\"4\">" . $words_files[ 'APRIL' ] . "</option>";
				echo "<option " . $month_selected_may . "value=\"5\">" . $words_files[ 'MAY' ] . "</option>";
				echo "<option " . $month_selected_june . "value=\"6\">" . $words_files[ 'JUNE' ] . "</option>";
				echo "<option " . $month_selected_july . "value=\"7\">" . $words_files[ 'JULY' ] . "</option>";
				echo "<option " . $month_selected_august . "value=\"8\">" . $words_files[ 'AUGUST' ] . "</option>";
				echo "<option " . $month_selected_september . "value=\"9\">" . $words_files[ 'SEPTEMBER' ] . "</option>";
				echo "<option " . $month_selected_october . "value=\"10\">" . $words_files[ 'OCTOBER' ] . "</option>";
				echo "<option " . $month_selected_november . "value=\"11\">" . $words_files[ 'NOVEMBER' ] . "</option>";
				echo "<option " . $month_selected_december . "value=\"12\">" . $words_files[ 'DECEMBER' ] . "</option>";
				echo "</select><select size=\"1\" name=\"input_expire_day\">";

				for( $day = 1; $day < 32; $day++ )
				{
					( $day == $input_expire_day ) ? $day_selected = "selected=\"selected\" " : $day_selected = "";
					echo "<option " . $day_selected . "value=\"" . $day . "\">" . $day . "</option>";
				}

				$yearstart = date( "Y" );
				$yearend = date( "Y" ) + 20;
				echo "</select><select size=\"1\" name=\"input_expire_year\">";

				for( $year = $yearstart; $year < $yearend; $year++ )
				{
					( $year == $input_expire_year ) ? $year_selected = "selected=\"selected\" " : $year_selected = "";
					echo "<option " . $year_selected . "value=\"" . $year . "\">" . $year . "</option>";
				}

				echo "</select><select size=\"1\" name=\"input_expire_hour\">";

				for( $hour = 1; $hour < 24; $hour++ )
				{
					$hour_value = $html -> twodigits( $hour );
					( $hour_value == $input_expire_hour ) ? $hour_selected = "selected=\"selected\" " : $hour_selected = "";
					echo "<option " . $hour_selected . "value=\"" . $hour_value . "\">" . $hour_value . "</option>";
				}

				echo "</select>:<select size=\"1\" name=\"input_expire_minute\">";

				for( $minutes = 1; $minutes < 60; $minutes++ )
				{
					$minutes_value = $html -> twodigits( $minutes );
					( $minutes_value == $input_expire_minute ) ? $minute_selected = "selected=\"selected\" " : $minute_selected = "";
					echo "<option " . $minute_selected . "value=\"" . $minutes_value . "\">" . $minutes_value . "</option>";
				}

				echo "</select>:<select size=\"1\" name=\"input_expire_second\">";

				for( $seconds = 1; $seconds < 60; $seconds++ )
				{
					$seconds_value = $html -> twodigits( $seconds );
					( $seconds_value == $input_expire_second ) ? $second_selected = "selected=\"selected\" " : $second_selected = "";
					echo "<option " . $second_selected . "value=\"" . $seconds_value . "\">" . $seconds_value . "</option>";
				}

				( $input_expire_never ) ? $checked = " checked=\"checked\"" : $checked = "" ;
				echo "</select> <strong>" . $words_files[ 'OR_NEVER' ] . "<input name=\"input_expire_never\" type=\"checkbox\" value=\"1\"" . $checked . " /></strong><br />";
			}

			$html -> upperform( $words_files[ 'DESCRIPTION' ], "input_file_description", $input_file_description, 4 );
			$html -> upperform( $words_files[ 'KEYWORDS' ], "input_file_keywords", $input_file_keywords, 4 );

			if( $preferences[ 'website_seo_hyphens' ] )
			{
				$input_file_seo = str_replace( "_", "-", $input_file_seo );
			}
			$html -> uppertext( $words_files[ 'SEO_URL' ], "input_file_seo", $input_file_seo );

			if ( $preferences[ 'files_blocks' ] )
			{
				$checked = "";
				echo "<strong>" . $words_files[ 'BLOCK_OVERRIDE' ] . ":</strong><br />";
				echo "<div id=\"blocks\" style=\"height: 125px; width: 250px; border-color: rgb(134, 134, 134); border-width: 1px; border-style: solid; background-color: rgb(255, 255, 255); overflow: auto;\">";

				$old_category = "";
				$query = $database -> dbquery( "SELECT b.block_id, b.block_website, c.blockcat_name, b.block_name FROM " . DB_PREFIX . "esselbach_ct_blocks b, " . DB_PREFIX . "esselbach_ct_blockscat c WHERE c.blockcat_id = b.block_category ORDER BY block_category, block_position" );
				while( list( $block_id, $block_website, $block_category, $block_name ) = $database -> dbrow( $query ) )
				{
					if( $block_category != $old_category )
					{
						echo "<strong>" . htmlspecialchars( $block_category ) . "</strong><br />";
					}
					if( is_array( $input_blocks ) )
					{
						( isset( $input_blocks[ $block_id ] ) == $block_id ) ? $checked = " checked=\"checked\"" : $checked = "" ;
					}
					if( isset( $websites[ $block_website ] ) )
					{
						$block_website = " (" . $websites[ $block_website ] . ")";
					}
					else
					{
						$block_website = "";
					}
					echo "<input name=\"input_blocks[" . $block_id . "]\" type=\"checkbox\" value=\"" . $block_id . "\"" . $checked . " /> " . htmlspecialchars( $block_name ) . $block_website . "<br />";
					$old_category = $block_category;
				}
				echo "</div>";
			}

			echo "<strong>" . $words_files[ 'LANGUAGE' ] . ":</strong><br />";
			( $input_file_language == "1" ) ? $language_selected_1 = "selected=\"selected\" " : $language_selected_1 = "" ;
			( $input_file_language == "2" ) ? $language_selected_2 = "selected=\"selected\" " : $language_selected_2 = "" ;
			( $input_file_language == "3" ) ? $language_selected_3 = "selected=\"selected\" " : $language_selected_3 = "" ;
			( $input_file_language == "4" ) ? $language_selected_4 = "selected=\"selected\" " : $language_selected_4 = "" ;
			( $input_file_language == "5" ) ? $language_selected_5 = "selected=\"selected\" " : $language_selected_5 = "" ;
			( $input_file_language == "6" ) ? $language_selected_6 = "selected=\"selected\" " : $language_selected_6 = "" ;
			( $input_file_language == "7" ) ? $language_selected_7 = "selected=\"selected\" " : $language_selected_7 = "" ;
			( $input_file_language == "8" ) ? $language_selected_8 = "selected=\"selected\" " : $language_selected_8 = "" ;
			( $input_file_language == "9" ) ? $language_selected_9 = "selected=\"selected\" " : $language_selected_9 = "" ;
			( $input_file_language == "10" ) ? $language_selected_10 = "selected=\"selected\" " : $language_selected_10 = "" ;
			( $input_file_language == "11" ) ? $language_selected_11 = "selected=\"selected\" " : $language_selected_11 = "" ;
			( $input_file_language == "12" ) ? $language_selected_12 = "selected=\"selected\" " : $language_selected_12 = "" ;
			( $input_file_language == "13" ) ? $language_selected_13 = "selected=\"selected\" " : $language_selected_13 = "" ;
			( $input_file_language == "14" ) ? $language_selected_14 = "selected=\"selected\" " : $language_selected_14 = "" ;
			( $input_file_language == "15" ) ? $language_selected_15 = "selected=\"selected\" " : $language_selected_15 = "" ;
			( $input_file_language == "16" ) ? $language_selected_16 = "selected=\"selected\" " : $language_selected_16 = "" ;
			( $input_file_language == "17" ) ? $language_selected_17 = "selected=\"selected\" " : $language_selected_17 = "" ;
			( $input_file_language == "18" ) ? $language_selected_18 = "selected=\"selected\" " : $language_selected_18 = "" ;
			( $input_file_language == "19" ) ? $language_selected_19 = "selected=\"selected\" " : $language_selected_19 = "" ;
			( $input_file_language == "20" ) ? $language_selected_20 = "selected=\"selected\" " : $language_selected_20 = "" ;
			( $input_file_language == "21" ) ? $language_selected_21 = "selected=\"selected\" " : $language_selected_21 = "" ;
			( $input_file_language == "22" ) ? $language_selected_22 = "selected=\"selected\" " : $language_selected_22 = "" ;
			( $input_file_language == "23" ) ? $language_selected_23 = "selected=\"selected\" " : $language_selected_23 = "" ;
			( $input_file_language == "24" ) ? $language_selected_24 = "selected=\"selected\" " : $language_selected_24 = "" ;
			( $input_file_language == "25" ) ? $language_selected_25 = "selected=\"selected\" " : $language_selected_25 = "" ;
			( $input_file_language == "26" ) ? $language_selected_26 = "selected=\"selected\" " : $language_selected_26 = "" ;
			( $input_file_language == "27" ) ? $language_selected_27 = "selected=\"selected\" " : $language_selected_27 = "" ;
			( $input_file_language == "28" ) ? $language_selected_28 = "selected=\"selected\" " : $language_selected_28 = "" ;
			( $input_file_language == "29" ) ? $language_selected_29 = "selected=\"selected\" " : $language_selected_29 = "" ;
			( $input_file_language == "30" ) ? $language_selected_30 = "selected=\"selected\" " : $language_selected_30 = "" ;
			( $input_file_language == "31" ) ? $language_selected_31 = "selected=\"selected\" " : $language_selected_31 = "" ;
			( $input_file_language == "32" ) ? $language_selected_32 = "selected=\"selected\" " : $language_selected_32 = "" ;
			( $input_file_language == "33" ) ? $language_selected_33 = "selected=\"selected\" " : $language_selected_33 = "" ;
			( $input_file_language == "34" ) ? $language_selected_34 = "selected=\"selected\" " : $language_selected_34 = "" ;
			( $input_file_language == "35" ) ? $language_selected_35 = "selected=\"selected\" " : $language_selected_35 = "" ;
			( $input_file_language == "36" ) ? $language_selected_36 = "selected=\"selected\" " : $language_selected_36 = "" ;
			( $input_file_language == "37" ) ? $language_selected_37 = "selected=\"selected\" " : $language_selected_37 = "" ;
			( $input_file_language == "38" ) ? $language_selected_38 = "selected=\"selected\" " : $language_selected_38 = "" ;
			( $input_file_language == "39" ) ? $language_selected_39 = "selected=\"selected\" " : $language_selected_39 = "" ;
			( $input_file_language == "40" ) ? $language_selected_40 = "selected=\"selected\" " : $language_selected_40 = "" ;
			( $input_file_language == "40" ) ? $language_selected_40 = "selected=\"selected\" " : $language_selected_40 = "" ;
			( $input_file_language == "41" ) ? $language_selected_41 = "selected=\"selected\" " : $language_selected_41 = "" ;
			( $input_file_language == "42" ) ? $language_selected_42 = "selected=\"selected\" " : $language_selected_42 = "" ;
			( $input_file_language == "43" ) ? $language_selected_43 = "selected=\"selected\" " : $language_selected_43 = "" ;
			( $input_file_language == "44" ) ? $language_selected_44 = "selected=\"selected\" " : $language_selected_44 = "" ;
			( $input_file_language == "45" ) ? $language_selected_45 = "selected=\"selected\" " : $language_selected_45 = "" ;
			( $input_file_language == "46" ) ? $language_selected_46 = "selected=\"selected\" " : $language_selected_46 = "" ;
			( $input_file_language == "47" ) ? $language_selected_47 = "selected=\"selected\" " : $language_selected_47 = "" ;
			( $input_file_language == "48" ) ? $language_selected_48 = "selected=\"selected\" " : $language_selected_48 = "" ;
			( $input_file_language == "49" ) ? $language_selected_49 = "selected=\"selected\" " : $language_selected_49 = "" ;
			( $input_file_language == "50" ) ? $language_selected_50 = "selected=\"selected\" " : $language_selected_50 = "" ;
			( $input_file_language == "51" ) ? $language_selected_51 = "selected=\"selected\" " : $language_selected_51 = "" ;
			( $input_file_language == "52" ) ? $language_selected_52 = "selected=\"selected\" " : $language_selected_52 = "" ;
			( $input_file_language == "53" ) ? $language_selected_53 = "selected=\"selected\" " : $language_selected_53 = "" ;
			( $input_file_language == "54" ) ? $language_selected_54 = "selected=\"selected\" " : $language_selected_54 = "" ;
			( $input_file_language == "55" ) ? $language_selected_55 = "selected=\"selected\" " : $language_selected_55 = "" ;
			( $input_file_language == "56" ) ? $language_selected_56 = "selected=\"selected\" " : $language_selected_56 = "" ;
			( $input_file_language == "57" ) ? $language_selected_57 = "selected=\"selected\" " : $language_selected_57 = "" ;
			( $input_file_language == "58" ) ? $language_selected_58 = "selected=\"selected\" " : $language_selected_58 = "" ;
			( $input_file_language == "59" ) ? $language_selected_59 = "selected=\"selected\" " : $language_selected_59 = "" ;
			( $input_file_language == "60" ) ? $language_selected_60 = "selected=\"selected\" " : $language_selected_60 = "" ;
			( $input_file_language == "61" ) ? $language_selected_61 = "selected=\"selected\" " : $language_selected_61 = "" ;
			( $input_file_language == "62" ) ? $language_selected_62 = "selected=\"selected\" " : $language_selected_62 = "" ;
			( $input_file_language == "63" ) ? $language_selected_63 = "selected=\"selected\" " : $language_selected_63 = "" ;
			( $input_file_language == "64" ) ? $language_selected_64 = "selected=\"selected\" " : $language_selected_64 = "" ;
			( $input_file_language == "65" ) ? $language_selected_65 = "selected=\"selected\" " : $language_selected_65 = "" ;
			( $input_file_language == "66" ) ? $language_selected_66 = "selected=\"selected\" " : $language_selected_66 = "" ;
			( $input_file_language == "67" ) ? $language_selected_67 = "selected=\"selected\" " : $language_selected_67 = "" ;
			( $input_file_language == "68" ) ? $language_selected_68 = "selected=\"selected\" " : $language_selected_68 = "" ;
			( $input_file_language == "69" ) ? $language_selected_69 = "selected=\"selected\" " : $language_selected_69 = "" ;
			( $input_file_language == "70" ) ? $language_selected_70 = "selected=\"selected\" " : $language_selected_70 = "" ;
			( $input_file_language == "71" ) ? $language_selected_71 = "selected=\"selected\" " : $language_selected_71 = "" ;
			( $input_file_language == "72" ) ? $language_selected_72 = "selected=\"selected\" " : $language_selected_72 = "" ;
			( $input_file_language == "73" ) ? $language_selected_73 = "selected=\"selected\" " : $language_selected_73 = "" ;
			( $input_file_language == "74" ) ? $language_selected_74 = "selected=\"selected\" " : $language_selected_74 = "" ;
			( $input_file_language == "75" ) ? $language_selected_75 = "selected=\"selected\" " : $language_selected_75 = "" ;
			( $input_file_language == "76" ) ? $language_selected_76 = "selected=\"selected\" " : $language_selected_76 = "" ;
			( $input_file_language == "77" ) ? $language_selected_77 = "selected=\"selected\" " : $language_selected_77 = "" ;
			( $input_file_language == "78" ) ? $language_selected_78 = "selected=\"selected\" " : $language_selected_78 = "" ;
			( $input_file_language == "79" ) ? $language_selected_79 = "selected=\"selected\" " : $language_selected_79 = "" ;
			( $input_file_language == "80" ) ? $language_selected_80 = "selected=\"selected\" " : $language_selected_80 = "" ;
			( $input_file_language == "81" ) ? $language_selected_81 = "selected=\"selected\" " : $language_selected_81 = "" ;
			( $input_file_language == "82" ) ? $language_selected_82 = "selected=\"selected\" " : $language_selected_82 = "" ;
			( $input_file_language == "83" ) ? $language_selected_83 = "selected=\"selected\" " : $language_selected_83 = "" ;
			( $input_file_language == "84" ) ? $language_selected_84 = "selected=\"selected\" " : $language_selected_84 = "" ;
			( $input_file_language == "85" ) ? $language_selected_85 = "selected=\"selected\" " : $language_selected_85 = "" ;
			( $input_file_language == "86" ) ? $language_selected_86 = "selected=\"selected\" " : $language_selected_86 = "" ;
			( $input_file_language == "87" ) ? $language_selected_87 = "selected=\"selected\" " : $language_selected_87 = "" ;
			( $input_file_language == "88" ) ? $language_selected_88 = "selected=\"selected\" " : $language_selected_88 = "" ;
			( $input_file_language == "89" ) ? $language_selected_89 = "selected=\"selected\" " : $language_selected_89 = "" ;
			( $input_file_language == "90" ) ? $language_selected_90 = "selected=\"selected\" " : $language_selected_90 = "" ;
			( $input_file_language == "91" ) ? $language_selected_91 = "selected=\"selected\" " : $language_selected_91 = "" ;
			( $input_file_language == "92" ) ? $language_selected_92 = "selected=\"selected\" " : $language_selected_92 = "" ;
			( $input_file_language == "93" ) ? $language_selected_93 = "selected=\"selected\" " : $language_selected_93 = "" ;
			( $input_file_language == "94" ) ? $language_selected_94 = "selected=\"selected\" " : $language_selected_94 = "" ;
			( $input_file_language == "95" ) ? $language_selected_95 = "selected=\"selected\" " : $language_selected_95 = "" ;
			( $input_file_language == "96" ) ? $language_selected_96 = "selected=\"selected\" " : $language_selected_96 = "" ;
			( $input_file_language == "97" ) ? $language_selected_97 = "selected=\"selected\" " : $language_selected_97 = "" ;
			( $input_file_language == "98" ) ? $language_selected_98 = "selected=\"selected\" " : $language_selected_98 = "" ;
			( $input_file_language == "99" ) ? $language_selected_99 = "selected=\"selected\" " : $language_selected_99 = "" ;
			( $input_file_language == "100" ) ? $language_selected_100 = "selected=\"selected\" " : $language_selected_100 = "" ;
			( $input_file_language == "101" ) ? $language_selected_101 = "selected=\"selected\" " : $language_selected_101 = "" ;
			( $input_file_language == "102" ) ? $language_selected_102 = "selected=\"selected\" " : $language_selected_102 = "" ;
			( $input_file_language == "103" ) ? $language_selected_103 = "selected=\"selected\" " : $language_selected_103 = "" ;
			( $input_file_language == "104" ) ? $language_selected_104 = "selected=\"selected\" " : $language_selected_104 = "" ;
			( $input_file_language == "105" ) ? $language_selected_105 = "selected=\"selected\" " : $language_selected_105 = "" ;
			( $input_file_language == "106" ) ? $language_selected_106 = "selected=\"selected\" " : $language_selected_106 = "" ;
			( $input_file_language == "107" ) ? $language_selected_107 = "selected=\"selected\" " : $language_selected_107 = "" ;
			( $input_file_language == "108" ) ? $language_selected_108 = "selected=\"selected\" " : $language_selected_108 = "" ;
			( $input_file_language == "109" ) ? $language_selected_109 = "selected=\"selected\" " : $language_selected_109 = "" ;
			( $input_file_language == "110" ) ? $language_selected_110 = "selected=\"selected\" " : $language_selected_110 = "" ;
			( $input_file_language == "111" ) ? $language_selected_111 = "selected=\"selected\" " : $language_selected_111 = "" ;
			( $input_file_language == "112" ) ? $language_selected_112 = "selected=\"selected\" " : $language_selected_112 = "" ;
			( $input_file_language == "113" ) ? $language_selected_113 = "selected=\"selected\" " : $language_selected_113 = "" ;
			( $input_file_language == "114" ) ? $language_selected_114 = "selected=\"selected\" " : $language_selected_114 = "" ;
			( $input_file_language == "115" ) ? $language_selected_115 = "selected=\"selected\" " : $language_selected_115 = "" ;
			( $input_file_language == "116" ) ? $language_selected_116 = "selected=\"selected\" " : $language_selected_116 = "" ;
			( $input_file_language == "117" ) ? $language_selected_117 = "selected=\"selected\" " : $language_selected_117 = "" ;
			( $input_file_language == "118" ) ? $language_selected_118 = "selected=\"selected\" " : $language_selected_118 = "" ;
			( $input_file_language == "119" ) ? $language_selected_119 = "selected=\"selected\" " : $language_selected_119 = "" ;
			( $input_file_language == "120" ) ? $language_selected_120 = "selected=\"selected\" " : $language_selected_120 = "" ;
			( $input_file_language == "121" ) ? $language_selected_121 = "selected=\"selected\" " : $language_selected_121 = "" ;
			( $input_file_language == "122" ) ? $language_selected_122 = "selected=\"selected\" " : $language_selected_122 = "" ;
			( $input_file_language == "123" ) ? $language_selected_123 = "selected=\"selected\" " : $language_selected_123 = "" ;
			( $input_file_language == "124" ) ? $language_selected_124 = "selected=\"selected\" " : $language_selected_124 = "" ;
			( $input_file_language == "125" ) ? $language_selected_125 = "selected=\"selected\" " : $language_selected_125 = "" ;
			( $input_file_language == "126" ) ? $language_selected_126 = "selected=\"selected\" " : $language_selected_126 = "" ;
			( $input_file_language == "127" ) ? $language_selected_127 = "selected=\"selected\" " : $language_selected_127 = "" ;
			( $input_file_language == "128" ) ? $language_selected_128 = "selected=\"selected\" " : $language_selected_128 = "" ;
			( $input_file_language == "129" ) ? $language_selected_129 = "selected=\"selected\" " : $language_selected_129 = "" ;
			( $input_file_language == "130" ) ? $language_selected_130 = "selected=\"selected\" " : $language_selected_130 = "" ;
			( $input_file_language == "131" ) ? $language_selected_131 = "selected=\"selected\" " : $language_selected_131 = "" ;
			( $input_file_language == "132" ) ? $language_selected_132 = "selected=\"selected\" " : $language_selected_132 = "" ;
			( $input_file_language == "133" ) ? $language_selected_133 = "selected=\"selected\" " : $language_selected_133 = "" ;
			( $input_file_language == "134" ) ? $language_selected_134 = "selected=\"selected\" " : $language_selected_134 = "" ;
			( $input_file_language == "135" ) ? $language_selected_135 = "selected=\"selected\" " : $language_selected_135 = "" ;
			( $input_file_language == "136" ) ? $language_selected_136 = "selected=\"selected\" " : $language_selected_136 = "" ;
			( $input_file_language == "137" ) ? $language_selected_137 = "selected=\"selected\" " : $language_selected_137 = "" ;
			( $input_file_language == "138" ) ? $language_selected_138 = "selected=\"selected\" " : $language_selected_138 = "" ;
			echo "<select size=\"1\" name=\"input_file_language\">";
			echo "<option " . $language_selected_1 . "value=\"1\">" . $words_files[ 'ENGLISH' ] . "</option>";
			echo "<option " . $language_selected_2 . "value=\"2\">" . $words_files[ 'ABKHAZIAN' ] . "</option>";
			echo "<option " . $language_selected_3 . "value=\"3\">" . $words_files[ 'AFAR' ] . "</option>";
			echo "<option " . $language_selected_4 . "value=\"4\">" . $words_files[ 'AFRIKAANS' ] . "</option>";
			echo "<option " . $language_selected_5 . "value=\"5\">" . $words_files[ 'ALBANIAN' ] . "</option>";
			echo "<option " . $language_selected_6 . "value=\"6\">" . $words_files[ 'AMHARIC' ] . "</option>";
			echo "<option " . $language_selected_7 . "value=\"7\">" . $words_files[ 'ARABIC' ] . "</option>";
			echo "<option " . $language_selected_8 . "value=\"8\">" . $words_files[ 'ARMENIAN' ] . "</option>";
			echo "<option " . $language_selected_9 . "value=\"9\">" . $words_files[ 'ASSAMESE' ] . "</option>";
			echo "<option " . $language_selected_10 . "value=\"10\">" . $words_files[ 'AYMARA' ] . "</option>";
			echo "<option " . $language_selected_11 . "value=\"11\">" . $words_files[ 'AZERBAIJANI' ] . "</option>";
			echo "<option " . $language_selected_12 . "value=\"12\">" . $words_files[ 'BASHKIR' ] . "</option>";
			echo "<option " . $language_selected_13 . "value=\"13\">" . $words_files[ 'BENGALI' ] . "</option>";
			echo "<option " . $language_selected_14 . "value=\"14\">" . $words_files[ 'BHUTANI' ] . "</option>";
			echo "<option " . $language_selected_15 . "value=\"15\">" . $words_files[ 'BIHARI' ] . "</option>";
			echo "<option " . $language_selected_138 . "value=\"138\">" . $words_files[ 'BISLAMA' ] . "</option>";
			echo "<option " . $language_selected_16 . "value=\"16\">" . $words_files[ 'BRETON' ] . "</option>";
			echo "<option " . $language_selected_17 . "value=\"17\">" . $words_files[ 'BULGARIAN' ] . "</option>";
			echo "<option " . $language_selected_18 . "value=\"18\">" . $words_files[ 'BURMESE' ] . "</option>";
			echo "<option " . $language_selected_19 . "value=\"19\">" . $words_files[ 'BYELORRUSSIAN' ] . "</option>";
			echo "<option " . $language_selected_20 . "value=\"20\">" . $words_files[ 'CAMBODIAN' ] . "</option>";
			echo "<option " . $language_selected_21 . "value=\"21\">" . $words_files[ 'CATALAN' ] . "</option>";
			echo "<option " . $language_selected_22 . "value=\"22\">" . $words_files[ 'CHINESE' ] . "</option>";
			echo "<option " . $language_selected_23 . "value=\"23\">" . $words_files[ 'CHINESESIMPLIFIED' ] . "</option>";
			echo "<option " . $language_selected_24 . "value=\"24\">" . $words_files[ 'CHINESETRADITIONAL' ] . "</option>";
			echo "<option " . $language_selected_25 . "value=\"25\">" . $words_files[ 'CORSICAN' ] . "</option>";
			echo "<option " . $language_selected_26 . "value=\"26\">" . $words_files[ 'CROATIAN' ] . "</option>";
			echo "<option " . $language_selected_27 . "value=\"27\">" . $words_files[ 'CZECH' ] . "</option>";
			echo "<option " . $language_selected_28 . "value=\"28\">" . $words_files[ 'DANISH' ] . "</option>";
			echo "<option " . $language_selected_29 . "value=\"29\">" . $words_files[ 'DUTCH' ] . "</option>";
			echo "<option " . $language_selected_30 . "value=\"30\">" . $words_files[ 'ESPERANTO' ] . "</option>";
			echo "<option " . $language_selected_31 . "value=\"31\">" . $words_files[ 'ESTONIAN' ] . "</option>";
			echo "<option " . $language_selected_32 . "value=\"32\">" . $words_files[ 'FAEROESE' ] . "</option>";
			echo "<option " . $language_selected_33 . "value=\"33\">" . $words_files[ 'FIJI' ] . "</option>";
			echo "<option " . $language_selected_34 . "value=\"34\">" . $words_files[ 'FINNISH' ] . "</option>";
			echo "<option " . $language_selected_35 . "value=\"35\">" . $words_files[ 'FRENCH' ] . "</option>";
			echo "<option " . $language_selected_36 . "value=\"36\">" . $words_files[ 'FRISIAN' ] . "</option>";
			echo "<option " . $language_selected_37 . "value=\"37\">" . $words_files[ 'GAELIC' ] . "</option>";
			echo "<option " . $language_selected_38 . "value=\"38\">" . $words_files[ 'GALICIAN' ] . "</option>";
			echo "<option " . $language_selected_39 . "value=\"39\">" . $words_files[ 'GEORGIAN' ] . "</option>";
			echo "<option " . $language_selected_40 . "value=\"40\">" . $words_files[ 'GERMAN' ] . "</option>";
			echo "<option " . $language_selected_41 . "value=\"41\">" . $words_files[ 'GREEK' ] . "</option>";
			echo "<option " . $language_selected_42 . "value=\"42\">" . $words_files[ 'GREENLANDIC' ] . "</option>";
			echo "<option " . $language_selected_43 . "value=\"43\">" . $words_files[ 'GUARANI' ] . "</option>";
			echo "<option " . $language_selected_44 . "value=\"44\">" . $words_files[ 'GUJARATI' ] . "</option>";
			echo "<option " . $language_selected_45 . "value=\"45\">" . $words_files[ 'HAUSA' ] . "</option>";
			echo "<option " . $language_selected_46 . "value=\"46\">" . $words_files[ 'HEBREW' ] . "</option>";
			echo "<option " . $language_selected_47 . "value=\"47\">" . $words_files[ 'HINDI' ] . "</option>";
			echo "<option " . $language_selected_48 . "value=\"48\">" . $words_files[ 'HUNGARIAN' ] . "</option>";
			echo "<option " . $language_selected_49 . "value=\"49\">" . $words_files[ 'ICELANDIC' ] . "</option>";
			echo "<option " . $language_selected_50 . "value=\"50\">" . $words_files[ 'INDONESIAN' ] . "</option>";
			echo "<option " . $language_selected_51 . "value=\"51\">" . $words_files[ 'INTERLINGUA' ] . "</option>";
			echo "<option " . $language_selected_52 . "value=\"52\">" . $words_files[ 'INTERLINGUE' ] . "</option>";
			echo "<option " . $language_selected_53 . "value=\"53\">" . $words_files[ 'INUPIAK' ] . "</option>";
			echo "<option " . $language_selected_54 . "value=\"54\">" . $words_files[ 'IRISH' ] . "</option>";
			echo "<option " . $language_selected_55 . "value=\"55\">" . $words_files[ 'ITALIAN' ] . "</option>";
			echo "<option " . $language_selected_56 . "value=\"56\">" . $words_files[ 'JAPANESE' ] . "</option>";
			echo "<option " . $language_selected_57 . "value=\"57\">" . $words_files[ 'JAVANESE' ] . "</option>";
			echo "<option " . $language_selected_58 . "value=\"58\">" . $words_files[ 'KANNADA' ] . "</option>";
			echo "<option " . $language_selected_59 . "value=\"59\">" . $words_files[ 'KASHMIRI' ] . "</option>";
			echo "<option " . $language_selected_60 . "value=\"60\">" . $words_files[ 'KAZAKH' ] . "</option>";
			echo "<option " . $language_selected_61 . "value=\"61\">" . $words_files[ 'KINYARWANDA' ] . "</option>";
			echo "<option " . $language_selected_62 . "value=\"62\">" . $words_files[ 'KIRGHIZ' ] . "</option>";
			echo "<option " . $language_selected_63 . "value=\"63\">" . $words_files[ 'KIRUNDI' ] . "</option>";
			echo "<option " . $language_selected_64 . "value=\"64\">" . $words_files[ 'KOREAN' ] . "</option>";
			echo "<option " . $language_selected_65 . "value=\"65\">" . $words_files[ 'KURDISH' ] . "</option>";
			echo "<option " . $language_selected_66 . "value=\"66\">" . $words_files[ 'LAOTHIAN' ] . "</option>";
			echo "<option " . $language_selected_67 . "value=\"67\">" . $words_files[ 'LATIN' ] . "</option>";
			echo "<option " . $language_selected_68 . "value=\"68\">" . $words_files[ 'LATVIAN' ] . "</option>";
			echo "<option " . $language_selected_69 . "value=\"69\">" . $words_files[ 'LINGALA' ] . "</option>";
			echo "<option " . $language_selected_70 . "value=\"70\">" . $words_files[ 'LITHUANIAN' ] . "</option>";
			echo "<option " . $language_selected_71 . "value=\"71\">" . $words_files[ 'MACEDONIAN' ] . "</option>";
			echo "<option " . $language_selected_72 . "value=\"72\">" . $words_files[ 'MALAGASY' ] . "</option>";
			echo "<option " . $language_selected_73 . "value=\"73\">" . $words_files[ 'MALAY' ] . "</option>";
			echo "<option " . $language_selected_74 . "value=\"74\">" . $words_files[ 'MALAYALAM' ] . "</option>";
			echo "<option " . $language_selected_75 . "value=\"75\">" . $words_files[ 'MALTESE' ] . "</option>";
			echo "<option " . $language_selected_76 . "value=\"76\">" . $words_files[ 'MAORI' ] . "</option>";
			echo "<option " . $language_selected_77 . "value=\"77\">" . $words_files[ 'MARATHI' ] . "</option>";
			echo "<option " . $language_selected_78 . "value=\"78\">" . $words_files[ 'MOLDAVIAN' ] . "</option>";
			echo "<option " . $language_selected_79 . "value=\"79\">" . $words_files[ 'MONGOLIAN' ] . "</option>";
			echo "<option " . $language_selected_80 . "value=\"80\">" . $words_files[ 'NAURU' ] . "</option>";
			echo "<option " . $language_selected_81 . "value=\"81\">" . $words_files[ 'NEPALI' ] . "</option>";
			echo "<option " . $language_selected_82 . "value=\"82\">" . $words_files[ 'NORWEGIAN' ] . "</option>";
			echo "<option " . $language_selected_83 . "value=\"83\">" . $words_files[ 'OCCITAN' ] . "</option>";
			echo "<option " . $language_selected_84 . "value=\"84\">" . $words_files[ 'ORIYA' ] . "</option>";
			echo "<option " . $language_selected_85 . "value=\"85\">" . $words_files[ 'OROMO' ] . "</option>";
			echo "<option " . $language_selected_86 . "value=\"86\">" . $words_files[ 'OTHER' ] . "</option>";
			echo "<option " . $language_selected_87 . "value=\"87\">" . $words_files[ 'PASHTO' ] . "</option>";
			echo "<option " . $language_selected_88 . "value=\"88\">" . $words_files[ 'PERSIAN' ] . "</option>";
			echo "<option " . $language_selected_89 . "value=\"89\">" . $words_files[ 'POLISH' ] . "</option>";
			echo "<option " . $language_selected_90 . "value=\"90\">" . $words_files[ 'PORTUGUESE' ] . "</option>";
			echo "<option " . $language_selected_91 . "value=\"91\">" . $words_files[ 'PUNJABI' ] . "</option>";
			echo "<option " . $language_selected_92 . "value=\"92\">" . $words_files[ 'QUECHUA' ] . "</option>";
			echo "<option " . $language_selected_93 . "value=\"93\">" . $words_files[ 'RHAETO_ROMANCE' ] . "</option>";
			echo "<option " . $language_selected_94 . "value=\"94\">" . $words_files[ 'ROMANIAN' ] . "</option>";
			echo "<option " . $language_selected_95 . "value=\"95\">" . $words_files[ 'RUSSIAN' ] . "</option>";
			echo "<option " . $language_selected_96 . "value=\"96\">" . $words_files[ 'SAMOAN' ] . "</option>";
			echo "<option " . $language_selected_97 . "value=\"97\">" . $words_files[ 'SANGRO' ] . "</option>";
			echo "<option " . $language_selected_98 . "value=\"98\">" . $words_files[ 'SANSKRIT' ] . "</option>";
			echo "<option " . $language_selected_99 . "value=\"99\">" . $words_files[ 'SERBIAN' ] . "</option>";
			echo "<option " . $language_selected_100 . "value=\"100\">" . $words_files[ 'SERBO_CROATIAN' ] . "</option>";
			echo "<option " . $language_selected_101 . "value=\"101\">" . $words_files[ 'SESOTHO' ] . "</option>";
			echo "<option " . $language_selected_102 . "value=\"102\">" . $words_files[ 'SETSWANA' ] . "</option>";
			echo "<option " . $language_selected_103 . "value=\"103\">" . $words_files[ 'SHONA' ] . "</option>";
			echo "<option " . $language_selected_104 . "value=\"104\">" . $words_files[ 'SINDHI' ] . "</option>";
			echo "<option " . $language_selected_105 . "value=\"105\">" . $words_files[ 'SINGHALESE' ] . "</option>";
			echo "<option " . $language_selected_106 . "value=\"106\">" . $words_files[ 'SISWATI' ] . "</option>";
			echo "<option " . $language_selected_107 . "value=\"107\">" . $words_files[ 'SLOVAK' ] . "</option>";
			echo "<option " . $language_selected_108 . "value=\"108\">" . $words_files[ 'SLOVENIAN' ] . "</option>";
			echo "<option " . $language_selected_109 . "value=\"109\">" . $words_files[ 'SOMALI' ] . "</option>";
			echo "<option " . $language_selected_110 . "value=\"110\">" . $words_files[ 'SPANISH' ] . "</option>";
			echo "<option " . $language_selected_111 . "value=\"111\">" . $words_files[ 'SUDANESE' ] . "</option>";
			echo "<option " . $language_selected_112 . "value=\"112\">" . $words_files[ 'SWAHILI' ] . "</option>";
			echo "<option " . $language_selected_113 . "value=\"113\">" . $words_files[ 'SWEDISH' ] . "</option>";
			echo "<option " . $language_selected_114 . "value=\"114\">" . $words_files[ 'TAGALOG' ] . "</option>";
			echo "<option " . $language_selected_115 . "value=\"115\">" . $words_files[ 'TAJIK' ] . "</option>";
			echo "<option " . $language_selected_116 . "value=\"116\">" . $words_files[ 'TAMIL' ] . "</option>";
			echo "<option " . $language_selected_117 . "value=\"117\">" . $words_files[ 'TATAR' ] . "</option>";
			echo "<option " . $language_selected_118 . "value=\"118\">" . $words_files[ 'TEGULU' ] . "</option>";
			echo "<option " . $language_selected_119 . "value=\"119\">" . $words_files[ 'THAI' ] . "</option>";
			echo "<option " . $language_selected_120 . "value=\"120\">" . $words_files[ 'TIBETAN' ] . "</option>";
			echo "<option " . $language_selected_121 . "value=\"121\">" . $words_files[ 'TIGRINYA' ] . "</option>";
			echo "<option " . $language_selected_122 . "value=\"122\">" . $words_files[ 'TONGA' ] . "</option>";
			echo "<option " . $language_selected_123 . "value=\"123\">" . $words_files[ 'TSONGA' ] . "</option>";
			echo "<option " . $language_selected_124 . "value=\"124\">" . $words_files[ 'TURKISH' ] . "</option>";
			echo "<option " . $language_selected_125 . "value=\"125\">" . $words_files[ 'TURKMEN' ] . "</option>";
			echo "<option " . $language_selected_126 . "value=\"126\">" . $words_files[ 'TWI' ] . "</option>";
			echo "<option " . $language_selected_127 . "value=\"127\">" . $words_files[ 'UKRAINIAN' ] . "</option>";
			echo "<option " . $language_selected_128 . "value=\"128\">" . $words_files[ 'URDU' ] . "</option>";
			echo "<option " . $language_selected_129 . "value=\"129\">" . $words_files[ 'UZBEK' ] . "</option>";
			echo "<option " . $language_selected_130 . "value=\"130\">" . $words_files[ 'VIETNAMESE' ] . "</option>";
			echo "<option " . $language_selected_131 . "value=\"131\">" . $words_files[ 'VOLPAPUK' ] . "</option>";
			echo "<option " . $language_selected_132 . "value=\"132\">" . $words_files[ 'WELSH' ] . "</option>";
			echo "<option " . $language_selected_133 . "value=\"133\">" . $words_files[ 'WOLOF' ] . "</option>";
			echo "<option " . $language_selected_134 . "value=\"134\">" . $words_files[ 'XHOSA' ] . "</option>";
			echo "<option " . $language_selected_135 . "value=\"135\">" . $words_files[ 'YIDDISH' ] . "</option>";
			echo "<option " . $language_selected_136 . "value=\"136\">" . $words_files[ 'YORUBA' ] . "</option>";
			echo "<option " . $language_selected_137 . "value=\"137\">" . $words_files[ 'ZULU' ] . "</option>";
			echo "</select><br />";
			echo "<strong>" . $words_files[ 'OPERATING_SYSTEM' ] . ":</strong><br />";
			echo "<div id=\"os\" style=\"height: 125px; width: 250px; border-color: rgb(134, 134, 134); border-width: 1px; border-style: solid; background-color: rgb(255, 255, 255); overflow: auto;\">";

			if( $preferences[ 'files_pad_legacy' ] )
			{
				( preg_match( "/Win 3.1x/i", $input_file_os_list ) ) ? $os_checked_1 = "checked=\"checked\" " : $os_checked_1 = "" ;
				echo "<input name=\"input_file_os[1]\" type=\"checkbox\" value=\"Win 3.1x\" " . $os_checked_1 . "/> " . $words_files[ 'WIN_31' ] . "<br />";
				( preg_match( "/Win95/i", $input_file_os_list ) ) ? $os_checked_2 = "checked=\"checked\" " : $os_checked_2 = "" ;
				echo "<input name=\"input_file_os[2]\" type=\"checkbox\" value=\"Win95\" " . $os_checked_2 . "/> " . $words_files[ 'WIN95' ] . "<br />";
				( preg_match( "/Win98/i", $input_file_os_list ) ) ? $os_checked_3 = "checked=\"checked\" " : $os_checked_3 = "" ;
				echo "<input name=\"input_file_os[3]\" type=\"checkbox\" value=\"Win98\" " . $os_checked_3 . "/> " . $words_files[ 'WIN98' ] . "<br />";
				( preg_match( "/WinME/i", $input_file_os_list ) ) ? $os_checked_4 = "checked=\"checked\" " : $os_checked_4 = "" ;
				echo "<input name=\"input_file_os[4]\" type=\"checkbox\" value=\"WinME\" " . $os_checked_4 . "/> " . $words_files[ 'WINME' ] . "<br />";
				( preg_match( "/WinNT 3.x/i", $input_file_os_list ) ) ? $os_checked_5 = "checked=\"checked\" " : $os_checked_5 = "" ;
				echo "<input name=\"input_file_os[5]\" type=\"checkbox\" value=\"WinNT 3.x\" " . $os_checked_5 . "/> " . $words_files[ 'WINNT_3' ] . "<br />";
				( preg_match( "/WinNT 4.x/i", $input_file_os_list ) ) ? $os_checked_6 = "checked=\"checked\" " : $os_checked_6 = "" ;
				echo "<input name=\"input_file_os[6]\" type=\"checkbox\" value=\"WinNT 4.x\" " . $os_checked_6 . "/> " . $words_files[ 'WINNT_4' ] . "<br />";
				( preg_match( "/WinXP/i", $input_file_os_list ) ) ? $os_checked_7 = "checked=\"checked\" " : $os_checked_7 = "" ;
				echo "<input name=\"input_file_os[7]\" type=\"checkbox\" value=\"WinXP\" " . $os_checked_7 . "/> " . $words_files[ 'WINXP' ] . "<br />";
				( preg_match( "/Windows2000/i", $input_file_os_list ) ) ? $os_checked_8 = "checked=\"checked\" " : $os_checked_8 = "" ;
				echo "<input name=\"input_file_os[8]\" type=\"checkbox\" value=\"Windows2000\" " . $os_checked_8 . "/> " . $words_files[ 'WINDOWS2000' ] . "<br />";
				( preg_match( "/Windows2003/i", $input_file_os_list ) ) ? $os_checked_9 = "checked=\"checked\" " : $os_checked_9 = "" ;
				echo "<input name=\"input_file_os[9]\" type=\"checkbox\" value=\"Windows2003\" " . $os_checked_9 . "/> " . $words_files[ 'WINDOWS2003' ] . "<br />";
				( preg_match( "/Windows Tablet PC Edition 2005/i", $input_file_os_list ) ) ? $os_checked_10 = "checked=\"checked\" " : $os_checked_10 = "" ;
				echo "<input name=\"input_file_os[10]\" type=\"checkbox\" value=\"Windows Tablet PC Edition 2005\" " . $os_checked_10 . "/> " . $words_files[ 'WINDOWS_TABLET_PC_EDITION_2005' ] . "<br />";
				( preg_match( "/Windows Media Center 2005/i", $input_file_os_list ) ) ? $os_checked_11 = "checked=\"checked\" " : $os_checked_11 = "" ;
				echo "<input name=\"input_file_os[11]\" type=\"checkbox\" value=\"Windows Media Center Edition 2005\" " . $os_checked_11 . "/> " . $words_files[ 'WINDOWS_MEDIA_CENTER_EDITION' ] . "<br />";
				( preg_match( "/Windows Vista Starter/i", $input_file_os_list ) ) ? $os_checked_12 = "checked=\"checked\" " : $os_checked_12 = "" ;
				echo "<input name=\"input_file_os[12]\" type=\"checkbox\" value=\"Windows Vista Starter\" " . $os_checked_12 . "/> " . $words_files[ 'WINDOWS_VISTA_STARTER' ] . "<br />";
				( preg_match( "/Windows Vista Home Basic/i", $input_file_os_list ) ) ? $os_checked_13 = "checked=\"checked\" " : $os_checked_13 = "" ;
				echo "<input name=\"input_file_os[13]\" type=\"checkbox\" value=\"Windows Vista Home Basic\" " . $os_checked_13 . "/> " . $words_files[ 'WINDOWS_VISTA_HOME_BASIC' ] . "<br />";
				( preg_match( "/Windows Vista Home Premium/i", $input_file_os_list ) ) ? $os_checked_14 = "checked=\"checked\" " : $os_checked_14 = "" ;
				echo "<input name=\"input_file_os[14]\" type=\"checkbox\" value=\"Windows Vista Home Premium\" " . $os_checked_14 . "/> " . $words_files[ 'WINDOWS_VISTA_HOME_PREMIUM' ] . "<br />";
				( preg_match( "/Windows Vista Business/i", $input_file_os_list ) ) ? $os_checked_15 = "checked=\"checked\" " : $os_checked_15 = "" ;
				echo "<input name=\"input_file_os[15]\" type=\"checkbox\" value=\"Windows Vista Business\" " . $os_checked_15 . "/> " . $words_files[ 'WINDOWS_VISTA_BUSINESS' ] . "<br />";
				( preg_match( "/Windows Vista Enterprise/i", $input_file_os_list ) ) ? $os_checked_16 = "checked=\"checked\" " : $os_checked_16 = "" ;
				echo "<input name=\"input_file_os[16]\" type=\"checkbox\" value=\"Windows Vista Enterprise\" " . $os_checked_16 . "/> " . $words_files[ 'WINDOWS_VISTA_ENTERPRISE' ] . "<br />";
				( preg_match( "/Windows Vista ultimate/i", $input_file_os_list ) ) ? $os_checked_17 = "checked=\"checked\" " : $os_checked_17 = "" ;
				echo "<input name=\"input_file_os[17]\" type=\"checkbox\" value=\"Windows Vista Ultimate\" " . $os_checked_17 . "/> " . $words_files[ 'WINDOWS_VISTA_ULTIMATE' ] . "<br />";
				( preg_match( "/Windows Vista Home Basic x86/i", $input_file_os_list ) ) ? $os_checked_18 = "checked=\"checked\" " : $os_checked_18 = "" ;
				echo "<input name=\"input_file_os[18]\" type=\"checkbox\" value=\"Windows Vista Home Basic x86\" " . $os_checked_18 . "/> " . $words_files[ 'WINDOWS_VISTA_HOME_BASIC_64' ] . "<br />";
				( preg_match( "/Windows Vista Home Premium x64/i", $input_file_os_list ) ) ? $os_checked_19 = "checked=\"checked\" " : $os_checked_19 = "" ;
				echo "<input name=\"input_file_os[19]\" type=\"checkbox\" value=\"Windows Vista Home Premium x64\" " . $os_checked_19 . "/> " . $words_files[ 'WINDOWS_VISTA_HOME_PREMIUM_64' ] . "<br />";
				( preg_match( "/Windows Vista Business x64/i", $input_file_os_list ) ) ? $os_checked_20 = "checked=\"checked\" " : $os_checked_20 = "" ;
				echo "<input name=\"input_file_os[20]\" type=\"checkbox\" value=\"Windows Vista Business x64\" " . $os_checked_20 . "/> " . $words_files[ 'WINDOWS_VISTA_BUSINESS_64' ] . "<br />";
				( preg_match( "/Windows Vista Enterprise x64/i", $input_file_os_list ) ) ? $os_checked_21 = "checked=\"checked\" " : $os_checked_21 = "" ;
				echo "<input name=\"input_file_os[21]\" type=\"checkbox\" value=\"Windows Vista Enterprise x64\" " . $os_checked_21 . "/> " . $words_files[ 'WINDOWS_VISTA_ENTERPRISE_64' ] . "<br />";
				( preg_match( "/Windows Vista Ultimate x64/i", $input_file_os_list ) ) ? $os_checked_22 = "checked=\"checked\" " : $os_checked_22 = "" ;
				echo "<input name=\"input_file_os[22]\" type=\"checkbox\" value=\"Windows Vista Ultimate x64\" " . $os_checked_22 . "/> " . $words_files[ 'WINDOWS_VISTA_ULTIMATE_64' ] . "<br />";
				( preg_match( "/Windows CE/i", $input_file_os_list ) ) ? $os_checked_23 = "checked=\"checked\" " : $os_checked_23 = "" ;
				echo "<input name=\"input_file_os[23]\" type=\"checkbox\" value=\"Windows CE\" " . $os_checked_23 . "/> " . $words_files[ 'WINDOWS_CE' ] . "<br />";
				( preg_match( "/Windows Mobile 2003/i", $input_file_os_list ) ) ? $os_checked_24 = "checked=\"checked\" " : $os_checked_24 = "" ;
				echo "<input name=\"input_file_os[24]\" type=\"checkbox\" value=\"Windows Mobile 2003\" " . $os_checked_24 . "/> " . $words_files[ 'WINDOWS_MOBILE_2003' ] . "<br />";
				( preg_match( "/Windows Mobile 2005/i", $input_file_os_list ) ) ? $os_checked_25 = "checked=\"checked\" " : $os_checked_25 = "" ;
				echo "<input name=\"input_file_os[25]\" type=\"checkbox\" value=\"Windows Mobile 2005\" " . $os_checked_25 . "/> " . $words_files[ 'WINDOWS_MOBILE_2005' ] . "<br />";
				( preg_match( "/Unix/i", $input_file_os_list ) ) ? $os_checked_26 = "checked=\"checked\" " : $os_checked_26 = "" ;
				echo "<input name=\"input_file_os[26]\" type=\"checkbox\" value=\"Unix\" " . $os_checked_26 . "/> " . $words_files[ 'UNIX' ] . "<br />";
				( preg_match( "/Linux/i", $input_file_os_list ) ) ? $os_checked_27 = "checked=\"checked\" " : $os_checked_27 = "" ;
				echo "<input name=\"input_file_os[27]\" type=\"checkbox\" value=\"Linux\" " . $os_checked_27 . "/> " . $words_files[ 'LINUX' ] . "<br />";
				( preg_match( "/Linux Console/i", $input_file_os_list ) ) ? $os_checked_28 = "checked=\"checked\" " : $os_checked_28 = "" ;
				echo "<input name=\"input_file_os[28]\" type=\"checkbox\" value=\"Linux Console\" " . $os_checked_28 . "/> " . $words_files[ 'LINUX_CONSOLE' ] . "<br />";
				( preg_match( "/Linux Gnome/i", $input_file_os_list ) ) ? $os_checked_29 = "checked=\"checked\" " : $os_checked_29 = "" ;
				echo "<input name=\"input_file_os[29]\" type=\"checkbox\" value=\"Linux Gnome\" " . $os_checked_29 . "/> " . $words_files[ 'LINUX_GNOME' ] . "<br />";
				( preg_match( "/Linux GPL/i", $input_file_os_list ) ) ? $os_checked_30 = "checked=\"checked\" " : $os_checked_30 = "" ;
				echo "<input name=\"input_file_os[30]\" type=\"checkbox\" value=\"Linux GPL\" " . $os_checked_30 . "/> " . $words_files[ 'LINUX_GPL' ] . "<br />";
				( preg_match( "/Linux Open Source/i", $input_file_os_list ) ) ? $os_checked_31 = "checked=\"checked\" " : $os_checked_31 = "" ;
				echo "<input name=\"input_file_os[31]\" type=\"checkbox\" value=\"Linux Open Source\" " . $os_checked_31 . "/> " . $words_files[ 'LINUX_OPEN_SOURCE' ] . "<br />";
				( preg_match( "/MS-DOS/i", $input_file_os_list ) ) ? $os_checked_32 = "checked=\"checked\" " : $os_checked_32 = "" ;
				echo "<input name=\"input_file_os[32]\" type=\"checkbox\" value=\"MS-DOS\" " . $os_checked_32 . "/> " . $words_files[ 'MS_DOS' ] . "<br />";
				( preg_match( "/AS\/400/i", $input_file_os_list ) ) ? $os_checked_33 = "checked=\"checked\" " : $os_checked_33 = "" ;
				echo "<input name=\"input_file_os[33]\" type=\"checkbox\" value=\"AS/400\" " . $os_checked_33 . "/> " . $words_files[ 'AS_400' ] . "<br />";
				( preg_match( "/OS\/2/i", $input_file_os_list ) ) ? $os_checked_34 = "checked=\"checked\" " : $os_checked_34 = "" ;
				echo "<input name=\"input_file_os[34]\" type=\"checkbox\" value=\"OS/2\" " . $os_checked_34 . "/> " . $words_files[ 'OS_2' ] . "<br />";
				( preg_match( "/OS\/2 Warp/i", $input_file_os_list ) ) ? $os_checked_35 = "checked=\"checked\" " : $os_checked_35 = "" ;
				echo "<input name=\"input_file_os[35]\" type=\"checkbox\" value=\"OS/2 Warp\" " . $os_checked_35 . "/> " . $words_files[ 'OS_2_WARP' ] . "<br />";
				( preg_match( "/OS\/2 Warp 4/i", $input_file_os_list ) ) ? $os_checked_36 = "checked=\"checked\" " : $os_checked_36 = "" ;
				echo "<input name=\"input_file_os[36]\" type=\"checkbox\" value=\"OS/2 Warp 4\" " . $os_checked_36 . "/> " . $words_files[ 'OS_2_WARP_4' ] . "<br />";
				( preg_match( "/MAC 68k/i", $input_file_os_list ) ) ? $os_checked_37 = "checked=\"checked\" " : $os_checked_37 = "" ;
				echo "<input name=\"input_file_os[37]\" type=\"checkbox\" value=\"MAC 68k\" " . $os_checked_37 . "/> " . $words_files[ 'MAC_68K' ] . "<br />";
				( preg_match( "/Mac PPC/i", $input_file_os_list ) ) ? $os_checked_38 = "checked=\"checked\" " : $os_checked_38 = "" ;
				echo "<input name=\"input_file_os[38]\" type=\"checkbox\" value=\"Mac PPC\" " . $os_checked_38 . "/> " . $words_files[ 'MAC_PPC' ] . "<br />";
				( preg_match( "/Mac OS 9/i", $input_file_os_list ) ) ? $os_checked_39 = "checked=\"checked\" " : $os_checked_39 = "" ;
				echo "<input name=\"input_file_os[39]\" type=\"checkbox\" value=\"Mac OS 9\" " . $os_checked_39 . "/> " . $words_files[ 'MAC_OS9' ] . "<br />";
				( preg_match( "/Mac OS X/i", $input_file_os_list ) ) ? $os_checked_40 = "checked=\"checked\" " : $os_checked_40 = "" ;
				echo "<input name=\"input_file_os[40]\" type=\"checkbox\" value=\"Mac OS X\" " . $os_checked_40 . "/> " . $words_files[ 'MAC_OSX' ] . "<br />";
				( preg_match( "/Mac OS X 10.1/i", $input_file_os_list ) ) ? $os_checked_41 = "checked=\"checked\" " : $os_checked_41 = "" ;
				echo "<input name=\"input_file_os[41]\" type=\"checkbox\" value=\"Mac OS X 10.1\" " . $os_checked_41 . "/> " . $words_files[ 'MAC_OSX_101' ] . "<br />";
				( preg_match( "/Mac OS X 10.2/i", $input_file_os_list ) ) ? $os_checked_42 = "checked=\"checked\" " : $os_checked_42 = "" ;
				echo "<input name=\"input_file_os[42]\" type=\"checkbox\" value=\"Mac OS X 10.2\" " . $os_checked_42 . "/> " . $words_files[ 'MAC_OSX_102' ] . "<br />";
				( preg_match( "/Mac OS X 10.3/i", $input_file_os_list ) ) ? $os_checked_43 = "checked=\"checked\" " : $os_checked_43 = "" ;
				echo "<input name=\"input_file_os[43]\" type=\"checkbox\" value=\"Mac OS X 10.3\" " . $os_checked_43 . "/> " . $words_files[ 'MAC_OSX_103' ] . "<br />";
				( preg_match( "/Mac OS X 10.4/i", $input_file_os_list ) ) ? $os_checked_44 = "checked=\"checked\" " : $os_checked_44 = "" ;
				echo "<input name=\"input_file_os[44]\" type=\"checkbox\" value=\"Mac OS X 10.4\" " . $os_checked_44 . "/> " . $words_files[ 'MAC_OSX_104' ] . "<br />";
				( preg_match( "/Mac OS X 10.5/i", $input_file_os_list ) ) ? $os_checked_45 = "checked=\"checked\" " : $os_checked_45 = "" ;
				echo "<input name=\"input_file_os[45]\" type=\"checkbox\" value=\"Mac OS X 10.5\" " . $os_checked_45 . "/> " . $words_files[ 'MAC_OSX_105' ] . "<br />";
				( preg_match( "/Mac Other/i", $input_file_os_list ) ) ? $os_checked_46 = "checked=\"checked\" " : $os_checked_46 = "" ;
				echo "<input name=\"input_file_os[46]\" type=\"checkbox\" value=\"Mac Other\" " . $os_checked_46 . "/> " . $words_files[ 'MAC_OTHER' ] . "<br />";
				( preg_match( "/Palm OS 1.0/i", $input_file_os_list ) ) ? $os_checked_47 = "checked=\"checked\" " : $os_checked_47 = "" ;
				echo "<input name=\"input_file_os[47]\" type=\"checkbox\" value=\"Palm OS 1.0\" " . $os_checked_47 . "/> " . $words_files[ 'PALM_OS_10' ] . "<br />";
				( preg_match( "/Palm OS 2.0/i", $input_file_os_list ) ) ? $os_checked_48 = "checked=\"checked\" " : $os_checked_48 = "" ;
				echo "<input name=\"input_file_os[48]\" type=\"checkbox\" value=\"Palm OS 2.0\" " . $os_checked_48 . "/> " . $words_files[ 'PALM_OS_20' ] . "<br />";
				( preg_match( "/Palm OS 2.1/i", $input_file_os_list ) ) ? $os_checked_49 = "checked=\"checked\" " : $os_checked_49 = "" ;
				echo "<input name=\"input_file_os[49]\" type=\"checkbox\" value=\"Palm OS 2.1\" " . $os_checked_49 . "/> " . $words_files[ 'PALM_OS_21' ] . "<br />";
				( preg_match( "/Palm OS 3.0/i", $input_file_os_list ) ) ? $os_checked_50 = "checked=\"checked\" " : $os_checked_50 = "" ;
				echo "<input name=\"input_file_os[50]\" type=\"checkbox\" value=\"Palm OS 3.0\" " . $os_checked_50 . "/> " . $words_files[ 'PALM_OS_30' ] . "<br />";
				( preg_match( "/Palm OS 3.1/i", $input_file_os_list ) ) ? $os_checked_51 = "checked=\"checked\" " : $os_checked_51 = "" ;
				echo "<input name=\"input_file_os[51]\" type=\"checkbox\" value=\"Palm OS 3.1\" " . $os_checked_51 . "/> " . $words_files[ 'PALM_OS_31' ] . "<br />";
				( preg_match( "/Palm OS 3.2/i", $input_file_os_list ) ) ? $os_checked_52 = "checked=\"checked\" " : $os_checked_52 = "" ;
				echo "<input name=\"input_file_os[52]\" type=\"checkbox\" value=\"Palm OS 3.2\" " . $os_checked_52 . "/> " . $words_files[ 'PALM_OS_32' ] . "<br />";
				( preg_match( "/Palm OS 4.0/i", $input_file_os_list ) ) ? $os_checked_53 = "checked=\"checked\" " : $os_checked_53 = "" ;
				echo "<input name=\"input_file_os[53]\" type=\"checkbox\" value=\"Palm OS 4.0\" " . $os_checked_53 . "/> " . $words_files[ 'PALM_OS_40' ] . "<br />";
				( preg_match( "/Palm OS 5.0/i", $input_file_os_list ) ) ? $os_checked_54 = "checked=\"checked\" " : $os_checked_54 = "" ;
				echo "<input name=\"input_file_os[54]\" type=\"checkbox\" value=\"Palm OS 5.0\" " . $os_checked_54 . "/> " . $words_files[ 'PALM_OS_50' ] . "<br />";
				( preg_match( "/Palm OS 6.0/i", $input_file_os_list ) ) ? $os_checked_55 = "checked=\"checked\" " : $os_checked_55 = "" ;
				echo "<input name=\"input_file_os[55]\" type=\"checkbox\" value=\"Palm OS 6.0\" " . $os_checked_55 . "/> " . $words_files[ 'PALM_OS_60' ] . "<br />";
				( preg_match( "/Pocket PC/i", $input_file_os_list ) ) ? $os_checked_56 = "checked=\"checked\" " : $os_checked_56 = "" ;
				echo "<input name=\"input_file_os[56]\" type=\"checkbox\" value=\"Pocket PC\" " . $os_checked_56 . "/> " . $words_files[ 'POCKET_PC' ] . "<br />";
				( preg_match( "/RIM/i", $input_file_os_list ) ) ? $os_checked_57 = "checked=\"checked\" " : $os_checked_57 = "" ;
				echo "<input name=\"input_file_os[57]\" type=\"checkbox\" value=\"RIM\" " . $os_checked_57 . "/> " . $words_files[ 'RIM' ] . "<br />";
				( preg_match( "/Symbian/i", $input_file_os_list ) ) ? $os_checked_58 = "checked=\"checked\" " : $os_checked_58 = "" ;
				echo "<input name=\"input_file_os[58]\" type=\"checkbox\" value=\"Symbian\" " . $os_checked_58 . "/> " . $words_files[ 'SYMBIAN' ] . "<br />";
				( preg_match( "/OpenVMS/i", $input_file_os_list ) ) ? $os_checked_59 = "checked=\"checked\" " : $os_checked_59 = "" ;
				echo "<input name=\"input_file_os[59]\" type=\"checkbox\" value=\"OpenVMS\" " . $os_checked_59 . "/> " . $words_files[ 'OPENVMS' ] . "<br />";
				( preg_match( "/Netware/i", $input_file_os_list ) ) ? $os_checked_60 = "checked=\"checked\" " : $os_checked_60 = "" ;
				echo "<input name=\"input_file_os[60]\" type=\"checkbox\" value=\"Netware\" " . $os_checked_60 . "/> " . $words_files[ 'NETWARE' ] . "<br />";
				( preg_match( "/BEOS/i", $input_file_os_list ) ) ? $os_checked_61 = "checked=\"checked\" " : $os_checked_61 = "" ;
				echo "<input name=\"input_file_os[61]\" type=\"checkbox\" value=\"BEOS\" " . $os_checked_61 . "/> " . $words_files[ 'BEOS' ] . "<br />";
				( preg_match( "/Java/i", $input_file_os_list ) ) ? $os_checked_62 = "checked=\"checked\" " : $os_checked_62 = "" ;
				echo "<input name=\"input_file_os[62]\" type=\"checkbox\" value=\"Java\" " . $os_checked_62 . "/> " . $words_files[ 'JAVA' ] . "<br />";
				( preg_match( "/Handheld\/Mobile Other/i", $input_file_os_list ) ) ? $os_checked_63 = "checked=\"checked\" " : $os_checked_63 = "" ;
				echo "<input name=\"input_file_os[63]\" type=\"checkbox\" value=\"Handheld/Mobile Other\" " . $os_checked_63 . "/> " . $words_files[ 'HANDHELD_MOBILE_OTHER' ] . "<br />";
				( preg_match( "/Not Applicable/i", $input_file_os_list ) ) ? $os_checked_64 = "checked=\"checked\" " : $os_checked_64 = "" ;
				echo "<input name=\"input_file_os[64]\" type=\"checkbox\" value=\"Not Applicable\" " . $os_checked_64 . "/> " . $words_files[ 'NOT_APPLICABLE' ] . "<br />";
			}
			else
			{
				( preg_match( "/Android/i", $input_file_os_list ) ) ? $os_checked_1 = "checked=\"checked\" " : $os_checked_1 = "" ;
				echo "<input name=\"input_file_os[1]\" type=\"checkbox\" value=\"Andriod\" " . $os_checked_1 . "/> " . $words_files[ 'ANDROID' ] . "<br />";
				( preg_match( "/Blockberry/i", $input_file_os_list ) ) ? $os_checked_2 = "checked=\"checked\" " : $os_checked_2 = "" ;
				echo "<input name=\"input_file_os[2]\" type=\"checkbox\" value=\"Blackberry\" " . $os_checked_2 . "/> " . $words_files[ 'BLACKBERRY' ] . "<br />";
				( preg_match( "/Handheld\/Mobile Other/i", $input_file_os_list ) ) ? $os_checked_3 = "checked=\"checked\" " : $os_checked_3 = "" ;
				echo "<input name=\"input_file_os[3]\" type=\"checkbox\" value=\"Handheld/Mobile Other\" " . $os_checked_3 . "/> " . $words_files[ 'HANDHELD_MOBILE_OTHER' ] . "<br />";
				( preg_match( "/iPhone/i", $input_file_os_list ) ) ? $os_checked_4 = "checked=\"checked\" " : $os_checked_4 = "" ;
				echo "<input name=\"input_file_os[4]\" type=\"checkbox\" value=\"iPhone\" " . $os_checked_4 . "/> " . $words_files[ 'IPHONE' ] . "<br />";
				( preg_match( "/iPod/i", $input_file_os_list ) ) ? $os_checked_5 = "checked=\"checked\" " : $os_checked_5 = "" ;
				echo "<input name=\"input_file_os[5]\" type=\"checkbox\" value=\"iPod\" " . $os_checked_5 . "/> " . $words_files[ 'IPOD' ] . "<br />";
		    	( preg_match( "/itouch/i", $input_file_os_list ) ) ? $os_checked_6 = "checked=\"checked\" " : $os_checked_6 = "" ;
				echo "<input name=\"input_file_os[6]\" type=\"checkbox\" value=\"iTouch\" " . $os_checked_6 . "/> " . $words_files[ 'ITOUCH' ] . "<br />";
				( preg_match( "/Java/i", $input_file_os_list ) ) ? $os_checked_7 = "checked=\"checked\" " : $os_checked_7 = "" ;
				echo "<input name=\"input_file_os[7]\" type=\"checkbox\" value=\"Java\" " . $os_checked_7 . "/> " . $words_files[ 'JAVA' ] . "<br />";
				( preg_match( "/Linux/i", $input_file_os_list ) )? $os_checked_8 = "checked=\"checked\" " : $os_checked_8 = "" ;
				echo "<input name=\"input_file_os[8]\" type=\"checkbox\" value=\"Linux\" " . $os_checked_8 . "/> " . $words_files[ 'LINUX' ] . "<br />";
				( preg_match( "/Linux Console/i", $input_file_os_list ) ) ? $os_checked_9 = "checked=\"checked\" " : $os_checked_9 = "" ;
				echo "<input name=\"input_file_os[9]\" type=\"checkbox\" value=\"Linux Console\" " . $os_checked_9 . "/> " . $words_files[ 'LINUX_CONSOLE' ] . "<br />";
				( preg_match( "/Linux Gnome/i", $input_file_os_list ) ) ? $os_checked_10 = "checked=\"checked\" " : $os_checked_10 = "" ;
				echo "<input name=\"input_file_os[10]\" type=\"checkbox\" value=\"Linux Gnome\" " . $os_checked_10 . "/> " . $words_files[ 'LINUX_GNOME' ] . "<br />";
				( preg_match( "/Linux GPL/i", $input_file_os_list ) ) ? $os_checked_11 = "checked=\"checked\" " : $os_checked_11 = "" ;
				echo "<input name=\"input_file_os[11]\" type=\"checkbox\" value=\"Linux GPL\" " . $os_checked_11 . "/> " . $words_files[ 'LINUX_GPL' ] . "<br />";
				( preg_match( "/Linux Open Source/i", $input_file_os_list ) )? $os_checked_12 = "checked=\"checked\" " : $os_checked_12 = "" ;
				echo "<input name=\"input_file_os[12]\" type=\"checkbox\" value=\"Linux Open Source\" " . $os_checked_12 . "/> " . $words_files[ 'LINUX_OPEN_SOURCE' ] . "<br />";
				( preg_match( "/Mac OS X/i", $input_file_os_list ) ) ? $os_checked_13 = "checked=\"checked\" " : $os_checked_13 = "" ;
				echo "<input name=\"input_file_os[13]\" type=\"checkbox\" value=\"Mac OS X\" " . $os_checked_13 . "/> " . $words_files[ 'MAC_OSX' ] . "<br />";
				( preg_match( "/Mac Other/i", $input_file_os_list ) ) ? $os_checked_14 = "checked=\"checked\" " : $os_checked_14 = "" ;
				echo "<input name=\"input_file_os[14]\" type=\"checkbox\" value=\"Mac Other\" " . $os_checked_14 . "/> " . $words_files[ 'MAC_OTHER' ] . "<br />";
				( preg_match( "/MS-DOS/i", $input_file_os_list ) ) ? $os_checked_15 = "checked=\"checked\" " : $os_checked_15 = "" ;
				echo "<input name=\"input_file_os[15]\" type=\"checkbox\" value=\"MS-DOS\" " . $os_checked_15 . "/> " . $words_files[ 'MS_DOS' ] . "<br />";
				( preg_match( "/Netware/i", $input_file_os_list ) ) ? $os_checked_16 = "checked=\"checked\" " : $os_checked_16 = "" ;
				echo "<input name=\"input_file_os[16]\" type=\"checkbox\" value=\"Netware\" " . $os_checked_16 . "/> " . $words_files[ 'NETWARE' ] . "<br />";
				( preg_match( "/OpenVMS/i", $input_file_os_list ) ) ? $os_checked_17 = "checked=\"checked\" " : $os_checked_17 = "" ;
				echo "<input name=\"input_file_os[17]\" type=\"checkbox\" value=\"OpenVMS\" " . $os_checked_17 . "/> " . $words_files[ 'OPENVMS' ] . "<br />";
				( preg_match( "/Palm/i", $input_file_os_list ) ) ? $os_checked_18 = "checked=\"checked\" " : $os_checked_18 = "" ;
				echo "<input name=\"input_file_os[18]\" type=\"checkbox\" value=\"Palm\" " . $os_checked_18 . "/> " . $words_files[ 'PALM' ] . "<br />";
				( preg_match( "/Pocket PC/i", $input_file_os_list ) ) ? $os_checked_19 = "checked=\"checked\" " : $os_checked_19 = "" ;
				echo "<input name=\"input_file_os[19]\" type=\"checkbox\" value=\"Pocket PC\" " . $os_checked_19 . "/> " . $words_files[ 'POCKET_PC' ] . "<br />";
				( preg_match( "/Symbian/i", $input_file_os_list ) ) ? $os_checked_20 = "checked=\"checked\" " : $os_checked_20 = "" ;
				echo "<input name=\"input_file_os[20]\" type=\"checkbox\" value=\"Symbian\" " . $os_checked_20 . "/> " . $words_files[ 'SYMBIAN' ] . "<br />";
				( preg_match( "/Unix/i", $input_file_os_list ) ) ? $os_checked_21 = "checked=\"checked\" " : $os_checked_21 = "" ;
				echo "<input name=\"input_file_os[21]\" type=\"checkbox\" value=\"Unix\" " . $os_checked_21 . "/> " . $words_files[ 'UNIX' ] . "<br />";
				( preg_match( "/Win2000/i", $input_file_os_list ) ) ? $os_checked_22 = "checked=\"checked\" " : $os_checked_22 = "" ;
				echo "<input name=\"input_file_os[22]\" type=\"checkbox\" value=\"Win2000\" " . $os_checked_22 . "/> " . $words_files[ 'WIN2000' ] . "<br />";
				( preg_match( "/Win7 x32/i", $input_file_os_list ) ) ? $os_checked_23 = "checked=\"checked\" " : $os_checked_23 = "" ;
				echo "<input name=\"input_file_os[23]\" type=\"checkbox\" value=\"Win7 x32\" " . $os_checked_23 . "/> " . $words_files[ 'WIN7_X32' ] . "<br />";
				( preg_match( "/Win7 x64/i", $input_file_os_list ) ) ? $os_checked_24 = "checked=\"checked\" " : $os_checked_24 = "" ;
				echo "<input name=\"input_file_os[24]\" type=\"checkbox\" value=\"Win7 x64\" " . $os_checked_24 . "/> " . $words_files[ 'WIN7_X64' ] . "<br />";
				( preg_match( "/Win8 x32/i", $input_file_os_list ) ) ? $os_checked_34 = "checked=\"checked\" " : $os_checked_34 = "" ;
				echo "<input name=\"input_file_os[34]\" type=\"checkbox\" value=\"Win8 x32\" " . $os_checked_34 . "/> " . $words_files[ 'WIN8_X32' ] . "<br />";
				( preg_match( "/Win8 x64/i", $input_file_os_list ) ) ? $os_checked_35 = "checked=\"checked\" " : $os_checked_35 = "" ;
				echo "<input name=\"input_file_os[35]\" type=\"checkbox\" value=\"Win8 x64\" " . $os_checked_35 . "/> " . $words_files[ 'WIN8_X64' ] . "<br />";
				( preg_match( "/Win98/i", $input_file_os_list ) ) ? $os_checked_25 = "checked=\"checked\" " : $os_checked_25 = "" ;
				echo "<input name=\"input_file_os[25]\" type=\"checkbox\" value=\"Win98\" " . $os_checked_25 . "/> " . $words_files[ 'WIN98' ] . "<br />";
				( preg_match( "/WinMobile/i", $input_file_os_list ) ) ? $os_checked_26 = "checked=\"checked\" " : $os_checked_26 = "" ;
				echo "<input name=\"input_file_os[26]\" type=\"checkbox\" value=\"WinMobile\" " . $os_checked_26 . "/> " . $words_files[ 'WINMOBILE' ] . "<br />";
				( preg_match( "/WinOther/i", $input_file_os_list ) ) ? $os_checked_27 = "checked=\"checked\" " : $os_checked_27 = "" ;
				echo "<input name=\"input_file_os[27]\" type=\"checkbox\" value=\"WinOther\" " . $os_checked_27 . "/> " . $words_files[ 'WINOTHER' ] . "<br />";
				( preg_match( "/WinServer/i", $input_file_os_list ) ) ? $os_checked_28 = "checked=\"checked\" " : $os_checked_28 = "" ;
				echo "<input name=\"input_file_os[28]\" type=\"checkbox\" value=\"WinServer\" " . $os_checked_28 . "/> " . $words_files[ 'WINSERVER' ] . "<br />";
				( preg_match( "/WinVista/i", $input_file_os_list ) ) ? $os_checked_29 = "checked=\"checked\" " : $os_checked_29 = "" ;
				echo "<input name=\"input_file_os[29]\" type=\"checkbox\" value=\"WinVista\" " . $os_checked_29 . "/> " . $words_files[ 'WINVISTA' ] . "<br />";
				( preg_match( "/WinVista x64/i", $input_file_os_list ) ) ? $os_checked_30 = "checked=\"checked\" " : $os_checked_30 = "" ;
				echo "<input name=\"input_file_os[30]\" type=\"checkbox\" value=\"WinVista x64\" " . $os_checked_30 . "/> " . $words_files[ 'WINVISTA_X64' ] . "<br />";
				( preg_match( "/WinXP/i", $input_file_os_list ) ) ? $os_checked_31 = "checked=\"checked\" " : $os_checked_31 = "" ;
				echo "<input name=\"input_file_os[31]\" type=\"checkbox\" value=\"WinXP\" " . $os_checked_31 . "/> " . $words_files[ 'WINXP' ] . "<br />";
				( preg_match( "/Other/i", $input_file_os_list ) ) ? $os_checked_32 = "checked=\"checked\" " : $os_checked_32 = "" ;
				echo "<input name=\"input_file_os[32]\" type=\"checkbox\" value=\"Other\" " . $os_checked_32 . "/> " . $words_files[ 'OTHER' ] . "<br />";
				( preg_match( "/Not Applicable/i", $input_file_os_list ) ) ? $os_checked_33 = "checked=\"checked\" " : $os_checked_33 = "" ;
				echo "<input name=\"input_file_os[33]\" type=\"checkbox\" value=\"Not Applicable\" " . $os_checked_33 . "/> " . $words_files[ 'NOT_APPLICABLE' ] . "<br />";
			}
			echo "</div><br />";

			$html -> upperform( $words_files[ 'LICENSE_AGREEMENT' ], "input_file_agreement", $input_file_agreement, 20 );
			$html -> upperform( $words_files[ 'TAGGED_AS' ], "input_file_tags", $input_file_tags, 4 );
			echo $words_files[ 'SEPARATE_TAGS_WITH_COMMAS' ];
			$query = $database -> dbquery( "SELECT filetag_tag, filetag_count FROM " . DB_PREFIX . "esselbach_ct_filestags ORDER BY filetag_tag" );

			if( $database -> dbrows( $query ) )
			{
				echo " " . $words_files[ 'OR_CHOOSE_TAGS_FROM_CLOUD' ] . "<br /><br />";

				$filetag_old = "";
				while( list( $filetag_tag, $filetag_count ) = $database -> dbrow( $query ) )
				{
					$filetag_tag = rtrim( ltrim( $filetag_tag ) );
					$filetag_size = $filetag_count + 60;

					if( $filetag_size > 300 )
					{
						$filetag_size = 300;
					}

					if( ( $filetag_tag != $filetag_old ) and ( $filetag_tag ) )
					{
						echo "<font style=\"font-size: " . $filetag_size . "%;\"><a href=\"javascript:inserttag('" . htmlspecialchars( $filetag_tag ) . ",')\">" . htmlspecialchars( $filetag_tag ) . "</a></font> ";
					}
					$filetag_old = $filetag_tag;
				}
			}

			echo "<br /><br />";

			if( $preferences[ 'files_forum_comments' ] )
			{
				$forums = $uwrapper -> getforums();

				if( $forums )
				{
					echo "<strong>" . $words_files[ 'USE_FOLLOWING_FORUM' ] . ":</strong><br />";
					echo "<select size=\"5\" name=\"input_forum\">";
					( !$input_forum ) ? $selected = " selected=\"selected\"" : $selected = "";
					echo "<option value=\"0\"" . $selected . ">" . $words_files[ 'NONE' ] . "</option>";

					foreach( $forums as $forum )
					{
						$forum_data = explode( "|^Z|", $forum );
						( $input_forum == $forum_data[ 0 ] ) ? $selected = " selected=\"selected\"" : $selected = "";
						echo "<option value=\"" . $forum_data[ 0 ] . "\"" . $selected . ">" . htmlspecialchars( base64_decode( $forum_data[ 1 ] ) ) . "</option>";
					}

					echo "</select><br /><br />";
				}

				$threads = $uwrapper -> get100threads( $input_thread );

				if( $forums and $threads )
				{
					echo "<br /><br />" . $words_files[ 'OR' ];
				}

				if( $threads )
				{
					echo "<br /><br /><strong>" . $words_files[ 'USE_FOLLOWING_THREAD' ] . ":</strong><br />";
					echo "<select size=\"5\" name=\"input_thread\">";

					( !$input_thread ) ? $selected = " selected=\"selected\"" : $selected = "";
					echo "<option value=\"0\"" . $selected . ">" . $words_files[ 'NONE' ] . "</option>";

					foreach( $threads as $thread )
					{
						$thread_data = explode( "|^Z|", $thread );
						( $input_thread == $thread_data[ 0 ] ) ? $selected = " selected=\"selected\"" : $selected = "";
						echo "<option value=\"" . $thread_data[ 0 ] . "\"" . $selected . ">" . base64_decode( $thread_data[ 1 ] ) . "</option>";
					}

					echo "</select>";
				}
			}

			echo "<strong>" . $words_files[ 'TEASER_IMAGE' ] . ":</strong><br />";
			echo "<select size=\"10\" name=\"input_teaserimage\" onchange=\"javascript:teaserpreview(this.value,teaserimage)\">";
			echo "<option value=\"0\">" . $words_files[ 'NONE' ] . "</option>";
			$query = $database -> dbquery( "SELECT fileteaserimage_id, fileteaserimage_filename FROM " . DB_PREFIX . "esselbach_ct_filesteaserimages WHERE fileteaserimage_default = '1' OR (fileteaserimage_default = '0' AND fileteaserimage_file = '0' AND fileteaserimage_author = '" . $login_username . "')" );

			while( list( $fileteaserimage_id, $fileteaserimage_filename ) = $database -> dbrow( $query ) )
			{
				( $input_teaserimage == $fileteaserimage_id ) ? $selected = " selected=\"selected\"" : $selected = "";
				echo "<option value=\"" . $fileteaserimage_id . "\"" . $selected . ">" . htmlspecialchars( $fileteaserimage_filename ) . "</option>";
			}

			echo "</select> <img src=\"../images/blank_image.png\" id=\"teaserimage\"><br />";
			echo "<strong>" . $words_files[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_teaserfile\" /><br />";
			echo "<input type=\"submit\" class=\"button\" name=\"input_doteaserupload\" value=\"" . $words_files[ 'UPLOAD' ] . "\" />";
			( !$input_status ) ? $status_selected[ 0 ] = "selected=\"selected\"" : $status_selected[ 0 ] = "" ;
			( $input_status == 1 ) ? $status_selected[ 1 ] = "selected=\"selected\"" : $status_selected[ 1 ] = "" ;
			( $input_status == 2 ) ? $status_selected[ 2 ] = "selected=\"selected\"" : $status_selected[ 2 ] = "" ;
			( $input_status == 3 ) ? $status_selected[ 3 ] = "selected=\"selected\"" : $status_selected[ 3 ] = "" ;
			( $input_status == 4 ) ? $status_selected[ 4 ] = "selected=\"selected\"" : $status_selected[ 4 ] = "" ;
			echo "<br /><br /><strong>" . $words_files[ 'STATUS' ] . ":</strong><br /><select size=\"5\" name=\"input_status\">";
			echo "<option " . $status_selected[ 0 ] . " value=\"0\">" . $words_files[ 'ZERO_STATUS' ] . "</option>";
			echo "<option " . $status_selected[ 1 ] . " value=\"1\">" . $words_files[ 'ONE_STATUS' ] . "</option>";
			echo "<option " . $status_selected[ 2 ] . " value=\"2\">" . $words_files[ 'TWO_STATUS' ] . "</option>";
			echo "<option " . $status_selected[ 3 ] . " value=\"3\">" . $words_files[ 'THREE_STATUS' ] . "</option>";
			echo "<option " . $status_selected[ 4 ] . " value=\"4\">" . $words_files[ 'FOUR_STATUS' ] . "</option>";
			echo "</select><br />";
			$html -> uppertext( $words_files[ 'PASSWORD' ], "input_password", $input_password );
			echo "</div>";

			if( $notice == $words_files[ 'UPLOAD_SUCCESSFULLY' ] or $notice == $words_files[ 'DESCRIPTION_CHANGED' ] or $input_file )
			{
				echo "<style type=\"text/css\">\n<!--\n#tabmenuone\n{\nbackground-color: rgb(227, 237, 251);\n}\n#tabmenuone a\n{\ncolor: rgb(0, 0, 0);\n}\n#tabmenuthree\n{\nbackground-color: rgb(120, 147, 177);\n}\n#tabmenuthree a\n{\ncolor: rgb(255, 255, 255);\n}\n-->\n</style>\n<div id=\"files_attachments\">";
			}
			else
			{
				echo "<div id=\"files_attachments\" style=\"display:none\">";
			}

			if( !$preferences[ 'product_demo' ] )
			{
				$html -> tableheaderlite();
				$query = $database -> dbquery( "SELECT filefile_id, filefile_filename, filefile_title, filefile_description, filefile_mime FROM " . DB_PREFIX . "esselbach_ct_filesfiles WHERE filefile_author = '" . $login_username . "' AND filefile_inuse = '0' ORDER BY filefile_date DESC" );

				while( list( $filefile_id, $filefile_filename, $filefile_title, $filefile_description, $filefile_mime ) = $database -> dbrow( $query ) )
				{
					if( $preferences[ 'files_wysiwyg' ] )
					{
						if( ( $filefile_mime == "image/pjpeg" ) or( $filefile_mime == "image/jpeg" ) or( $filefile_mime == "image/gif" ) or( $filefile_mime == "image/png" ) or( $filefile_mime == "image/x-png" ) )
						{
							if( function_exists( "imagecopyresized" ) )
							{
								$mid_link = "<a href=\"javascript:wysiwyginsert('input_file_smalldescription','[thumb=" . $filefile_id . "]')\"><img src=\"index.php?action=filesattachmentpreview&amp;input_fileid=" . $filefile_id . "\" title=\"" . htmlspecialchars( $filefile_description ) . "\" alt=\"" . htmlspecialchars( $filefile_filename ) . "\" /></a><br />";
							}
							else
							{
								$mid_link = "<a href=\"javascript:wysiwyginsert('input_file_smalldescription','[thumb=" . $filefile_id . "]')\">" . htmlspecialchars( $filefile_filename ) . "</a><br />";
							}

							$mid_link .= "<a href=\"javascript:wysiwyginsert('input_file_smalldescription','[fullimage=" . $filefile_id . "]')\">" . $words_files[ 'ADD_AS_FULL_IMAGE' ] . "</a><br />(<a href=\"javascript:wysiwyginsert('input_file_smalldescription','[fullimageleft=" . $filefile_id . "]')\">" . $words_files['LEFT'] . "</a> | <a href=\"javascript:wysiwyginsert('input_file_smalldescription','[fullimageright=" . $filefile_id . "]')\">" . $words_files['RIGHT'] . "</a>)<br /><br /><a href=\"javascript:wysiwyginsert('input_file_smalldescription','[thumb=" . $filefile_id . "]')\">" . $words_files[ 'ADD_AS_THUMBNAIL' ] . "</a><br />(<a href=\"javascript:wysiwyginsert('input_file_smalldescription','[thumbleft=" . $filefile_id . "]')\">" . $words_files['LEFT'] . "</a> | <a href=\"javascript:wysiwyginsert('input_file_smalldescription','[thumbright=" . $filefile_id . "]')\">" . $words_files['RIGHT'] . "</a>)<br /><br />";
							$mid_link .= "<a href=\"javascript:wysiwyginsert('input_file_longdescription','[fullimage=" . $filefile_id . "]')\">" . $words_files[ 'ADD_AS_FULL_IMAGE_EXTENDED' ] . "</a><br />(<a href=\"javascript:wysiwyginsert('input_file_longdescription','[fullimageleft=" . $filefile_id . "]')\">" . $words_files['LEFT'] . "</a> | <a href=\"javascript:wysiwyginsert('input_file_longdescription','[fullimageright=" . $filefile_id . "]')\">" . $words_files['RIGHT'] . "</a>)<br /><br /><a href=\"javascript:wysiwyginsert('input_file_longdescription','[thumb=" . $filefile_id . "]')\">" . $words_files[ 'ADD_AS_THUMBNAIL_EXTENDED' ] . "</a><br />(<a href=\"javascript:wysiwyginsert('input_file_longdescription','[thumbleft=" . $filefile_id . "]')\">" . $words_files['LEFT'] . "</a> | <a href=\"javascript:wysiwyginsert('input_file_longdescription','[thumbright=" . $filefile_id . "]')\">" . $words_files['RIGHT'] . "</a>)<br /><br />";
						}
						else
						{
							$mid_link = "<a href=\"javascript:wysiwyginsert('input_file_smalldescription','[attachment=" . $filefile_id . "]Download" . htmlspecialchars( $filefile_filename ) . "[/attachment]')\">" . $words_files[ 'ADD_DOWNLOAD' ] . "</a><br /><a href=\"javascript:wysiwyginsert('input_file_longdescription','[attachment=" . $filefile_id . "]Download" . htmlspecialchars( $filefile_filename ). "[/attachment]')\">" . $words_files[ 'ADD_DOWNLOAD_EXTENDED' ] . "</a><br />";
						}
					}
					else
					{
						if( ( $filefile_mime == "image/pjpeg" ) or( $filefile_mime == "image/jpeg" ) or( $filefile_mime == "image/gif" ) or( $filefile_mime == "image/png" ) or( $filefile_mime == "image/x-png" ) )
						{
							if( function_exists( "imagecopyresized" ) )
							{
								$mid_link = "<a href=\"javascript:insert('[thumb=" . $filefile_id . "]')\"><img src=\"index.php?action=filesattachmentpreview&amp;input_fileid=" . $filefile_id . "\" title=\"" . htmlspecialchars( $filefile_description ) . "\" alt=\"" . htmlspecialchars( $filefile_filename ) . "\" /></a><br />";
							}
							else
							{
								$mid_link = "<a href=\"javascript:insert('[thumb=" . $filefile_id . "]')\">" . htmlspecialchars( $filefile_filename ) . "</a><br />";
							}

							$mid_link .= "<a href=\"javascript:insert('[fullimage=" . $filefile_id . "]')\">" . $words_files[ 'ADD_AS_FULL_IMAGE' ] . "</a><br />(<a href=\"javascript:insert('[fullimageleft=" . $filefile_id . "]')\">" . $words_files[ 'LEFT' ] . "</a> | <a href=\"javascript:insert('[fullimageright=" . $filefile_id . "]')\">" . $words_files[ 'RIGHT' ] . "</a>)<br /><br /><a href=\"javascript:insert('[thumb=" . $filefile_id . "]')\">" . $words_files[ 'ADD_AS_THUMBNAIL' ] . "</a><br />(<a href=\"javascript:insert('[thumbleft=" . $filefile_id . "]')\">" . $words_files[ 'LEFT' ] . "</a> | <a href=\"javascript:insert('[thumbright=" . $filefile_id . "]')\">" . $words_files[ 'RIGHT' ] . "</a>)<br /><br />";
							$mid_link .= "<a href=\"javascript:insert2('[fullimage=" . $filefile_id . "]')\">" . $words_files[ 'ADD_AS_FULL_IMAGE_EXTENDED' ] . "</a><br />(<a href=\"javascript:insert2('[fullimageleft=" . $filefile_id . "]')\">" . $words_files[ 'LEFT' ] . "</a> | <a href=\"javascript:insert2('[fullimageright=" . $filefile_id . "]')\">" . $words_files[ 'RIGHT' ] . "</a>)<br /><br /><a href=\"javascript:insert2('[thumb=" . $filefile_id . "]')\">" . $words_files[ 'ADD_AS_THUMBNAIL_EXTENDED' ] . "</a><br />(<a href=\"javascript:insert2('[thumbleft=" . $filefile_id . "]')\">" . $words_files[ 'LEFT' ] . "</a> | <a href=\"javascript:insert2('[thumbright=" . $filefile_id . "]')\">" . $words_files[ 'RIGHT' ] . "</a>)<br />";
						}
						else
						{
							$mid_link = "<a href=\"javascript:insert('[attachment=" . $filefile_id . "]Download" . htmlspecialchars( filefile_filename ) . "[/attachment]')\">" . $words_files[ 'ADD_DOWNLOAD' ] . "</a><br /><a href=\"javascript:insert2('[attachment=" . $filefile_id . "]Download" . htmlspecialchars( $filefile_filename ) . "[/attachment]')\">" . $words_files[ 'ADD_DOWNLOAD_EXTENDED' ] . "</a><br />";
						}
					}
					$mid_link .= "<br />";

					if( $input_file == $filefile_id )
					{
						$mid_link .= "<textarea cols=\"80\" name=\"input_edittitle\" rows=\"1\" style=\"margin:0px;width:600px\">" . htmlspecialchars( $filefile_title ) . "</textarea><br />";
						$mid_link .= "<textarea cols=\"80\" name=\"input_editdescription\" rows=\"2\" style=\"margin:0px;width:600px\">" . htmlspecialchars( $filefile_description ) . "</textarea><br />";
						$mid_link .= "<input type=\"hidden\" name=\"input_editid\" value=\"" . $filefile_id . "\" /><input type=\"submit\" class=\"button\" name=\"input_doeditfile\" value=\"" . $words_files[ 'GO' ] . "\" /><br />";
					}
					else
					{
						$mid_link .= "<strong>" . htmlspecialchars( $filefile_title ) . "</strong><br />" . htmlspecialchars( $filefile_description );
					}

					if( $input_file != $filefile_id )
					{
						$html -> tableamiddle( $filefile_filename, $mid_link, "input_dofileedit", $words_files[ 'EDIT_FILE' ] . $filefile_id, "input_dofileremove", $words_files[ 'REMOVE_FILE' ] . $filefile_id );
					}
					else
					{
						$html -> tableamiddle( $filefile_filename, $mid_link, "input_dofileedit", 0, 0, 0, 0 );
					}
				}

				$html -> maketablefooter();
				echo "<a href=\"javascript:files_win()\">" . $words_files[ 'SEARCH_FILE_ATTACHMENTS' ] . "</a><br /><br />";

				for( $a = 0; $a < 6; $a++ )
				{
					if( !isset( $input_file_url[ $a ] ) )
					{
						$input_file_url[ $a ] = "";
					}

					if( !isset( $input_file_title[ $a ] ) )
					{
						$input_file_title[ $a ] = "";
					}

					if( !isset( $input_file_desc[ $a ] ) )
					{
						$input_file_desc[ $a ] = "";
					}
				}

				echo "<strong>" . $words_files[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[0]\" /> <strong>" . $words_files[ 'OR_URL' ] . ":</strong>";
				echo "<input name=\"input_file_url[0]\" size=\"40\" value=\"http://\" /><input type=\"submit\" class=\"button\" name=\"input_doupload\" value=\"" . $words_files[ 'UPLOAD' ] . "\" /><br />";
				$html -> upperform( $words_files[ 'TITLE' ], "input_file_title[0]", $input_file_title[ 0 ], 1 );
				$html -> upperform( $words_files[ 'DESCRIPTION' ], "input_file_desc[0]", $input_file_desc[ 0 ], 2 );
				echo "<div id=\"attachment_form_close\"><br /><a href=\"#\" onclick=\"show_form2(); return false;\">" . $words_files[ 'ATTACH_MULTIPLE_FILES' ] . "</a><br /></div>";
				echo "<div id=\"attachment_form_open\" style=\"display:none\">";
				echo "<strong>" . $words_files[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[1]\" /> <strong>" . $words_files[ 'OR_URL' ] . ":</strong>";
				echo "<input name=\"input_file_url[1]\" size=\"40\" value=\"http://\" /><input type=\"submit\" class=\"button\" name=\"input_doupload\" value=\"" . $words_files[ 'UPLOAD' ] . "\" /><br />";
				$html -> upperform( $words_files[ 'TITLE' ], "input_file_title[1]", $input_file_title[ 1 ], 1 );
				$html -> upperform( $words_files[ 'DESCRIPTION' ], "input_file_desc[1]", $input_file_desc[ 1 ], 2 );
				echo "<br /><strong>" . $words_files[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[2]\" /> <strong>" . $words_files[ 'OR_URL' ] . ":</strong>";
				echo "<input name=\"input_file_url[2]\" size=\"40\" value=\"http://\" /><input type=\"submit\" class=\"button\" name=\"input_doupload\" value=\"" . $words_files[ 'UPLOAD' ] . "\" /><br />";
				$html -> upperform( $words_files[ 'TITLE' ], "input_file_title[2]", $input_file_title[ 2 ], 1 );
				$html -> upperform( $words_files[ 'DESCRIPTION' ], "input_file_desc[2]", $input_file_desc[ 2 ], 2 );
				echo "<br /><strong>" . $words_files[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[3]\" /> <strong>" . $words_files[ 'OR_URL' ] . ":</strong>";
				echo "<input name=\"input_file_url[3]\" size=\"40\" value=\"http://\" /><input type=\"submit\" class=\"button\" name=\"input_doupload\" value=\"" . $words_files[ 'UPLOAD' ] . "\" /><br />";
				$html -> upperform( $words_files[ 'TITLE' ], "input_file_title[3]", $input_file_title[ 3 ], 1 );
				$html -> upperform( $words_files[ 'DESCRIPTION' ], "input_file_desc[3]", $input_file_desc[ 3 ], 2 );
				echo "<br /><strong>" . $words_files[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[4]\" /> <strong>" . $words_files[ 'OR_URL' ] . ":</strong>";
				echo "<input name=\"input_file_url[4]\" size=\"40\" value=\"http://\" /><input type=\"submit\" class=\"button\" name=\"input_doupload\" value=\"" . $words_files[ 'UPLOAD' ] . "\" /><br />";
				$html -> upperform( $words_files[ 'TITLE' ], "input_file_title[4]", $input_file_title[ 4 ], 1 );
				$html -> upperform( $words_files[ 'DESCRIPTION' ], "input_file_desc[4]", $input_file_desc[ 4 ], 2 );
				echo "</div></div>";
			}
			else
			{
				echo $words_files[ 'DEMO_NA' ] . "</div>";
			}

			echo "<br /><input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"input_this_form\" value=\"1\" /><input type=\"hidden\" name=\"aform\" value=\"doaddnewfile\" /><input type=\"submit\" class=\"button\" name=\"input_dopreview\" value=\"" . $words_files[ 'PREVIEW' ] . "\" />";

			if( function_exists( "pspell_new" ) )
			{
				echo "<input type=\"submit\" class=\"button\" name=\"input_dospellcheck\" value=\"" . $words_files[ 'SPELLING' ] . "\" />";
			}

			echo "<input type=\"submit\" class=\"button\" value=\"" . $words_files[ 'ADD_ENTRY' ] . "\" /></div>";
			echo "</form></div>";
		}
	}
}

function padstart( $parser, $name, $attrs )
{
	global $diz, $tag;

	if( $diz )
	{
		$tag = $name;
	}


	if( $name == "XML_DIZ_INFO" )
	{
		$diz = 1;
	}
}

function padparse( $parser, $data )
{
	global $diz, $tag, $input_file_name, $input_file_version, $input_file_size, $input_file_description, $input_file_keywords, $input_file_smalldescription, $input_file_longdescription, $input_file_cost, $input_file_company, $input_file_homepage, $input_file_email, $input_file_language, $input_file_os_list, $input_file_changeinfo, $input_file_agreement, $input_file_screenshot, $input_primary_url, $input_secondary_url;

	if( $diz )
	{

		if( $tag == "PROGRAM_NAME" )
		{
			$input_file_name .= $data;
		}
		elseif( $tag == "PROGRAM_VERSION" )
		{
			$input_file_version .= $data;
		}
		elseif( $tag == "FILE_SIZE_MB" )
		{
			$input_file_size .= $data;
		}
		elseif( $tag == "CHAR_DESC_80" )
		{
			$input_file_description .= $data;
		}
		elseif( $tag == "KEYWORDS" )
		{
			$input_file_keywords .= $data;
		}
		elseif( $tag == "CHAR_DESC_250" )
		{
			$input_file_smalldescription .= $data;
		}
		elseif( $tag == "CHAR_DESC_2000" )
		{
			$input_file_longdescription .= $data;
		}
		elseif( $tag == "PROGRAM_COST_DOLLARS" )
		{
			$input_file_cost .= $data;
		}
		elseif( $tag == "COMPANY_NAME" )
		{
			$input_file_company .= $data;
		}
		elseif( $tag == "COMPANY_WEBSITE_URL" )
		{
			$input_file_homepage .= $data;
		}
		elseif( $tag == "GENERAL_EMAIL" )
		{
			$input_file_email .= $data;
		}
		elseif( $tag == "PROGRAMM_LANGUAGE" )
		{
			$input_file_language .= $data;
		}
		elseif( $tag == "PROGRAM_OS_SUPPORT" )
		{
			$input_file_os_list .= $data;
		}
		elseif( $tag == "PROGRAM_CHANGE_INFO" )
		{
			$input_file_changeinfo .= $data;
		}
		elseif( $tag == "EULA" )
		{
			$input_file_agreement .= $data;
		}
		elseif( $tag == "APPLICATION_SCREENSHOT_URL" )
		{
			$input_file_screenshot .= $data;
		}
		elseif( $tag == "PRIMARY_DOWNLOAD_URL" )
		{
			$input_primary_url .= $data;
		}
		elseif( $tag == "SECONDARY_DOWNLOAD_URL" )
		{
			$input_secondary_url .= $data;
		}
	}
}

function padend( $parser, $name )
{
	global $diz, $input_file_name, $input_file_version, $input_file_size, $input_file_description, $input_file_keywords, $input_file_smalldescription, $input_file_longdescription, $input_file_cost, $input_file_company, $input_file_homepage, $input_file_email, $input_file_language, $input_file_os_list, $input_file_changeinfo, $input_file_agreement, $input_file_screenshot, $input_primary_url, $input_secondary_url;

	if( $name == "XML_DIZ_INFO" )
	{
		$input_file_name = rtrim( ltrim( $input_file_name ) );
		$input_file_version = rtrim( ltrim( $input_file_version ) );
		$input_file_size = rtrim( ltrim( $input_file_size ) ) . "MB";
		$input_file_description = str_replace( "\t", "", rtrim( ltrim( $input_file_description ) ) );
		$input_file_keywords = str_replace( "\t", "", rtrim( ltrim( $input_file_keywords ) ) );
		$input_file_smalldescription = str_replace( "\t", "", rtrim( ltrim( $input_file_smalldescription ) ) );
		$input_file_longdescription = str_replace( "\t", "", rtrim( ltrim( $input_file_longdescription ) ) );
		$input_file_cost = "USD " . rtrim( ltrim( $input_file_cost ) );
		$input_file_company = rtrim( ltrim( $input_file_company ) );
		$input_file_homepage = rtrim( ltrim( $input_file_homepage ) );
		$input_file_email = rtrim( ltrim( $input_file_email ) );
		$input_file_language = rtrim( ltrim( $input_file_language ) );
		$input_file_os_list = rtrim( ltrim( $input_file_os_list ) );
		$input_file_changeinfo = str_replace( "\t", "", rtrim( ltrim( $input_file_changeinfo ) ) );
		$input_file_agreement = str_replace( "\t", "", rtrim( ltrim( $input_file_agreement ) ) );
		$input_file_screenshot = str_replace( "\t", "", rtrim( ltrim( $input_file_screenshot ) ) );
		$input_primary_url = rtrim( ltrim( $input_primary_url ) );
		$input_secondary_url = rtrim( ltrim( $input_secondary_url ) );

		if( $input_primary_url == $input_secondary_url )
		{
			$input_secondary_url = "";
		}

		$diz = 0;
	}
}

?>