<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) 2.1.16 Update #7                                        |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2012 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | Contentteller is not free software. You may not redistribute this file   |
// | or its derivatives without written permission.                           |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 824.97.120908-140829                                              |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Files
 * @copyright (C) 2002-2012 Esselbach Internet Solutions
 */

/**
 * function AdminEditQueueFile
 * A function to edit a file in the queue
 * @author Philipp Louis Esselbach
 */
function AdminEditQueueFile( $fileid, $notice )
{
	global $database, $system, $html, $preferences, $wysiwyg, $input_file_name, $input_file_version, $input_file_size, $input_file_description, $input_file_keywords, $input_file_smalldescription, $input_file_longdescription, $input_file_cost, $input_file_company, $input_file_homepage, $input_file_email, $input_file_language, $input_file_os_list, $input_file_changeinfo, $input_file_agreement, $input_file_screenshot, $input_primary_url, $input_secondary_url, $words_files;
	$input_website = ( isset( $_POST[ 'input_website' ] ) )? $system -> stripthis( $_POST[ 'input_website' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $system -> stripthis( $_POST[ 'input_status' ] ): "" ;
	$input_category = ( isset( $_POST[ 'input_category' ] ) ) ? $system -> stripthis( $_POST[ 'input_category' ] ) : "" ;
	$input_file_name = ( isset( $_POST[ 'input_file_name' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_name' ] ): "" ;
	$input_file_version = ( isset( $_POST[ 'input_file_version' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_version' ] ): "" ;
	$input_file_smalldescription = ( isset( $_POST[ 'input_file_smalldescription' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_smalldescription' ] ): "" ;
	$input_file_longdescription = ( isset( $_POST[ 'input_file_longdescription' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_longdescription' ] ) : "" ;
	$input_file_size = ( isset( $_POST[ 'input_file_size' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_size' ] ): "" ;
	$input_file_cost = ( isset( $_POST[ 'input_file_cost' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_cost' ] ): "" ;
	$input_file_company = ( isset( $_POST[ 'input_file_company' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_company' ] ): "" ;
	$input_file_homepage = ( isset( $_POST[ 'input_file_homepage' ] ) )? $system -> stripthis( $_POST[ 'input_file_homepage' ] ) : "" ;
	$input_file_email = ( isset( $_POST[ 'input_file_email' ] ) )? $system -> stripthis( $_POST[ 'input_file_email' ] ) : "" ;
	$input_file_pad = ( isset( $_POST[ 'input_file_pad' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_pad' ] ) : "" ;
	$input_file_language = ( isset( $_POST[ 'input_file_language' ] ) )? $system -> stripthis( $_POST[ 'input_file_language' ] ) : "" ;
	$input_file_os = ( isset( $_POST[ 'input_file_os' ] ) )? $system -> stripthisarray( $_POST[ 'input_file_os' ] ): array() ;
	$input_file_changeinfo = ( isset( $_POST[ 'input_file_changeinfo' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_changeinfo' ] ): "" ;
	$input_file_agreement = ( isset( $_POST[ 'input_file_agreement' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_agreement' ] ) : "" ;
	$input_file_screenshot = ( isset( $_POST[ 'input_file_screenshot' ] ) ) ? $system -> stripthis( $_POST[ 'input_file_screenshot' ] ) : "" ;
	$input_primary_url = ( isset( $_POST[ 'input_primary_url' ] ) ) ? $system -> stripthis( $_POST[ 'input_primary_url' ] ) : "" ;
	$input_secondary_url = ( isset( $_POST[ 'input_secondary_url' ] ) )? $system -> stripthis( $_POST[ 'input_secondary_url' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $system -> stripthis( $_POST[ 'input_status' ] ): "" ;
	$input_fields = ( isset( $_POST[ 'input_fields' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_fields' ] ) : "" ;
	$input_this_form = ( isset( $_POST[ 'input_this_form' ] ) ) ? $system -> stripthis( $_POST[ 'input_this_form' ] ): "" ;

	$security_hash = $system -> adminhashput();

	if( !$input_this_form )
	{
		$query = $database -> dbquery( "SELECT filequeue_authorid, filequeue_author, filequeue_email, filequeue_website, filequeue_category, filequeue_name, filequeue_version, filequeue_pad, filequeue_smalldescription, filequeue_longdescription, filequeue_size, filequeue_cost, filequeue_company, filequeue_homepage, filequeue_companyemail, filequeue_language, filequeue_os, filequeue_changeinfo, filequeue_agreement, filequeue_screenshot, filequeue_downloadurl1, filequeue_downloadurl2, filequeue_status, filequeue_fields FROM " . DB_PREFIX . "esselbach_ct_filesqueue WHERE filequeue_id = '" . $fileid . "'" );
		list( $input_authorid, $input_author, $input_email, $input_website, $input_category, $input_file_name, $input_file_version, $input_file_pad, $input_file_smalldescription, $input_file_longdescription, $input_file_size, $input_file_cost, $input_file_company, $input_file_homepage, $input_file_email, $input_file_language, $input_file_os_list, $input_file_changeinfo, $input_file_agreement, $input_file_screenshot, $input_primary_url, $input_secondary_url, $input_status, $input_fields_data ) = $database -> dbrow( $query );

		if ( !$input_file_name and $input_file_pad )
		{
			if( function_exists( "curl_exec" ) )
			{
				$pad = curl_init( $input_file_pad );

				if( preg_match( "/https/i", $input_file_pad ) )
				{
					curl_setopt( $pad, CURLOPT_PORT, 443 );
					curl_setopt( $pad, CURLOPT_SSL_VERIFYPEER, false );
				}

				curl_setopt( $pad, CURLOPT_RETURNTRANSFER, 1 );
				curl_setopt( $pad, CURLOPT_USERAGENT, "Esselbach Contentteller CMS" );
				$data = curl_exec( $pad );
				curl_close( $pad );
			}
			else
			{
				$feed = @fopen( $input_file_pad, "r" );
        		$data = "";
        		while( $output = @fread( $feed, 4096 ))
        		{
        			$data .= $output;
        		}

        		@fclose( $feed );
			}

			if( strlen( $data ) < 99 )
			{
			    $data = "";
			}

			if( $data )
			{
				$input_file_name = "";
				$input_file_version = "";
				$input_file_size = "";
				$input_file_description = "";
				$input_file_keywords = "";
				$input_file_smalldescription = "";
				$input_file_longdescription = "";
				$input_file_cost = "";
				$input_file_company = "";
				$input_file_homepage = "";
				$input_file_email = "";
				$input_file_language = "";
				$input_file_os_list = "";
				$input_file_changeinfo = "";
				$input_file_agreement = "";
				$input_file_screenshot = "";
				$input_primary_url = "";
				$input_secondary_url = "";

				if( $preferences[ 'website_charset' ] == "ISO-8859-1" or $preferences[ 'website_charset' ] == "UTF-8" or $preferences[ 'website_charset' ] == "US-ASCII" )
				{
					$xml = xml_parser_create( $preferences[ 'website_charset' ] );
				}
				else
				{
					$xml = xml_parser_create();
				}

				xml_set_element_handler( $xml, "padstart", "padend" );
				xml_set_character_data_handler( $xml, "padparse" );
				xml_parse( $xml, $data );
				xml_parser_free( $xml );

				$database -> dbquery( "UPDATE " . DB_PREFIX . "esselbach_ct_filesqueue SET filequeue_name = '" . $database -> dbescape( $input_file_name ) . "', filequeue_version = '" . $database -> dbescape( $input_file_version ) . "', filequeue_smalldescription = '" . $database -> dbescape( $input_file_smalldescription ) . "', filequeue_longdescription = '" . $database -> dbescape( $input_file_description ) . "',filequeue_size = '" . $database -> dbescape( $input_file_size ) . "', filequeue_cost = '" . $database -> dbescape( $input_file_cost ) . "', filequeue_company = '" . $database -> dbescape( $input_file_company ) . "', filequeue_homepage = '" . $database -> dbescape( $input_file_homepage ) . "', filequeue_language = '" . $database -> dbescape( $input_file_language ) . "', filequeue_os = '" . $database -> dbescape( $input_file_os_list ) . "', filequeue_changeinfo = '" . $database -> dbescape( $input_file_changeinfo ) . "', filequeue_agreement = '" . $database -> dbescape( $input_file_agreement ) . "', filequeue_screenshot = '" . $database -> dbescape( $input_file_screenshot ) . "', filequeue_downloadurl1 = '" . $database -> dbescape( $input_primary_url ) . "', filequeue_downloadurl2 = '" . $database -> dbescape( $input_secondary_url ) . "' WHERE filequeue_id = '" . $fileid . "'" );

				$input_file_longdescription = $input_file_description;
			}
		}

		if( $input_fields_data )
		{
			$input_fields_array = explode( "|", $input_fields_data );
			$input_fields = array();

			for( $i = 0; $i < 24; $i++ )
			{
				$input_fields[ $i ] = base64_decode( $input_fields_array[ $i ] );
			}
		}
	}
	else
	{
		$input_file_name = stripslashes( $input_file_name );
		$input_file_smalldescription = stripslashes( $input_file_smalldescription );
		$input_file_longdescription = stripslashes( $input_file_longdescription );

		if( is_array( $input_file_os ) )
		{
			$input_file_os_list = implode( ",", $input_file_os );
		}
		else
		{
			$input_file_os_list = "";
		}
	}

	$html -> makeheader( $words_files[ 'EDIT_QUEUE_FILE' ] );
	$html -> popinit();

	if( $preferences[ 'files_wysiwyg' ] )
	{
		$wysiwyg -> wysiwyginit( "input_file_smalldescription,input_file_longdescription" );
	}
	else
	{
		$html -> quickhtmlinit( "newform", "input_file_smalldescription", "input_file_longdescription" );
	}

	$html -> forminit( "extra_form_close", "extra_form_open" );
	$html -> makesubheader();
	$html -> makegroupmenu( "files" );

	if( $notice )
	{
		$html -> makeformheadera( $words_files[ 'NOTICE' ], "newpage", "newform" );
		echo $notice;
		echo "<br /><br /><h2>" . $words_files[ 'EDIT_QUEUE_FILE' ] . "</h2>";
	}
	else
	{
		$html -> makeformheadera( $words_files[ 'EDIT_QUEUE_FILE' ], "newfile", "newform" );
	}

	$websites = array();
	$query = $database -> dbquery( "SELECT preference_website, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_key = 'WEBSITE_NAME'" );

	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_files[ 'WEBSITE' ] . ":</strong> <select size=\"1\" name=\"input_website\">";
		echo "<option value=\"0\">" . $words_files[ 'ALL' ] . "</option>";

		while( list( $website_id, $website_name ) = $database -> dbrow( $query ) )
		{
			if( $website_id == $input_website )
			{
				echo "<option selected=\"selected\" value=\"" . $website_id . "\">" . htmlspecialchars( $website_name ) . "</option>";
			}
			else
			{
				echo "<option value=\"" . $website_id . "\">" . htmlspecialchars( $website_name ) . "</option>";
			}

			$websites[ $website_id ] = htmlspecialchars( $website_name );
		}

		echo "</select><br />";
	}

	$html -> uppertext( $words_files[ 'FILE_NAME' ], "input_file_name", $input_file_name );
	$html -> uppertext( $words_files[ 'FILE_VERSION' ], "input_file_version", $input_file_version );
	echo $words_files[ 'THIS_FILE_WAS_CONTRIBUTED_BY' ] . "  <a href=\"mailto:" . htmlspecialchars( $input_email ) . "\">" . htmlspecialchars( $input_author ) . "</a><br />";

	if( $input_authorid )
	{
		echo "<a href=\"index.php?action=manageusers&amp;opts=edituser-" . $input_authorid . "\">" . $words_files[ 'VIEW_PROFILE' ] . "</a><br /><br />";
	}

	$query = $database -> dbquery( "SELECT filecat_id, filecat_website, filecat_name, filecat_parentid FROM " . DB_PREFIX . "esselbach_ct_filescats ORDER BY filecat_position, filecat_id" );

	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_files[ 'CATEGORY' ] . ":</strong> <select size=\"1\" name=\"input_category\">";
		echo "<option value=\"0\">" . $words_files[ 'NONE' ] . "</option>";

		while( list( $filecat_id, $filecat_website, $filecat_name, $filecat_parentid ) = $database -> dbrow( $query ) )
		{
			if( $filecat_parentid > 1 )
			{
				$filecat_name = str_repeat( "-", $filecat_parentid ) . " " . $filecat_name;
			}


			if( isset( $websites[ $filecat_website ] ) )
			{
				$filecat_website = " (" . $websites[ $filecat_website ] . ")";
			}
			else
			{
				$filecat_website = "";
			}

			if( $filecat_id == $input_category )
			{
				echo "<option selected=\"selected\" value=\"" . $filecat_id . "\">" . htmlspecialchars( $filecat_name ) . $filecat_website . "</option>";
			}
			else
			{
				echo "<option value=\"" . $filecat_id . "\">" . htmlspecialchars( $filecat_name ) . $filecat_website . "</option>";
			}
		}

		echo "</select><br />";
	}

	$html -> uppertext( $words_files[ 'SIZE' ], "input_file_size", $input_file_size );
	$html -> uppertext( $words_files[ 'COST' ], "input_file_cost", $input_file_cost );
	$html -> uppertext( $words_files[ 'COMPANY' ], "input_file_company", $input_file_company );
	$html -> uppertext( $words_files[ 'HOMEPAGE' ], "input_file_homepage", $input_file_homepage );
	$html -> uppertext( $words_files[ 'EMAIL' ], "input_file_email", $input_file_email );
	$html -> uppertext( $words_files[ 'PAD_URL' ], "input_file_pad", $input_file_pad );
	echo "<strong>" . $words_files[ 'LANGUAGE' ] . ":</strong><br />";
	( $input_file_language == "1" )? $language_selected_1 = "selected=\"selected\" " : $language_selected_1 = "";
	( $input_file_language == "2" )? $language_selected_2 = "selected=\"selected\" " : $language_selected_2 = "";
	( $input_file_language == "3" )? $language_selected_3 = "selected=\"selected\" " : $language_selected_3 = "";
	( $input_file_language == "4" )? $language_selected_4 = "selected=\"selected\" " : $language_selected_4 = "";
	( $input_file_language == "5" )? $language_selected_5 = "selected=\"selected\" " : $language_selected_5 = "";
	( $input_file_language == "6" )? $language_selected_6 = "selected=\"selected\" " : $language_selected_6 = "";
	( $input_file_language == "7" )? $language_selected_7 = "selected=\"selected\" " : $language_selected_7 = "";
	( $input_file_language == "8" )? $language_selected_8 = "selected=\"selected\" " : $language_selected_8 = "";
	( $input_file_language == "9" )? $language_selected_9 = "selected=\"selected\" " : $language_selected_9 = "";
	( $input_file_language == "10" ) ? $language_selected_10 = "selected=\"selected\" " : $language_selected_10 = "" ;
	( $input_file_language == "11" ) ? $language_selected_11 = "selected=\"selected\" " : $language_selected_11 = "" ;
	( $input_file_language == "12" ) ? $language_selected_12 = "selected=\"selected\" " : $language_selected_12 = "";
	( $input_file_language == "13" ) ? $language_selected_13 = "selected=\"selected\" " : $language_selected_13 = "";
	( $input_file_language == "14" ) ? $language_selected_14 = "selected=\"selected\" " : $language_selected_14 = "";
	( $input_file_language == "15" ) ? $language_selected_15 = "selected=\"selected\" " : $language_selected_15 = "";
	( $input_file_language == "16" ) ? $language_selected_16 = "selected=\"selected\" " : $language_selected_16 = "";
	( $input_file_language == "17" ) ? $language_selected_17 = "selected=\"selected\" " : $language_selected_17 = "";
	( $input_file_language == "18" ) ? $language_selected_18 = "selected=\"selected\" " : $language_selected_18 = "";
	( $input_file_language == "19" ) ? $language_selected_19 = "selected=\"selected\" " : $language_selected_19 = "";
	( $input_file_language == "20" ) ? $language_selected_20 = "selected=\"selected\" " : $language_selected_20 = "" ;
	( $input_file_language == "21" ) ? $language_selected_21 = "selected=\"selected\" " : $language_selected_21 = "" ;
	( $input_file_language == "22" ) ? $language_selected_22 = "selected=\"selected\" " : $language_selected_22 = "";
	( $input_file_language == "23" ) ? $language_selected_23 = "selected=\"selected\" " : $language_selected_23 = "";
	( $input_file_language == "24" ) ? $language_selected_24 = "selected=\"selected\" " : $language_selected_24 = "";
	( $input_file_language == "25" ) ? $language_selected_25 = "selected=\"selected\" " : $language_selected_25 = "";
	( $input_file_language == "26" ) ? $language_selected_26 = "selected=\"selected\" " : $language_selected_26 = "";
	( $input_file_language == "27" ) ? $language_selected_27 = "selected=\"selected\" " : $language_selected_27 = "";
	( $input_file_language == "28" ) ? $language_selected_28 = "selected=\"selected\" " : $language_selected_28 = "";
	( $input_file_language == "29" ) ? $language_selected_29 = "selected=\"selected\" " : $language_selected_29 = "";
	( $input_file_language == "30" ) ? $language_selected_30 = "selected=\"selected\" " : $language_selected_30 = "" ;
	( $input_file_language == "31" ) ? $language_selected_31 = "selected=\"selected\" " : $language_selected_31 = "" ;
	( $input_file_language == "32" ) ? $language_selected_32 = "selected=\"selected\" " : $language_selected_32 = "";
	( $input_file_language == "33" ) ? $language_selected_33 = "selected=\"selected\" " : $language_selected_33 = "";
	( $input_file_language == "34" ) ? $language_selected_34 = "selected=\"selected\" " : $language_selected_34 = "";
	( $input_file_language == "35" ) ? $language_selected_35 = "selected=\"selected\" " : $language_selected_35 = "";
	( $input_file_language == "36" ) ? $language_selected_36 = "selected=\"selected\" " : $language_selected_36 = "";
	( $input_file_language == "37" ) ? $language_selected_37 = "selected=\"selected\" " : $language_selected_37 = "";
	( $input_file_language == "38" ) ? $language_selected_38 = "selected=\"selected\" " : $language_selected_38 = "";
	( $input_file_language == "39" ) ? $language_selected_39 = "selected=\"selected\" " : $language_selected_39 = "";
	( $input_file_language == "40" ) ? $language_selected_40 = "selected=\"selected\" " : $language_selected_40 = "";
	( $input_file_language == "40" ) ? $language_selected_40 = "selected=\"selected\" " : $language_selected_40 = "" ;
	( $input_file_language == "41" ) ? $language_selected_41 = "selected=\"selected\" " : $language_selected_41 = "" ;
	( $input_file_language == "42" ) ? $language_selected_42 = "selected=\"selected\" " : $language_selected_42 = "";
	( $input_file_language == "43" ) ? $language_selected_43 = "selected=\"selected\" " : $language_selected_43 = "";
	( $input_file_language == "44" ) ? $language_selected_44 = "selected=\"selected\" " : $language_selected_44 = "";
	( $input_file_language == "45" ) ? $language_selected_45 = "selected=\"selected\" " : $language_selected_45 = "";
	( $input_file_language == "46" ) ? $language_selected_46 = "selected=\"selected\" " : $language_selected_46 = "";
	( $input_file_language == "47" ) ? $language_selected_47 = "selected=\"selected\" " : $language_selected_47 = "";
	( $input_file_language == "48" ) ? $language_selected_48 = "selected=\"selected\" " : $language_selected_48 = "";
	( $input_file_language == "49" ) ? $language_selected_49 = "selected=\"selected\" " : $language_selected_49 = "";
	( $input_file_language == "50" ) ? $language_selected_50 = "selected=\"selected\" " : $language_selected_50 = "" ;
	( $input_file_language == "51" ) ? $language_selected_51 = "selected=\"selected\" " : $language_selected_51 = "" ;
	( $input_file_language == "52" ) ? $language_selected_52 = "selected=\"selected\" " : $language_selected_52 = "";
	( $input_file_language == "53" ) ? $language_selected_53 = "selected=\"selected\" " : $language_selected_53 = "";
	( $input_file_language == "54" ) ? $language_selected_54 = "selected=\"selected\" " : $language_selected_54 = "";
	( $input_file_language == "55" ) ? $language_selected_55 = "selected=\"selected\" " : $language_selected_55 = "";
	( $input_file_language == "56" ) ? $language_selected_56 = "selected=\"selected\" " : $language_selected_56 = "";
	( $input_file_language == "57" ) ? $language_selected_57 = "selected=\"selected\" " : $language_selected_57 = "";
	( $input_file_language == "58" ) ? $language_selected_58 = "selected=\"selected\" " : $language_selected_58 = "";
	( $input_file_language == "59" ) ? $language_selected_59 = "selected=\"selected\" " : $language_selected_59 = "";
	( $input_file_language == "60" ) ? $language_selected_60 = "selected=\"selected\" " : $language_selected_60 = "" ;
	( $input_file_language == "61" ) ? $language_selected_61 = "selected=\"selected\" " : $language_selected_61 = "" ;
	( $input_file_language == "62" ) ? $language_selected_62 = "selected=\"selected\" " : $language_selected_62 = "";
	( $input_file_language == "63" ) ? $language_selected_63 = "selected=\"selected\" " : $language_selected_63 = "";
	( $input_file_language == "64" ) ? $language_selected_64 = "selected=\"selected\" " : $language_selected_64 = "";
	( $input_file_language == "65" ) ? $language_selected_65 = "selected=\"selected\" " : $language_selected_65 = "";
	( $input_file_language == "66" ) ? $language_selected_66 = "selected=\"selected\" " : $language_selected_66 = "";
	( $input_file_language == "67" ) ? $language_selected_67 = "selected=\"selected\" " : $language_selected_67 = "";
	( $input_file_language == "68" ) ? $language_selected_68 = "selected=\"selected\" " : $language_selected_68 = "";
	( $input_file_language == "69" ) ? $language_selected_69 = "selected=\"selected\" " : $language_selected_69 = "";
	( $input_file_language == "70" ) ? $language_selected_70 = "selected=\"selected\" " : $language_selected_70 = "" ;
	( $input_file_language == "71" ) ? $language_selected_71 = "selected=\"selected\" " : $language_selected_71 = "" ;
	( $input_file_language == "72" ) ? $language_selected_72 = "selected=\"selected\" " : $language_selected_72 = "";
	( $input_file_language == "73" ) ? $language_selected_73 = "selected=\"selected\" " : $language_selected_73 = "";
	( $input_file_language == "74" ) ? $language_selected_74 = "selected=\"selected\" " : $language_selected_74 = "";
	( $input_file_language == "75" ) ? $language_selected_75 = "selected=\"selected\" " : $language_selected_75 = "";
	( $input_file_language == "76" ) ? $language_selected_76 = "selected=\"selected\" " : $language_selected_76 = "";
	( $input_file_language == "77" ) ? $language_selected_77 = "selected=\"selected\" " : $language_selected_77 = "";
	( $input_file_language == "78" ) ? $language_selected_78 = "selected=\"selected\" " : $language_selected_78 = "";
	( $input_file_language == "79" ) ? $language_selected_79 = "selected=\"selected\" " : $language_selected_79 = "";
	( $input_file_language == "80" ) ? $language_selected_80 = "selected=\"selected\" " : $language_selected_80 = "" ;
	( $input_file_language == "81" ) ? $language_selected_81 = "selected=\"selected\" " : $language_selected_81 = "" ;
	( $input_file_language == "82" ) ? $language_selected_82 = "selected=\"selected\" " : $language_selected_82 = "";
	( $input_file_language == "83" ) ? $language_selected_83 = "selected=\"selected\" " : $language_selected_83 = "";
	( $input_file_language == "84" ) ? $language_selected_84 = "selected=\"selected\" " : $language_selected_84 = "";
	( $input_file_language == "85" ) ? $language_selected_85 = "selected=\"selected\" " : $language_selected_85 = "";
	( $input_file_language == "86" ) ? $language_selected_86 = "selected=\"selected\" " : $language_selected_86 = "";
	( $input_file_language == "87" ) ? $language_selected_87 = "selected=\"selected\" " : $language_selected_87 = "";
	( $input_file_language == "88" ) ? $language_selected_88 = "selected=\"selected\" " : $language_selected_88 = "";
	( $input_file_language == "89" ) ? $language_selected_89 = "selected=\"selected\" " : $language_selected_89 = "";
	( $input_file_language == "90" ) ? $language_selected_90 = "selected=\"selected\" " : $language_selected_90 = "" ;
	( $input_file_language == "91" ) ? $language_selected_91 = "selected=\"selected\" " : $language_selected_91 = "" ;
	( $input_file_language == "92" ) ? $language_selected_92 = "selected=\"selected\" " : $language_selected_92 = "";
	( $input_file_language == "93" ) ? $language_selected_93 = "selected=\"selected\" " : $language_selected_93 = "";
	( $input_file_language == "94" ) ? $language_selected_94 = "selected=\"selected\" " : $language_selected_94 = "";
	( $input_file_language == "95" ) ? $language_selected_95 = "selected=\"selected\" " : $language_selected_95 = "";
	( $input_file_language == "96" ) ? $language_selected_96 = "selected=\"selected\" " : $language_selected_96 = "";
	( $input_file_language == "97" ) ? $language_selected_97 = "selected=\"selected\" " : $language_selected_97 = "";
	( $input_file_language == "98" ) ? $language_selected_98 = "selected=\"selected\" " : $language_selected_98 = "";
	( $input_file_language == "99" ) ? $language_selected_99 = "selected=\"selected\" " : $language_selected_99 = "";
	( $input_file_language == "100" ) ? $language_selected_100 = "selected=\"selected\" " : $language_selected_100 = "";
	( $input_file_language == "101" ) ? $language_selected_101 = "selected=\"selected\" " : $language_selected_101 = "";
	( $input_file_language == "102" ) ? $language_selected_102 = "selected=\"selected\" " : $language_selected_102 = "";
	( $input_file_language == "103" ) ? $language_selected_103 = "selected=\"selected\" " : $language_selected_103 = "";
	( $input_file_language == "104" ) ? $language_selected_104 = "selected=\"selected\" " : $language_selected_104 = "";
	( $input_file_language == "105" ) ? $language_selected_105 = "selected=\"selected\" " : $language_selected_105 = "";
	( $input_file_language == "106" ) ? $language_selected_106 = "selected=\"selected\" " : $language_selected_106 = "";
	( $input_file_language == "107" ) ? $language_selected_107 = "selected=\"selected\" " : $language_selected_107 = "";
	( $input_file_language == "108" ) ? $language_selected_108 = "selected=\"selected\" " : $language_selected_108 = "";
	( $input_file_language == "109" ) ? $language_selected_109 = "selected=\"selected\" " : $language_selected_109 = "";
	( $input_file_language == "110" ) ? $language_selected_110 = "selected=\"selected\" " : $language_selected_110 = "";
	( $input_file_language == "111" ) ? $language_selected_111 = "selected=\"selected\" " : $language_selected_111 = "";
	( $input_file_language == "112" ) ? $language_selected_112 = "selected=\"selected\" " : $language_selected_112 = "";
	( $input_file_language == "113" ) ? $language_selected_113 = "selected=\"selected\" " : $language_selected_113 = "";
	( $input_file_language == "114" ) ? $language_selected_114 = "selected=\"selected\" " : $language_selected_114 = "";
	( $input_file_language == "115" ) ? $language_selected_115 = "selected=\"selected\" " : $language_selected_115 = "";
	( $input_file_language == "116" ) ? $language_selected_116 = "selected=\"selected\" " : $language_selected_116 = "";
	( $input_file_language == "117" ) ? $language_selected_117 = "selected=\"selected\" " : $language_selected_117 = "";
	( $input_file_language == "118" ) ? $language_selected_118 = "selected=\"selected\" " : $language_selected_118 = "";
	( $input_file_language == "119" ) ? $language_selected_119 = "selected=\"selected\" " : $language_selected_119 = "";
	( $input_file_language == "120" ) ? $language_selected_120 = "selected=\"selected\" " : $language_selected_120 = "";
	( $input_file_language == "121" ) ? $language_selected_121 = "selected=\"selected\" " : $language_selected_121 = "";
	( $input_file_language == "122" ) ? $language_selected_122 = "selected=\"selected\" " : $language_selected_122 = "";
	( $input_file_language == "123" ) ? $language_selected_123 = "selected=\"selected\" " : $language_selected_123 = "";
	( $input_file_language == "124" ) ? $language_selected_124 = "selected=\"selected\" " : $language_selected_124 = "";
	( $input_file_language == "125" ) ? $language_selected_125 = "selected=\"selected\" " : $language_selected_125 = "";
	( $input_file_language == "126" ) ? $language_selected_126 = "selected=\"selected\" " : $language_selected_126 = "";
	( $input_file_language == "127" ) ? $language_selected_127 = "selected=\"selected\" " : $language_selected_127 = "";
	( $input_file_language == "128" ) ? $language_selected_128 = "selected=\"selected\" " : $language_selected_128 = "";
	( $input_file_language == "129" ) ? $language_selected_129 = "selected=\"selected\" " : $language_selected_129 = "";
	( $input_file_language == "130" ) ? $language_selected_130 = "selected=\"selected\" " : $language_selected_130 = "";
	( $input_file_language == "131" ) ? $language_selected_131 = "selected=\"selected\" " : $language_selected_131 = "";
	( $input_file_language == "132" ) ? $language_selected_132 = "selected=\"selected\" " : $language_selected_132 = "";
	( $input_file_language == "133" ) ? $language_selected_133 = "selected=\"selected\" " : $language_selected_133 = "";
	( $input_file_language == "134" ) ? $language_selected_134 = "selected=\"selected\" " : $language_selected_134 = "";
	( $input_file_language == "135" ) ? $language_selected_135 = "selected=\"selected\" " : $language_selected_135 = "";
	( $input_file_language == "136" ) ? $language_selected_136 = "selected=\"selected\" " : $language_selected_136 = "";
	( $input_file_language == "137" ) ? $language_selected_137 = "selected=\"selected\" " : $language_selected_137 = "";
	( $input_file_language == "138" ) ? $language_selected_138 = "selected=\"selected\" " : $language_selected_138 = "";
	echo "<select size=\"1\" name=\"input_file_language\">";
	echo "<option " . $language_selected_1 . "value=\"1\">" . $words_files[ 'ENGLISH' ] . "</option>";
	echo "<option " . $language_selected_2 . "value=\"2\">" . $words_files[ 'ABKHAZIAN' ] . "</option>";
	echo "<option " . $language_selected_3 . "value=\"3\">" . $words_files[ 'AFAR' ] . "</option>";
	echo "<option " . $language_selected_4 . "value=\"4\">" . $words_files[ 'AFRIKAANS' ] . "</option>";
	echo "<option " . $language_selected_5 . "value=\"5\">" . $words_files[ 'ALBANIAN' ] . "</option>";
	echo "<option " . $language_selected_6 . "value=\"6\">" . $words_files[ 'AMHARIC' ] . "</option>";
	echo "<option " . $language_selected_7 . "value=\"7\">" . $words_files[ 'ARABIC' ] . "</option>";
	echo "<option " . $language_selected_8 . "value=\"8\">" . $words_files[ 'ARMENIAN' ] . "</option>";
	echo "<option " . $language_selected_9 . "value=\"9\">" . $words_files[ 'ASSAMESE' ] . "</option>";
	echo "<option " . $language_selected_10 . "value=\"10\">" . $words_files[ 'AYMARA' ] . "</option>";
	echo "<option " . $language_selected_11 . "value=\"11\">" . $words_files[ 'AZERBAIJANI' ] . "</option>";
	echo "<option " . $language_selected_12 . "value=\"12\">" . $words_files[ 'BASHKIR' ] . "</option>";
	echo "<option " . $language_selected_13 . "value=\"13\">" . $words_files[ 'BENGALI' ] . "</option>";
	echo "<option " . $language_selected_14 . "value=\"14\">" . $words_files[ 'BHUTANI' ] . "</option>";
	echo "<option " . $language_selected_15 . "value=\"15\">" . $words_files[ 'BIHARI' ] . "</option>";
	echo "<option " . $language_selected_138 . "value=\"138\">" . $words_files[ 'BISLAMA' ] . "</option>";
	echo "<option " . $language_selected_16 . "value=\"16\">" . $words_files[ 'BRETON' ] . "</option>";
	echo "<option " . $language_selected_17 . "value=\"17\">" . $words_files[ 'BULGARIAN' ] . "</option>";
	echo "<option " . $language_selected_18 . "value=\"18\">" . $words_files[ 'BURMESE' ] . "</option>";
	echo "<option " . $language_selected_19 . "value=\"19\">" . $words_files[ 'BYELORRUSSIAN' ] . "</option>";
	echo "<option " . $language_selected_20 . "value=\"20\">" . $words_files[ 'CAMBODIAN' ] . "</option>";
	echo "<option " . $language_selected_21 . "value=\"21\">" . $words_files[ 'CATALAN' ] . "</option>";
	echo "<option " . $language_selected_22 . "value=\"22\">" . $words_files[ 'CHINESE' ] . "</option>";
	echo "<option " . $language_selected_23 . "value=\"23\">" . $words_files[ 'CHINESESIMPLIFIED' ] . "</option>";
	echo "<option " . $language_selected_24 . "value=\"24\">" . $words_files[ 'CHINESETRADITIONAL' ] . "</option>";
	echo "<option " . $language_selected_25 . "value=\"25\">" . $words_files[ 'CORSICAN' ] . "</option>";
	echo "<option " . $language_selected_26 . "value=\"26\">" . $words_files[ 'CROATIAN' ] . "</option>";
	echo "<option " . $language_selected_27 . "value=\"27\">" . $words_files[ 'CZECH' ] . "</option>";
	echo "<option " . $language_selected_28 . "value=\"28\">" . $words_files[ 'DANISH' ] . "</option>";
	echo "<option " . $language_selected_29 . "value=\"29\">" . $words_files[ 'DUTCH' ] . "</option>";
	echo "<option " . $language_selected_30 . "value=\"30\">" . $words_files[ 'ESPERANTO' ] . "</option>";
	echo "<option " . $language_selected_31 . "value=\"31\">" . $words_files[ 'ESTONIAN' ] . "</option>";
	echo "<option " . $language_selected_32 . "value=\"32\">" . $words_files[ 'FAEROESE' ] . "</option>";
	echo "<option " . $language_selected_33 . "value=\"33\">" . $words_files[ 'FIJI' ] . "</option>";
	echo "<option " . $language_selected_34 . "value=\"34\">" . $words_files[ 'FINNISH' ] . "</option>";
	echo "<option " . $language_selected_35 . "value=\"35\">" . $words_files[ 'FRENCH' ] . "</option>";
	echo "<option " . $language_selected_36 . "value=\"36\">" . $words_files[ 'FRISIAN' ] . "</option>";
	echo "<option " . $language_selected_37 . "value=\"37\">" . $words_files[ 'GAELIC' ] . "</option>";
	echo "<option " . $language_selected_38 . "value=\"38\">" . $words_files[ 'GALICIAN' ] . "</option>";
	echo "<option " . $language_selected_39 . "value=\"39\">" . $words_files[ 'GEORGIAN' ] . "</option>";
	echo "<option " . $language_selected_40 . "value=\"40\">" . $words_files[ 'GERMAN' ] . "</option>";
	echo "<option " . $language_selected_41 . "value=\"41\">" . $words_files[ 'GREEK' ] . "</option>";
	echo "<option " . $language_selected_42 . "value=\"42\">" . $words_files[ 'GREENLANDIC' ] . "</option>";
	echo "<option " . $language_selected_43 . "value=\"43\">" . $words_files[ 'GUARANI' ] . "</option>";
	echo "<option " . $language_selected_44 . "value=\"44\">" . $words_files[ 'GUJARATI' ] . "</option>";
	echo "<option " . $language_selected_45 . "value=\"45\">" . $words_files[ 'HAUSA' ] . "</option>";
	echo "<option " . $language_selected_46 . "value=\"46\">" . $words_files[ 'HEBREW' ] . "</option>";
	echo "<option " . $language_selected_47 . "value=\"47\">" . $words_files[ 'HINDI' ] . "</option>";
	echo "<option " . $language_selected_48 . "value=\"48\">" . $words_files[ 'HUNGARIAN' ] . "</option>";
	echo "<option " . $language_selected_49 . "value=\"49\">" . $words_files[ 'ICELANDIC' ] . "</option>";
	echo "<option " . $language_selected_50 . "value=\"50\">" . $words_files[ 'INDONESIAN' ] . "</option>";
	echo "<option " . $language_selected_51 . "value=\"51\">" . $words_files[ 'INTERLINGUA' ] . "</option>";
	echo "<option " . $language_selected_52 . "value=\"52\">" . $words_files[ 'INTERLINGUE' ] . "</option>";
	echo "<option " . $language_selected_53 . "value=\"53\">" . $words_files[ 'INUPIAK' ] . "</option>";
	echo "<option " . $language_selected_54 . "value=\"54\">" . $words_files[ 'IRISH' ] . "</option>";
	echo "<option " . $language_selected_55 . "value=\"55\">" . $words_files[ 'ITALIAN' ] . "</option>";
	echo "<option " . $language_selected_56 . "value=\"56\">" . $words_files[ 'JAPANESE' ] . "</option>";
	echo "<option " . $language_selected_57 . "value=\"57\">" . $words_files[ 'JAVANESE' ] . "</option>";
	echo "<option " . $language_selected_58 . "value=\"58\">" . $words_files[ 'KANNADA' ] . "</option>";
	echo "<option " . $language_selected_59 . "value=\"59\">" . $words_files[ 'KASHMIRI' ] . "</option>";
	echo "<option " . $language_selected_60 . "value=\"60\">" . $words_files[ 'KAZAKH' ] . "</option>";
	echo "<option " . $language_selected_61 . "value=\"61\">" . $words_files[ 'KINYARWANDA' ] . "</option>";
	echo "<option " . $language_selected_62 . "value=\"62\">" . $words_files[ 'KIRGHIZ' ] . "</option>";
	echo "<option " . $language_selected_63 . "value=\"63\">" . $words_files[ 'KIRUNDI' ] . "</option>";
	echo "<option " . $language_selected_64 . "value=\"64\">" . $words_files[ 'KOREAN' ] . "</option>";
	echo "<option " . $language_selected_65 . "value=\"65\">" . $words_files[ 'KURDISH' ] . "</option>";
	echo "<option " . $language_selected_66 . "value=\"66\">" . $words_files[ 'LAOTHIAN' ] . "</option>";
	echo "<option " . $language_selected_67 . "value=\"67\">" . $words_files[ 'LATIN' ] . "</option>";
	echo "<option " . $language_selected_68 . "value=\"68\">" . $words_files[ 'LATVIAN' ] . "</option>";
	echo "<option " . $language_selected_69 . "value=\"69\">" . $words_files[ 'LINGALA' ] . "</option>";
	echo "<option " . $language_selected_70 . "value=\"70\">" . $words_files[ 'LITHUANIAN' ] . "</option>";
	echo "<option " . $language_selected_71 . "value=\"71\">" . $words_files[ 'MACEDONIAN' ] . "</option>";
	echo "<option " . $language_selected_72 . "value=\"72\">" . $words_files[ 'MALAGASY' ] . "</option>";
	echo "<option " . $language_selected_73 . "value=\"73\">" . $words_files[ 'MALAY' ] . "</option>";
	echo "<option " . $language_selected_74 . "value=\"74\">" . $words_files[ 'MALAYALAM' ] . "</option>";
	echo "<option " . $language_selected_75 . "value=\"75\">" . $words_files[ 'MALTESE' ] . "</option>";
	echo "<option " . $language_selected_76 . "value=\"76\">" . $words_files[ 'MAORI' ] . "</option>";
	echo "<option " . $language_selected_77 . "value=\"77\">" . $words_files[ 'MARATHI' ] . "</option>";
	echo "<option " . $language_selected_78 . "value=\"78\">" . $words_files[ 'MOLDAVIAN' ] . "</option>";
	echo "<option " . $language_selected_79 . "value=\"79\">" . $words_files[ 'MONGOLIAN' ] . "</option>";
	echo "<option " . $language_selected_80 . "value=\"80\">" . $words_files[ 'NAURU' ] . "</option>";
	echo "<option " . $language_selected_81 . "value=\"81\">" . $words_files[ 'NEPALI' ] . "</option>";
	echo "<option " . $language_selected_82 . "value=\"82\">" . $words_files[ 'NORWEGIAN' ] . "</option>";
	echo "<option " . $language_selected_83 . "value=\"83\">" . $words_files[ 'OCCITAN' ] . "</option>";
	echo "<option " . $language_selected_84 . "value=\"84\">" . $words_files[ 'ORIYA' ] . "</option>";
	echo "<option " . $language_selected_85 . "value=\"85\">" . $words_files[ 'OROMO' ] . "</option>";
	echo "<option " . $language_selected_86 . "value=\"86\">" . $words_files[ 'OTHER' ] . "</option>";
	echo "<option " . $language_selected_87 . "value=\"87\">" . $words_files[ 'PASHTO' ] . "</option>";
	echo "<option " . $language_selected_88 . "value=\"88\">" . $words_files[ 'PERSIAN' ] . "</option>";
	echo "<option " . $language_selected_89 . "value=\"89\">" . $words_files[ 'POLISH' ] . "</option>";
	echo "<option " . $language_selected_90 . "value=\"90\">" . $words_files[ 'PORTUGUESE' ] . "</option>";
	echo "<option " . $language_selected_91 . "value=\"91\">" . $words_files[ 'PUNJABI' ] . "</option>";
	echo "<option " . $language_selected_92 . "value=\"92\">" . $words_files[ 'QUECHUA' ] . "</option>";
	echo "<option " . $language_selected_93 . "value=\"93\">" . $words_files[ 'RHAETO_ROMANCE' ] . "</option>";
	echo "<option " . $language_selected_94 . "value=\"94\">" . $words_files[ 'ROMANIAN' ] . "</option>";
	echo "<option " . $language_selected_95 . "value=\"95\">" . $words_files[ 'RUSSIAN' ] . "</option>";
	echo "<option " . $language_selected_96 . "value=\"96\">" . $words_files[ 'SAMOAN' ] . "</option>";
	echo "<option " . $language_selected_97 . "value=\"97\">" . $words_files[ 'SANGRO' ] . "</option>";
	echo "<option " . $language_selected_98 . "value=\"98\">" . $words_files[ 'SANSKRIT' ] . "</option>";
	echo "<option " . $language_selected_99 . "value=\"99\">" . $words_files[ 'SERBIAN' ] . "</option>";
	echo "<option " . $language_selected_100 . "value=\"100\">" . $words_files[ 'SERBO_CROATIAN' ] . "</option>";
	echo "<option " . $language_selected_101 . "value=\"101\">" . $words_files[ 'SESOTHO' ] . "</option>";
	echo "<option " . $language_selected_102 . "value=\"102\">" . $words_files[ 'SETSWANA' ] . "</option>";
	echo "<option " . $language_selected_103 . "value=\"103\">" . $words_files[ 'SHONA' ] . "</option>";
	echo "<option " . $language_selected_104 . "value=\"104\">" . $words_files[ 'SINDHI' ] . "</option>";
	echo "<option " . $language_selected_105 . "value=\"105\">" . $words_files[ 'SINGHALESE' ] . "</option>";
	echo "<option " . $language_selected_106 . "value=\"106\">" . $words_files[ 'SISWATI' ] . "</option>";
	echo "<option " . $language_selected_107 . "value=\"107\">" . $words_files[ 'SLOVAK' ] . "</option>";
	echo "<option " . $language_selected_108 . "value=\"108\">" . $words_files[ 'SLOVENIAN' ] . "</option>";
	echo "<option " . $language_selected_109 . "value=\"109\">" . $words_files[ 'SOMALI' ] . "</option>";
	echo "<option " . $language_selected_110 . "value=\"110\">" . $words_files[ 'SPANISH' ] . "</option>";
	echo "<option " . $language_selected_111 . "value=\"111\">" . $words_files[ 'SUDANESE' ] . "</option>";
	echo "<option " . $language_selected_112 . "value=\"112\">" . $words_files[ 'SWAHILI' ] . "</option>";
	echo "<option " . $language_selected_113 . "value=\"113\">" . $words_files[ 'SWEDISH' ] . "</option>";
	echo "<option " . $language_selected_114 . "value=\"114\">" . $words_files[ 'TAGALOG' ] . "</option>";
	echo "<option " . $language_selected_115 . "value=\"115\">" . $words_files[ 'TAJIK' ] . "</option>";
	echo "<option " . $language_selected_116 . "value=\"116\">" . $words_files[ 'TAMIL' ] . "</option>";
	echo "<option " . $language_selected_117 . "value=\"117\">" . $words_files[ 'TATAR' ] . "</option>";
	echo "<option " . $language_selected_118 . "value=\"118\">" . $words_files[ 'TEGULU' ] . "</option>";
	echo "<option " . $language_selected_119 . "value=\"119\">" . $words_files[ 'THAI' ] . "</option>";
	echo "<option " . $language_selected_120 . "value=\"120\">" . $words_files[ 'TIBETAN' ] . "</option>";
	echo "<option " . $language_selected_121 . "value=\"121\">" . $words_files[ 'TIGRINYA' ] . "</option>";
	echo "<option " . $language_selected_122 . "value=\"122\">" . $words_files[ 'TONGA' ] . "</option>";
	echo "<option " . $language_selected_123 . "value=\"123\">" . $words_files[ 'TSONGA' ] . "</option>";
	echo "<option " . $language_selected_124 . "value=\"124\">" . $words_files[ 'TURKISH' ] . "</option>";
	echo "<option " . $language_selected_125 . "value=\"125\">" . $words_files[ 'TURKMEN' ] . "</option>";
	echo "<option " . $language_selected_126 . "value=\"126\">" . $words_files[ 'TWI' ] . "</option>";
	echo "<option " . $language_selected_127 . "value=\"127\">" . $words_files[ 'UKRAINIAN' ] . "</option>";
	echo "<option " . $language_selected_128 . "value=\"128\">" . $words_files[ 'URDU' ] . "</option>";
	echo "<option " . $language_selected_129 . "value=\"129\">" . $words_files[ 'UZBEK' ] . "</option>";
	echo "<option " . $language_selected_130 . "value=\"130\">" . $words_files[ 'VIETNAMESE' ] . "</option>";
	echo "<option " . $language_selected_131 . "value=\"131\">" . $words_files[ 'VOLPAPUK' ] . "</option>";
	echo "<option " . $language_selected_132 . "value=\"132\">" . $words_files[ 'WELSH' ] . "</option>";
	echo "<option " . $language_selected_133 . "value=\"133\">" . $words_files[ 'WOLOF' ] . "</option>";
	echo "<option " . $language_selected_134 . "value=\"134\">" . $words_files[ 'XHOSA' ] . "</option>";
	echo "<option " . $language_selected_135 . "value=\"135\">" . $words_files[ 'YIDDISH' ] . "</option>";
	echo "<option " . $language_selected_136 . "value=\"136\">" . $words_files[ 'YORUBA' ] . "</option>";
	echo "<option " . $language_selected_137 . "value=\"137\">" . $words_files[ 'ZULU' ] . "</option>";
	echo "</select><br />";
	echo "<strong>" . $words_files[ 'OPERATING_SYSTEM' ] . ":</strong><br />";
	echo "<div id=\"os\" style=\"height: 125px; width: 250px; border-color: rgb(134, 134, 134); border-width: 1px; border-style: solid; background-color: rgb(255, 255, 255); overflow: auto;\">";

	if( $preferences[ 'files_pad_legacy' ] )
	{
		( preg_match( "/Win 3.1x/i", $input_file_os_list ) ) ? $os_checked_1 = "checked=\"checked\" " : $os_checked_1 = "" ;
		echo "<input name=\"input_file_os[1]\" type=\"checkbox\" value=\"Win 3.1x\" " . $os_checked_1 . "/> " . $words_files[ 'WIN_31' ] . "<br />";
		( preg_match( "/Win95/i", $input_file_os_list ) ) ? $os_checked_2 = "checked=\"checked\" " : $os_checked_2 = "" ;
		echo "<input name=\"input_file_os[2]\" type=\"checkbox\" value=\"Win95\" " . $os_checked_2 . "/> " . $words_files[ 'WIN95' ] . "<br />";
		( preg_match( "/Win98/i", $input_file_os_list ) ) ? $os_checked_3 = "checked=\"checked\" " : $os_checked_3 = "" ;
		echo "<input name=\"input_file_os[3]\" type=\"checkbox\" value=\"Win98\" " . $os_checked_3 . "/> " . $words_files[ 'WIN98' ] . "<br />";
		( preg_match( "/WinME/i", $input_file_os_list ) ) ? $os_checked_4 = "checked=\"checked\" " : $os_checked_4 = "" ;
		echo "<input name=\"input_file_os[4]\" type=\"checkbox\" value=\"WinME\" " . $os_checked_4 . "/> " . $words_files[ 'WINME' ] . "<br />";
		( preg_match( "/WinNT 3.x/i", $input_file_os_list ) ) ? $os_checked_5 = "checked=\"checked\" " : $os_checked_5 = "" ;
		echo "<input name=\"input_file_os[5]\" type=\"checkbox\" value=\"WinNT 3.x\" " . $os_checked_5 . "/> " . $words_files[ 'WINNT_3' ] . "<br />";
		( preg_match( "/WinNT 4.x/i", $input_file_os_list ) ) ? $os_checked_6 = "checked=\"checked\" " : $os_checked_6 = "" ;
		echo "<input name=\"input_file_os[6]\" type=\"checkbox\" value=\"WinNT 4.x\" " . $os_checked_6 . "/> " . $words_files[ 'WINNT_4' ] . "<br />";
		( preg_match( "/WinXP/i", $input_file_os_list ) ) ? $os_checked_7 = "checked=\"checked\" " : $os_checked_7 = "" ;
		echo "<input name=\"input_file_os[7]\" type=\"checkbox\" value=\"WinXP\" " . $os_checked_7 . "/> " . $words_files[ 'WINXP' ] . "<br />";
		( preg_match( "/Windows2000/i", $input_file_os_list ) ) ? $os_checked_8 = "checked=\"checked\" " : $os_checked_8 = "" ;
		echo "<input name=\"input_file_os[8]\" type=\"checkbox\" value=\"Windows2000\" " . $os_checked_8 . "/> " . $words_files[ 'WINDOWS2000' ] . "<br />";
		( preg_match( "/Windows2003/i", $input_file_os_list ) ) ? $os_checked_9 = "checked=\"checked\" " : $os_checked_9 = "" ;
		echo "<input name=\"input_file_os[9]\" type=\"checkbox\" value=\"Windows2003\" " . $os_checked_9 . "/> " . $words_files[ 'WINDOWS2003' ] . "<br />";
		( preg_match( "/Windows Tablet PC Edition 2005/i", $input_file_os_list ) ) ? $os_checked_10 = "checked=\"checked\" " : $os_checked_10 = "" ;
		echo "<input name=\"input_file_os[10]\" type=\"checkbox\" value=\"Windows Tablet PC Edition 2005\" " . $os_checked_10 . "/> " . $words_files[ 'WINDOWS_TABLET_PC_EDITION_2005' ] . "<br />";
		( preg_match( "/Windows Media Center 2005/i", $input_file_os_list ) ) ? $os_checked_11 = "checked=\"checked\" " : $os_checked_11 = "" ;
		echo "<input name=\"input_file_os[11]\" type=\"checkbox\" value=\"Windows Media Center Edition 2005\" " . $os_checked_11 . "/> " . $words_files[ 'WINDOWS_MEDIA_CENTER_EDITION' ] . "<br />";
		( preg_match( "/Windows Vista Starter/i", $input_file_os_list ) ) ? $os_checked_12 = "checked=\"checked\" " : $os_checked_12 = "" ;
		echo "<input name=\"input_file_os[12]\" type=\"checkbox\" value=\"Windows Vista Starter\" " . $os_checked_12 . "/> " . $words_files[ 'WINDOWS_VISTA_STARTER' ] . "<br />";
		( preg_match( "/Windows Vista Home Basic/i", $input_file_os_list ) ) ? $os_checked_13 = "checked=\"checked\" " : $os_checked_13 = "" ;
		echo "<input name=\"input_file_os[13]\" type=\"checkbox\" value=\"Windows Vista Home Basic\" " . $os_checked_13 . "/> " . $words_files[ 'WINDOWS_VISTA_HOME_BASIC' ] . "<br />";
		( preg_match( "/Windows Vista Home Premium/i", $input_file_os_list ) ) ? $os_checked_14 = "checked=\"checked\" " : $os_checked_14 = "" ;
		echo "<input name=\"input_file_os[14]\" type=\"checkbox\" value=\"Windows Vista Home Premium\" " . $os_checked_14 . "/> " . $words_files[ 'WINDOWS_VISTA_HOME_PREMIUM' ] . "<br />";
		( preg_match( "/Windows Vista Business/i", $input_file_os_list ) ) ? $os_checked_15 = "checked=\"checked\" " : $os_checked_15 = "" ;
		echo "<input name=\"input_file_os[15]\" type=\"checkbox\" value=\"Windows Vista Business\" " . $os_checked_15 . "/> " . $words_files[ 'WINDOWS_VISTA_BUSINESS' ] . "<br />";
		( preg_match( "/Windows Vista Enterprise/i", $input_file_os_list ) ) ? $os_checked_16 = "checked=\"checked\" " : $os_checked_16 = "" ;
		echo "<input name=\"input_file_os[16]\" type=\"checkbox\" value=\"Windows Vista Enterprise\" " . $os_checked_16 . "/> " . $words_files[ 'WINDOWS_VISTA_ENTERPRISE' ] . "<br />";
		( preg_match( "/Windows Vista ultimate/i", $input_file_os_list ) ) ? $os_checked_17 = "checked=\"checked\" " : $os_checked_17 = "" ;
		echo "<input name=\"input_file_os[17]\" type=\"checkbox\" value=\"Windows Vista Ultimate\" " . $os_checked_17 . "/> " . $words_files[ 'WINDOWS_VISTA_ULTIMATE' ] . "<br />";
		( preg_match( "/Windows Vista Home Basic x86/i", $input_file_os_list ) ) ? $os_checked_18 = "checked=\"checked\" " : $os_checked_18 = "" ;
		echo "<input name=\"input_file_os[18]\" type=\"checkbox\" value=\"Windows Vista Home Basic x86\" " . $os_checked_18 . "/> " . $words_files[ 'WINDOWS_VISTA_HOME_BASIC_64' ] . "<br />";
		( preg_match( "/Windows Vista Home Premium x64/i", $input_file_os_list ) ) ? $os_checked_19 = "checked=\"checked\" " : $os_checked_19 = "" ;
		echo "<input name=\"input_file_os[19]\" type=\"checkbox\" value=\"Windows Vista Home Premium x64\" " . $os_checked_19 . "/> " . $words_files[ 'WINDOWS_VISTA_HOME_PREMIUM_64' ] . "<br />";
		( preg_match( "/Windows Vista Business x64/i", $input_file_os_list ) ) ? $os_checked_20 = "checked=\"checked\" " : $os_checked_20 = "" ;
		echo "<input name=\"input_file_os[20]\" type=\"checkbox\" value=\"Windows Vista Business x64\" " . $os_checked_20 . "/> " . $words_files[ 'WINDOWS_VISTA_BUSINESS_64' ] . "<br />";
		( preg_match( "/Windows Vista Enterprise x64/i", $input_file_os_list ) ) ? $os_checked_21 = "checked=\"checked\" " : $os_checked_21 = "" ;
		echo "<input name=\"input_file_os[21]\" type=\"checkbox\" value=\"Windows Vista Enterprise x64\" " . $os_checked_21 . "/> " . $words_files[ 'WINDOWS_VISTA_ENTERPRISE_64' ] . "<br />";
		( preg_match( "/Windows Vista Ultimate x64/i", $input_file_os_list ) ) ? $os_checked_22 = "checked=\"checked\" " : $os_checked_22 = "" ;
		echo "<input name=\"input_file_os[22]\" type=\"checkbox\" value=\"Windows Vista Ultimate x64\" " . $os_checked_22 . "/> " . $words_files[ 'WINDOWS_VISTA_ULTIMATE_64' ] . "<br />";
		( preg_match( "/Windows CE/i", $input_file_os_list ) ) ? $os_checked_23 = "checked=\"checked\" " : $os_checked_23 = "" ;
		echo "<input name=\"input_file_os[23]\" type=\"checkbox\" value=\"Windows CE\" " . $os_checked_23 . "/> " . $words_files[ 'WINDOWS_CE' ] . "<br />";
		( preg_match( "/Windows Mobile 2003/i", $input_file_os_list ) ) ? $os_checked_24 = "checked=\"checked\" " : $os_checked_24 = "" ;
		echo "<input name=\"input_file_os[24]\" type=\"checkbox\" value=\"Windows Mobile 2003\" " . $os_checked_24 . "/> " . $words_files[ 'WINDOWS_MOBILE_2003' ] . "<br />";
		( preg_match( "/Windows Mobile 2005/i", $input_file_os_list ) ) ? $os_checked_25 = "checked=\"checked\" " : $os_checked_25 = "" ;
		echo "<input name=\"input_file_os[25]\" type=\"checkbox\" value=\"Windows Mobile 2005\" " . $os_checked_25 . "/> " . $words_files[ 'WINDOWS_MOBILE_2005' ] . "<br />";
		( preg_match( "/Unix/i", $input_file_os_list ) ) ? $os_checked_26 = "checked=\"checked\" " : $os_checked_26 = "" ;
		echo "<input name=\"input_file_os[26]\" type=\"checkbox\" value=\"Unix\" " . $os_checked_26 . "/> " . $words_files[ 'UNIX' ] . "<br />";
		( preg_match( "/Linux/i", $input_file_os_list ) ) ? $os_checked_27 = "checked=\"checked\" " : $os_checked_27 = "" ;
		echo "<input name=\"input_file_os[27]\" type=\"checkbox\" value=\"Linux\" " . $os_checked_27 . "/> " . $words_files[ 'LINUX' ] . "<br />";
		( preg_match( "/Linux Console/i", $input_file_os_list ) ) ? $os_checked_28 = "checked=\"checked\" " : $os_checked_28 = "" ;
		echo "<input name=\"input_file_os[28]\" type=\"checkbox\" value=\"Linux Console\" " . $os_checked_28 . "/> " . $words_files[ 'LINUX_CONSOLE' ] . "<br />";
		( preg_match( "/Linux Gnome/i", $input_file_os_list ) ) ? $os_checked_29 = "checked=\"checked\" " : $os_checked_29 = "" ;
		echo "<input name=\"input_file_os[29]\" type=\"checkbox\" value=\"Linux Gnome\" " . $os_checked_29 . "/> " . $words_files[ 'LINUX_GNOME' ] . "<br />";
		( preg_match( "/Linux GPL/i", $input_file_os_list ) ) ? $os_checked_30 = "checked=\"checked\" " : $os_checked_30 = "" ;
		echo "<input name=\"input_file_os[30]\" type=\"checkbox\" value=\"Linux GPL\" " . $os_checked_30 . "/> " . $words_files[ 'LINUX_GPL' ] . "<br />";
		( preg_match( "/Linux Open Source/i", $input_file_os_list ) ) ? $os_checked_31 = "checked=\"checked\" " : $os_checked_31 = "" ;
		echo "<input name=\"input_file_os[31]\" type=\"checkbox\" value=\"Linux Open Source\" " . $os_checked_31 . "/> " . $words_files[ 'LINUX_OPEN_SOURCE' ] . "<br />";
		( preg_match( "/MS-DOS/i", $input_file_os_list ) ) ? $os_checked_32 = "checked=\"checked\" " : $os_checked_32 = "" ;
		echo "<input name=\"input_file_os[32]\" type=\"checkbox\" value=\"MS-DOS\" " . $os_checked_32 . "/> " . $words_files[ 'MS_DOS' ] . "<br />";
		( preg_match( "/AS\/400/i", $input_file_os_list ) ) ? $os_checked_33 = "checked=\"checked\" " : $os_checked_33 = "" ;
		echo "<input name=\"input_file_os[33]\" type=\"checkbox\" value=\"AS/400\" " . $os_checked_33 . "/> " . $words_files[ 'AS_400' ] . "<br />";
		( preg_match( "/OS\/2/i", $input_file_os_list ) ) ? $os_checked_34 = "checked=\"checked\" " : $os_checked_34 = "" ;
		echo "<input name=\"input_file_os[34]\" type=\"checkbox\" value=\"OS/2\" " . $os_checked_34 . "/> " . $words_files[ 'OS_2' ] . "<br />";
		( preg_match( "/OS\/2 Warp/i", $input_file_os_list ) ) ? $os_checked_35 = "checked=\"checked\" " : $os_checked_35 = "" ;
		echo "<input name=\"input_file_os[35]\" type=\"checkbox\" value=\"OS/2 Warp\" " . $os_checked_35 . "/> " . $words_files[ 'OS_2_WARP' ] . "<br />";
		( preg_match( "/OS\/2 Warp 4/i", $input_file_os_list ) ) ? $os_checked_36 = "checked=\"checked\" " : $os_checked_36 = "" ;
		echo "<input name=\"input_file_os[36]\" type=\"checkbox\" value=\"OS/2 Warp 4\" " . $os_checked_36 . "/> " . $words_files[ 'OS_2_WARP_4' ] . "<br />";
		( preg_match( "/MAC 68k/i", $input_file_os_list ) ) ? $os_checked_37 = "checked=\"checked\" " : $os_checked_37 = "" ;
		echo "<input name=\"input_file_os[37]\" type=\"checkbox\" value=\"MAC 68k\" " . $os_checked_37 . "/> " . $words_files[ 'MAC_68K' ] . "<br />";
		( preg_match( "/Mac PPC/i", $input_file_os_list ) ) ? $os_checked_38 = "checked=\"checked\" " : $os_checked_38 = "" ;
		echo "<input name=\"input_file_os[38]\" type=\"checkbox\" value=\"Mac PPC\" " . $os_checked_38 . "/> " . $words_files[ 'MAC_PPC' ] . "<br />";
		( preg_match( "/Mac OS 9/i", $input_file_os_list ) ) ? $os_checked_39 = "checked=\"checked\" " : $os_checked_39 = "" ;
		echo "<input name=\"input_file_os[39]\" type=\"checkbox\" value=\"Mac OS 9\" " . $os_checked_39 . "/> " . $words_files[ 'MAC_OS9' ] . "<br />";
		( preg_match( "/Mac OS X/i", $input_file_os_list ) ) ? $os_checked_40 = "checked=\"checked\" " : $os_checked_40 = "" ;
		echo "<input name=\"input_file_os[40]\" type=\"checkbox\" value=\"Mac OS X\" " . $os_checked_40 . "/> " . $words_files[ 'MAC_OSX' ] . "<br />";
		( preg_match( "/Mac OS X 10.1/i", $input_file_os_list ) ) ? $os_checked_41 = "checked=\"checked\" " : $os_checked_41 = "" ;
		echo "<input name=\"input_file_os[41]\" type=\"checkbox\" value=\"Mac OS X 10.1\" " . $os_checked_41 . "/> " . $words_files[ 'MAC_OSX_101' ] . "<br />";
		( preg_match( "/Mac OS X 10.2/i", $input_file_os_list ) ) ? $os_checked_42 = "checked=\"checked\" " : $os_checked_42 = "" ;
		echo "<input name=\"input_file_os[42]\" type=\"checkbox\" value=\"Mac OS X 10.2\" " . $os_checked_42 . "/> " . $words_files[ 'MAC_OSX_102' ] . "<br />";
		( preg_match( "/Mac OS X 10.3/i", $input_file_os_list ) ) ? $os_checked_43 = "checked=\"checked\" " : $os_checked_43 = "" ;
		echo "<input name=\"input_file_os[43]\" type=\"checkbox\" value=\"Mac OS X 10.3\" " . $os_checked_43 . "/> " . $words_files[ 'MAC_OSX_103' ] . "<br />";
		( preg_match( "/Mac OS X 10.4/i", $input_file_os_list ) ) ? $os_checked_44 = "checked=\"checked\" " : $os_checked_44 = "" ;
		echo "<input name=\"input_file_os[44]\" type=\"checkbox\" value=\"Mac OS X 10.4\" " . $os_checked_44 . "/> " . $words_files[ 'MAC_OSX_104' ] . "<br />";
		( preg_match( "/Mac OS X 10.5/i", $input_file_os_list ) ) ? $os_checked_45 = "checked=\"checked\" " : $os_checked_45 = "" ;
		echo "<input name=\"input_file_os[45]\" type=\"checkbox\" value=\"Mac OS X 10.5\" " . $os_checked_45 . "/> " . $words_files[ 'MAC_OSX_105' ] . "<br />";
		( preg_match( "/Mac Other/i", $input_file_os_list ) ) ? $os_checked_46 = "checked=\"checked\" " : $os_checked_46 = "" ;
		echo "<input name=\"input_file_os[46]\" type=\"checkbox\" value=\"Mac Other\" " . $os_checked_46 . "/> " . $words_files[ 'MAC_OTHER' ] . "<br />";
		( preg_match( "/Palm OS 1.0/i", $input_file_os_list ) ) ? $os_checked_47 = "checked=\"checked\" " : $os_checked_47 = "" ;
		echo "<input name=\"input_file_os[47]\" type=\"checkbox\" value=\"Palm OS 1.0\" " . $os_checked_47 . "/> " . $words_files[ 'PALM_OS_10' ] . "<br />";
		( preg_match( "/Palm OS 2.0/i", $input_file_os_list ) ) ? $os_checked_48 = "checked=\"checked\" " : $os_checked_48 = "" ;
		echo "<input name=\"input_file_os[48]\" type=\"checkbox\" value=\"Palm OS 2.0\" " . $os_checked_48 . "/> " . $words_files[ 'PALM_OS_20' ] . "<br />";
		( preg_match( "/Palm OS 2.1/i", $input_file_os_list ) ) ? $os_checked_49 = "checked=\"checked\" " : $os_checked_49 = "" ;
		echo "<input name=\"input_file_os[49]\" type=\"checkbox\" value=\"Palm OS 2.1\" " . $os_checked_49 . "/> " . $words_files[ 'PALM_OS_21' ] . "<br />";
		( preg_match( "/Palm OS 3.0/i", $input_file_os_list ) ) ? $os_checked_50 = "checked=\"checked\" " : $os_checked_50 = "" ;
		echo "<input name=\"input_file_os[50]\" type=\"checkbox\" value=\"Palm OS 3.0\" " . $os_checked_50 . "/> " . $words_files[ 'PALM_OS_30' ] . "<br />";
		( preg_match( "/Palm OS 3.1/i", $input_file_os_list ) ) ? $os_checked_51 = "checked=\"checked\" " : $os_checked_51 = "" ;
		echo "<input name=\"input_file_os[51]\" type=\"checkbox\" value=\"Palm OS 3.1\" " . $os_checked_51 . "/> " . $words_files[ 'PALM_OS_31' ] . "<br />";
		( preg_match( "/Palm OS 3.2/i", $input_file_os_list ) ) ? $os_checked_52 = "checked=\"checked\" " : $os_checked_52 = "" ;
		echo "<input name=\"input_file_os[52]\" type=\"checkbox\" value=\"Palm OS 3.2\" " . $os_checked_52 . "/> " . $words_files[ 'PALM_OS_32' ] . "<br />";
		( preg_match( "/Palm OS 4.0/i", $input_file_os_list ) ) ? $os_checked_53 = "checked=\"checked\" " : $os_checked_53 = "" ;
		echo "<input name=\"input_file_os[53]\" type=\"checkbox\" value=\"Palm OS 4.0\" " . $os_checked_53 . "/> " . $words_files[ 'PALM_OS_40' ] . "<br />";
		( preg_match( "/Palm OS 5.0/i", $input_file_os_list ) ) ? $os_checked_54 = "checked=\"checked\" " : $os_checked_54 = "" ;
		echo "<input name=\"input_file_os[54]\" type=\"checkbox\" value=\"Palm OS 5.0\" " . $os_checked_54 . "/> " . $words_files[ 'PALM_OS_50' ] . "<br />";
		( preg_match( "/Palm OS 6.0/i", $input_file_os_list ) ) ? $os_checked_55 = "checked=\"checked\" " : $os_checked_55 = "" ;
		echo "<input name=\"input_file_os[55]\" type=\"checkbox\" value=\"Palm OS 6.0\" " . $os_checked_55 . "/> " . $words_files[ 'PALM_OS_60' ] . "<br />";
		( preg_match( "/Pocket PC/i", $input_file_os_list ) ) ? $os_checked_56 = "checked=\"checked\" " : $os_checked_56 = "" ;
		echo "<input name=\"input_file_os[56]\" type=\"checkbox\" value=\"Pocket PC\" " . $os_checked_56 . "/> " . $words_files[ 'POCKET_PC' ] . "<br />";
		( preg_match( "/RIM/i", $input_file_os_list ) ) ? $os_checked_57 = "checked=\"checked\" " : $os_checked_57 = "" ;
		echo "<input name=\"input_file_os[57]\" type=\"checkbox\" value=\"RIM\" " . $os_checked_57 . "/> " . $words_files[ 'RIM' ] . "<br />";
		( preg_match( "/Symbian/i", $input_file_os_list ) ) ? $os_checked_58 = "checked=\"checked\" " : $os_checked_58 = "" ;
		echo "<input name=\"input_file_os[58]\" type=\"checkbox\" value=\"Symbian\" " . $os_checked_58 . "/> " . $words_files[ 'SYMBIAN' ] . "<br />";
		( preg_match( "/OpenVMS/i", $input_file_os_list ) ) ? $os_checked_59 = "checked=\"checked\" " : $os_checked_59 = "" ;
		echo "<input name=\"input_file_os[59]\" type=\"checkbox\" value=\"OpenVMS\" " . $os_checked_59 . "/> " . $words_files[ 'OPENVMS' ] . "<br />";
		( preg_match( "/Netware/i", $input_file_os_list ) ) ? $os_checked_60 = "checked=\"checked\" " : $os_checked_60 = "" ;
		echo "<input name=\"input_file_os[60]\" type=\"checkbox\" value=\"Netware\" " . $os_checked_60 . "/> " . $words_files[ 'NETWARE' ] . "<br />";
		( preg_match( "/BEOS/i", $input_file_os_list ) ) ? $os_checked_61 = "checked=\"checked\" " : $os_checked_61 = "" ;
		echo "<input name=\"input_file_os[61]\" type=\"checkbox\" value=\"BEOS\" " . $os_checked_61 . "/> " . $words_files[ 'BEOS' ] . "<br />";
		( preg_match( "/Java/i", $input_file_os_list ) ) ? $os_checked_62 = "checked=\"checked\" " : $os_checked_62 = "" ;
		echo "<input name=\"input_file_os[62]\" type=\"checkbox\" value=\"Java\" " . $os_checked_62 . "/> " . $words_files[ 'JAVA' ] . "<br />";
		( preg_match( "/Handheld\/Mobile Other/i", $input_file_os_list ) ) ? $os_checked_63 = "checked=\"checked\" " : $os_checked_63 = "" ;
		echo "<input name=\"input_file_os[63]\" type=\"checkbox\" value=\"Handheld/Mobile Other\" " . $os_checked_63 . "/> " . $words_files[ 'HANDHELD_MOBILE_OTHER' ] . "<br />";
		( preg_match( "/Not Applicable/i", $input_file_os_list ) ) ? $os_checked_64 = "checked=\"checked\" " : $os_checked_64 = "" ;
		echo "<input name=\"input_file_os[64]\" type=\"checkbox\" value=\"Not Applicable\" " . $os_checked_64 . "/> " . $words_files[ 'NOT_APPLICABLE' ] . "<br />";
	}
	else
	{
		( preg_match( "/Android/i", $input_file_os_list ) ) ? $os_checked_1 = "checked=\"checked\" " : $os_checked_1 = "" ;
		echo "<input name=\"input_file_os[1]\" type=\"checkbox\" value=\"Andriod\" " . $os_checked_1 . "/> " . $words_files[ 'ANDROID' ] . "<br />";
		( preg_match( "/Blockberry/i", $input_file_os_list ) ) ? $os_checked_2 = "checked=\"checked\" " : $os_checked_2 = "" ;
		echo "<input name=\"input_file_os[2]\" type=\"checkbox\" value=\"Blackberry\" " . $os_checked_2 . "/> " . $words_files[ 'BLACKBERRY' ] . "<br />";
		( preg_match( "/Handheld\/Mobile Other/i", $input_file_os_list ) ) ? $os_checked_3 = "checked=\"checked\" " : $os_checked_3 = "" ;
		echo "<input name=\"input_file_os[3]\" type=\"checkbox\" value=\"Handheld/Mobile Other\" " . $os_checked_3 . "/> " . $words_files[ 'HANDHELD_MOBILE_OTHER' ] . "<br />";
		( preg_match( "/iPhone/i", $input_file_os_list ) ) ? $os_checked_4 = "checked=\"checked\" " : $os_checked_4 = "" ;
		echo "<input name=\"input_file_os[4]\" type=\"checkbox\" value=\"iPhone\" " . $os_checked_4 . "/> " . $words_files[ 'IPHONE' ] . "<br />";
		( preg_match( "/iPod/i", $input_file_os_list ) ) ? $os_checked_5 = "checked=\"checked\" " : $os_checked_5 = "" ;
		echo "<input name=\"input_file_os[5]\" type=\"checkbox\" value=\"iPod\" " . $os_checked_5 . "/> " . $words_files[ 'IPOD' ] . "<br />";
    	( preg_match( "/itouch/i", $input_file_os_list ) ) ? $os_checked_6 = "checked=\"checked\" " : $os_checked_6 = "" ;
		echo "<input name=\"input_file_os[6]\" type=\"checkbox\" value=\"iTouch\" " . $os_checked_6 . "/> " . $words_files[ 'ITOUCH' ] . "<br />";
		( preg_match( "/Java/i", $input_file_os_list ) ) ? $os_checked_7 = "checked=\"checked\" " : $os_checked_7 = "" ;
		echo "<input name=\"input_file_os[7]\" type=\"checkbox\" value=\"Java\" " . $os_checked_7 . "/> " . $words_files[ 'JAVA' ] . "<br />";
		( preg_match( "/Linux/i", $input_file_os_list ) )? $os_checked_8 = "checked=\"checked\" " : $os_checked_8 = "" ;
		echo "<input name=\"input_file_os[8]\" type=\"checkbox\" value=\"Linux\" " . $os_checked_8 . "/> " . $words_files[ 'LINUX' ] . "<br />";
		( preg_match( "/Linux Console/i", $input_file_os_list ) ) ? $os_checked_9 = "checked=\"checked\" " : $os_checked_9 = "" ;
		echo "<input name=\"input_file_os[9]\" type=\"checkbox\" value=\"Linux Console\" " . $os_checked_9 . "/> " . $words_files[ 'LINUX_CONSOLE' ] . "<br />";
		( preg_match( "/Linux Gnome/i", $input_file_os_list ) ) ? $os_checked_10 = "checked=\"checked\" " : $os_checked_10 = "" ;
		echo "<input name=\"input_file_os[10]\" type=\"checkbox\" value=\"Linux Gnome\" " . $os_checked_10 . "/> " . $words_files[ 'LINUX_GNOME' ] . "<br />";
		( preg_match( "/Linux GPL/i", $input_file_os_list ) ) ? $os_checked_11 = "checked=\"checked\" " : $os_checked_11 = "" ;
		echo "<input name=\"input_file_os[11]\" type=\"checkbox\" value=\"Linux GPL\" " . $os_checked_11 . "/> " . $words_files[ 'LINUX_GPL' ] . "<br />";
		( preg_match( "/Linux Open Source/i", $input_file_os_list ) )? $os_checked_12 = "checked=\"checked\" " : $os_checked_12 = "" ;
		echo "<input name=\"input_file_os[12]\" type=\"checkbox\" value=\"Linux Open Source\" " . $os_checked_12 . "/> " . $words_files[ 'LINUX_OPEN_SOURCE' ] . "<br />";
		( preg_match( "/Mac OS X/i", $input_file_os_list ) ) ? $os_checked_13 = "checked=\"checked\" " : $os_checked_13 = "" ;
		echo "<input name=\"input_file_os[13]\" type=\"checkbox\" value=\"Mac OS X\" " . $os_checked_13 . "/> " . $words_files[ 'MAC_OSX' ] . "<br />";
		( preg_match( "/Mac Other/i", $input_file_os_list ) ) ? $os_checked_14 = "checked=\"checked\" " : $os_checked_14 = "" ;
		echo "<input name=\"input_file_os[14]\" type=\"checkbox\" value=\"Mac Other\" " . $os_checked_14 . "/> " . $words_files[ 'MAC_OTHER' ] . "<br />";
		( preg_match( "/MS-DOS/i", $input_file_os_list ) ) ? $os_checked_15 = "checked=\"checked\" " : $os_checked_15 = "" ;
		echo "<input name=\"input_file_os[15]\" type=\"checkbox\" value=\"MS-DOS\" " . $os_checked_15 . "/> " . $words_files[ 'MS_DOS' ] . "<br />";
		( preg_match( "/Netware/i", $input_file_os_list ) ) ? $os_checked_16 = "checked=\"checked\" " : $os_checked_16 = "" ;
		echo "<input name=\"input_file_os[16]\" type=\"checkbox\" value=\"Netware\" " . $os_checked_16 . "/> " . $words_files[ 'NETWARE' ] . "<br />";
		( preg_match( "/OpenVMS/i", $input_file_os_list ) ) ? $os_checked_17 = "checked=\"checked\" " : $os_checked_17 = "" ;
		echo "<input name=\"input_file_os[17]\" type=\"checkbox\" value=\"OpenVMS\" " . $os_checked_17 . "/> " . $words_files[ 'OPENVMS' ] . "<br />";
		( preg_match( "/Palm/i", $input_file_os_list ) ) ? $os_checked_18 = "checked=\"checked\" " : $os_checked_18 = "" ;
		echo "<input name=\"input_file_os[18]\" type=\"checkbox\" value=\"Palm\" " . $os_checked_18 . "/> " . $words_files[ 'PALM' ] . "<br />";
		( preg_match( "/Pocket PC/i", $input_file_os_list ) ) ? $os_checked_19 = "checked=\"checked\" " : $os_checked_19 = "" ;
		echo "<input name=\"input_file_os[19]\" type=\"checkbox\" value=\"Pocket PC\" " . $os_checked_19 . "/> " . $words_files[ 'POCKET_PC' ] . "<br />";
		( preg_match( "/Symbian/i", $input_file_os_list ) ) ? $os_checked_20 = "checked=\"checked\" " : $os_checked_20 = "" ;
		echo "<input name=\"input_file_os[20]\" type=\"checkbox\" value=\"Symbian\" " . $os_checked_20 . "/> " . $words_files[ 'SYMBIAN' ] . "<br />";
		( preg_match( "/Unix/i", $input_file_os_list ) ) ? $os_checked_21 = "checked=\"checked\" " : $os_checked_21 = "" ;
		echo "<input name=\"input_file_os[21]\" type=\"checkbox\" value=\"Unix\" " . $os_checked_21 . "/> " . $words_files[ 'UNIX' ] . "<br />";
		( preg_match( "/Win2000/i", $input_file_os_list ) ) ? $os_checked_22 = "checked=\"checked\" " : $os_checked_22 = "" ;
		echo "<input name=\"input_file_os[22]\" type=\"checkbox\" value=\"Win2000\" " . $os_checked_22 . "/> " . $words_files[ 'WIN2000' ] . "<br />";
		( preg_match( "/Win7 x32/i", $input_file_os_list ) ) ? $os_checked_23 = "checked=\"checked\" " : $os_checked_23 = "" ;
		echo "<input name=\"input_file_os[23]\" type=\"checkbox\" value=\"Win7 x32\" " . $os_checked_23 . "/> " . $words_files[ 'WIN7_X32' ] . "<br />";
		( preg_match( "/Win7 x64/i", $input_file_os_list ) ) ? $os_checked_24 = "checked=\"checked\" " : $os_checked_24 = "" ;
		echo "<input name=\"input_file_os[24]\" type=\"checkbox\" value=\"Win7 x64\" " . $os_checked_24 . "/> " . $words_files[ 'WIN7_X64' ] . "<br />";
		( preg_match( "/Win8 x32/i", $input_file_os_list ) ) ? $os_checked_34 = "checked=\"checked\" " : $os_checked_34 = "" ;
		echo "<input name=\"input_file_os[34]\" type=\"checkbox\" value=\"Win8 x32\" " . $os_checked_34 . "/> " . $words_files[ 'WIN8_X32' ] . "<br />";
		( preg_match( "/Win8 x64/i", $input_file_os_list ) ) ? $os_checked_35 = "checked=\"checked\" " : $os_checked_35 = "" ;
		echo "<input name=\"input_file_os[35]\" type=\"checkbox\" value=\"Win8 x64\" " . $os_checked_35 . "/> " . $words_files[ 'WIN8_X64' ] . "<br />";
		( preg_match( "/Win98/i", $input_file_os_list ) ) ? $os_checked_25 = "checked=\"checked\" " : $os_checked_25 = "" ;
		echo "<input name=\"input_file_os[25]\" type=\"checkbox\" value=\"Win98\" " . $os_checked_25 . "/> " . $words_files[ 'WIN98' ] . "<br />";
		( preg_match( "/WinMobile/i", $input_file_os_list ) ) ? $os_checked_26 = "checked=\"checked\" " : $os_checked_26 = "" ;
		echo "<input name=\"input_file_os[26]\" type=\"checkbox\" value=\"WinMobile\" " . $os_checked_26 . "/> " . $words_files[ 'WINMOBILE' ] . "<br />";
		( preg_match( "/WinOther/i", $input_file_os_list ) ) ? $os_checked_27 = "checked=\"checked\" " : $os_checked_27 = "" ;
		echo "<input name=\"input_file_os[27]\" type=\"checkbox\" value=\"WinOther\" " . $os_checked_27 . "/> " . $words_files[ 'WINOTHER' ] . "<br />";
		( preg_match( "/WinServer/i", $input_file_os_list ) ) ? $os_checked_28 = "checked=\"checked\" " : $os_checked_28 = "" ;
		echo "<input name=\"input_file_os[28]\" type=\"checkbox\" value=\"WinServer\" " . $os_checked_28 . "/> " . $words_files[ 'WINSERVER' ] . "<br />";
		( preg_match( "/WinVista/i", $input_file_os_list ) ) ? $os_checked_29 = "checked=\"checked\" " : $os_checked_29 = "" ;
		echo "<input name=\"input_file_os[29]\" type=\"checkbox\" value=\"WinVista\" " . $os_checked_29 . "/> " . $words_files[ 'WINVISTA' ] . "<br />";
		( preg_match( "/WinVista x64/i", $input_file_os_list ) ) ? $os_checked_30 = "checked=\"checked\" " : $os_checked_30 = "" ;
		echo "<input name=\"input_file_os[30]\" type=\"checkbox\" value=\"WinVista x64\" " . $os_checked_30 . "/> " . $words_files[ 'WINVISTA_X64' ] . "<br />";
		( preg_match( "/WinXP/i", $input_file_os_list ) ) ? $os_checked_31 = "checked=\"checked\" " : $os_checked_31 = "" ;
		echo "<input name=\"input_file_os[31]\" type=\"checkbox\" value=\"WinXP\" " . $os_checked_31 . "/> " . $words_files[ 'WINXP' ] . "<br />";
		( preg_match( "/Other/i", $input_file_os_list ) ) ? $os_checked_32 = "checked=\"checked\" " : $os_checked_32 = "" ;
		echo "<input name=\"input_file_os[32]\" type=\"checkbox\" value=\"Other\" " . $os_checked_32 . "/> " . $words_files[ 'OTHER' ] . "<br />";
		( preg_match( "/Not Applicable/i", $input_file_os_list ) ) ? $os_checked_33 = "checked=\"checked\" " : $os_checked_33 = "" ;
		echo "<input name=\"input_file_os[33]\" type=\"checkbox\" value=\"Not Applicable\" " . $os_checked_33 . "/> " . $words_files[ 'NOT_APPLICABLE' ] . "<br />";
	}
	echo "</div><br />";
	if( !$preferences[ 'files_wysiwyg' ] )
	{
		$html -> quickhtml( "" );
	}
	$html -> upperform( $words_files[ 'SMALL_DESCRIPTION' ], "input_file_smalldescription", $input_file_smalldescription, 25 );
	if( !$preferences[ 'files_wysiwyg' ] )
	{
		$html -> quickhtml( 2 );
	}
	$html -> upperform( $words_files[ 'LONG_DESCRIPTION' ], "input_file_longdescription", $input_file_longdescription, 25 );
	$html -> upperform( $words_files[ 'CHANGE_INFO' ], "input_file_changeinfo", $input_file_changeinfo, 20 );
	$html -> upperform( $words_files[ 'LICENSE_AGREEMENT' ], "input_file_agreement", $input_file_agreement, 20 );
	$html -> uppertext( $words_files[ 'SCREENSHOT_URL' ], "input_file_screenshot", $input_file_screenshot );
	$html -> uppertext( $words_files[ 'DOWNLOAD_PRIMARY_URL' ], "input_primary_url", $input_primary_url );
	$html -> uppertext( $words_files[ 'DOWNLOAD_SECONDARY_URL' ], "input_secondary_url", $input_secondary_url );
	( !$input_status ) ? $status_selected[ 0 ] = "selected=\"selected\"" : $status_selected[ 0 ] = "" ;
	( $input_status == 1 ) ? $status_selected[ 1 ] = "selected=\"selected\"" : $status_selected[ 1 ] = "" ;
	( $input_status == 2 ) ? $status_selected[ 2 ] = "selected=\"selected\"" : $status_selected[ 2 ] = "" ;
	echo "<br /><strong>" . $words_files[ 'QUEUE_STATUS' ] . ":</strong><br /><select size=\"3\" name=\"input_status\">";
	echo "<option " . $status_selected[ 0 ] . " value=\"0\">" . $words_files[ 'QUEUE_ZERO_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 1 ] . " value=\"1\">" . $words_files[ 'QUEUE_ONE_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 2 ] . " value=\"2\">" . $words_files[ 'QUEUE_TWO_STATUS' ] . "</option>";
	echo "</select><br />" . $words_files[ 'NOTE_NOT_APPROVED' ] . "<br />";
	$input_extrafields = explode( "|^X|", $preferences[ 'files_extrafields' ] );

	for( $i = 0; $i < 24; $i++ )
	{
		( isset( $input_extrafields[ $i ] ) ) ? $row = $input_extrafields[ $i ] : $row = "" ;
		$input_form_data = explode( "|^Z|", $row );

		if( isset( $input_form_data[ 1 ] ) )
		{
			$input_form_num = $input_form_data[ 0 ];
			$input_form_text = htmlspecialchars( base64_decode( $input_form_data[ 1 ] ) );
		}
		else
		{
			$input_form_num = "";
			$input_form_text = "";
		}

		if( $input_form_text )
		{
			if( !isset( $input_fields[ $i ] ) )
			{
				$input_fields[ $i ] = "";
			}

			if( !$input_form_num )
			{
				$html -> uppertext( $input_form_text, "input_fields[$i]", $input_fields[ $i ] );
			}

			if( $input_form_num == 1 )
			{
				$html -> upperform( $input_form_text, "input_fields[$i]", $input_fields[ $i ], 25 );
			}

			if( $input_form_num == 2 )
			{
				$dropdown_array = explode( ",", $input_form_text );
				$dropdown_name = $dropdown_array[ 0 ];
				echo "<strong>" . $dropdown_name . ":</strong> <select size=\"1\" name=\"input_fields[$i]\">";

				for( $y = 1; $y < count( $dropdown_array ); $y++ )
				{
					( $dropdown_array[ $y ] == $input_fields[ $i ] ) ? $selected = "selected=\"selected\" " : $selected = "";
					 echo "<option " . $selected . "value=\"" . $dropdown_array[ $y ] . "\">" . $dropdown_array[ $y ] . "</option>";
				}

				echo "</select><br />";
			}
		}
	}

	echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"doeditqueuefile\" /><input type=\"hidden\" name=\"input_zid\" value=\"" . $fileid . "\" /><input type=\"hidden\" name=\"input_this_form\" value=\"1\" />";
	echo "<input type=\"submit\" class=\"button\" value=\"" . $words_files[ 'EDIT' ] . "\" />";
	$html -> makeformfooter();
}

function padstart( $parser, $name, $attrs )
{
	global $diz, $tag;

	if( $diz )
	{
		$tag = $name;
	}


	if( $name == "XML_DIZ_INFO" )
	{
		$diz = 1;
	}
}

function padparse( $parser, $data )
{
	global $diz, $tag, $input_file_name, $input_file_version, $input_file_size, $input_file_description, $input_file_keywords, $input_file_smalldescription, $input_file_longdescription, $input_file_cost, $input_file_company, $input_file_homepage, $input_file_email, $input_file_language, $input_file_os_list, $input_file_changeinfo, $input_file_agreement, $input_file_screenshot, $input_primary_url, $input_secondary_url;

	if( $diz )
	{

		if( $tag == "PROGRAM_NAME" )
		{
			$input_file_name .= $data;
		}
		elseif( $tag == "PROGRAM_VERSION" )
		{
			$input_file_version .= $data;
		}
		elseif( $tag == "FILE_SIZE_MB" )
		{
			$input_file_size .= $data;
		}
		elseif( $tag == "CHAR_DESC_80" )
		{
			$input_file_description .= $data;
		}
		elseif( $tag == "KEYWORDS" )
		{
			$input_file_keywords .= $data;
		}
		elseif( $tag == "CHAR_DESC_250" )
		{
			$input_file_smalldescription .= $data;
		}
		elseif( $tag == "CHAR_DESC_2000" )
		{
			$input_file_longdescription .= $data;
		}
		elseif( $tag == "PROGRAM_COST_DOLLARS" )
		{
			$input_file_cost .= $data;
		}
		elseif( $tag == "COMPANY_NAME" )
		{
			$input_file_company .= $data;
		}
		elseif( $tag == "COMPANY_WEBSITE_URL" )
		{
			$input_file_homepage .= $data;
		}
		elseif( $tag == "GENERAL_EMAIL" )
		{
			$input_file_email .= $data;
		}
		elseif( $tag == "PROGRAMM_LANGUAGE" )
		{
			$input_file_language .= $data;
		}
		elseif( $tag == "PROGRAM_OS_SUPPORT" )
		{
			$input_file_os_list .= $data;
		}
		elseif( $tag == "PROGRAM_CHANGE_INFO" )
		{
			$input_file_changeinfo .= $data;
		}
		elseif( $tag == "EULA" )
		{
			$input_file_agreement .= $data;
		}
		elseif( $tag == "APPLICATION_SCREENSHOT_URL" )
		{
			$input_file_screenshot .= $data;
		}
		elseif( $tag == "PRIMARY_DOWNLOAD_URL" )
		{
			$input_primary_url .= $data;
		}
		elseif( $tag == "SECONDARY_DOWNLOAD_URL" )
		{
			$input_secondary_url .= $data;
		}
	}
}

function padend( $parser, $name )
{
	global $diz, $input_file_name, $input_file_version, $input_file_size, $input_file_description, $input_file_keywords, $input_file_smalldescription, $input_file_longdescription, $input_file_cost, $input_file_company, $input_file_homepage, $input_file_email, $input_file_language, $input_file_os_list, $input_file_changeinfo, $input_file_agreement, $input_file_screenshot, $input_primary_url, $input_secondary_url;

	if( $name == "XML_DIZ_INFO" )
	{
		$input_file_name = rtrim( ltrim( $input_file_name ) );
		$input_file_version = rtrim( ltrim( $input_file_version ) );
		$input_file_size = rtrim( ltrim( $input_file_size ) ) . "MB";
		$input_file_description = str_replace( "\t", "", rtrim( ltrim( $input_file_description ) ) );
		$input_file_keywords = str_replace( "\t", "", rtrim( ltrim( $input_file_keywords ) ) );
		$input_file_smalldescription = str_replace( "\t", "", rtrim( ltrim( $input_file_smalldescription ) ) );
		$input_file_longdescription = str_replace( "\t", "", rtrim( ltrim( $input_file_longdescription ) ) );
		$input_file_cost = "USD " . rtrim( ltrim( $input_file_cost ) );
		$input_file_company = rtrim( ltrim( $input_file_company ) );
		$input_file_homepage = rtrim( ltrim( $input_file_homepage ) );
		$input_file_email = rtrim( ltrim( $input_file_email ) );
		$input_file_language = rtrim( ltrim( $input_file_language ) );
		$input_file_os_list = rtrim( ltrim( $input_file_os_list ) );
		$input_file_changeinfo = str_replace( "\t", "", rtrim( ltrim( $input_file_changeinfo ) ) );
		$input_file_agreement = str_replace( "\t", "", rtrim( ltrim( $input_file_agreement ) ) );
		$input_file_screenshot = str_replace( "\t", "", rtrim( ltrim( $input_file_screenshot ) ) );
		$input_primary_url = rtrim( ltrim( $input_primary_url ) );
		$input_secondary_url = rtrim( ltrim( $input_secondary_url ) );

		if( $input_primary_url == $input_secondary_url )
		{
			$input_secondary_url = "";
		}

		$diz = 0;
	}
}

?>